
module MenhirBasics = struct
  
  exception Error = Parsing.Parse_error
  
  let _eRR =
    fun _s ->
      raise Error
  
  type token = 
    | XOR
    | XCHG
    | WHILE
    | WCAS_EXPLICIT
    | WCAS
    | VOLATILE
    | VOID
    | UNLOCK
    | UNDERFENCE
    | UNDERATOMICOPRETURN
    | UNDERATOMICOP
    | UNDERATOMICFETCHOP
    | UNDERATOMICADDUNLESS
    | SUB
    | ST_EXPLICIT
    | STRUCT_TYPE of (
# 29 "lib/CParser.mly"
       (string)
# 30 "lib/CParser.ml"
  )
    | STRUCT
    | STORE
    | STAR
    | SRCU
    | SPINUNLOCK
    | SPINTRYLOCK
    | SPINLOCK
    | SPINISLOCKED
    | SEMI
    | SCOPES
    | SCAS_EXPLICIT
    | SCAS
    | RPAR
    | REGIONS
    | RBRACE
    | PROC of (
# 33 "lib/CParser.mly"
       (int)
# 50 "lib/CParser.ml"
  )
    | PIPE
    | NUM of (
# 43 "lib/CParser.mly"
       (int)
# 56 "lib/CParser.ml"
  )
    | NOT
    | NEQ_OP
    | NAME of (
# 27 "lib/CParser.mly"
       (string)
# 63 "lib/CParser.ml"
  )
    | MUTEX
    | MEMORDER of (
# 60 "lib/CParser.mly"
       (MemOrder.t)
# 69 "lib/CParser.ml"
  )
    | LT
    | LPAR
    | LONG
    | LOCK
    | LOAD
    | LEVELS
    | LE
    | LD_EXPLICIT
    | LBRACE
    | LAND
    | INT
    | IF
    | GT
    | GE
    | FENCE
    | EXC_EXPLICIT
    | EQ_OP
    | EQ
    | EOF
    | ELSE
    | DIV
    | CONSTVAR of (
# 31 "lib/CParser.mly"
       (string)
# 95 "lib/CParser.ml"
  )
    | CONSTANT of (
# 51 "lib/CParser.mly"
       (string)
# 100 "lib/CParser.ml"
  )
    | CONST
    | COMMA
    | COLON
    | CODEVAR of (
# 32 "lib/CParser.mly"
       (string)
# 108 "lib/CParser.ml"
  )
    | CMPXCHG
    | CHAR
    | BODY of (
# 46 "lib/CParser.mly"
       (string)
# 115 "lib/CParser.ml"
  )
    | BASE_TYPE of (
# 28 "lib/CParser.mly"
       (string)
# 120 "lib/CParser.ml"
  )
    | ATOMIC_TYPE of (
# 30 "lib/CParser.mly"
       (string)
# 125 "lib/CParser.ml"
  )
    | ATOMIC_FETCH_EXPLICIT of (
# 65 "lib/CParser.mly"
       (CBase.op)
# 130 "lib/CParser.ml"
  )
    | ATOMIC_BASE
    | ATOMICADDUNLESS
    | ATOMIC
    | ADD
  
end

include MenhirBasics

# 1 "lib/BellExtraRules.mly"
  
(****************************************************************************)
(*                           the diy toolsuite                              *)
(*                                                                          *)
(* Jade Alglave, University College London, UK.                             *)
(* Luc Maranget, INRIA Paris-Rocquencourt, France.                          *)
(*                                                                          *)
(* Copyright 2015-present Institut National de Recherche en Informatique et *)
(* en Automatique and the authors. All rights reserved.                     *)
(*                                                                          *)
(* This software is governed by the CeCILL-B license under French law and   *)
(* abiding by the rules of distribution of free software. You can use,      *)
(* modify and/ or redistribute the software under the terms of the CeCILL-B *)
(* license as circulated by CEA, CNRS and INRIA at the following URL        *)
(* "http://www.cecill.info". We also give a copy in LICENSE.txt.            *)
(****************************************************************************)
open BellInfo
let nones = { scopes=None; levels=None; regions=None; }

# 161 "lib/CParser.ml"

# 1 "lib/CParser.mly"
  
(****************************************************************************)
(*                           the diy toolsuite                              *)
(*                                                                          *)
(* Jade Alglave, University College London, UK.                             *)
(* Luc Maranget, INRIA Paris-Rocquencourt, France.                          *)
(*                                                                          *)
(* Copyright 2015-present Institut National de Recherche en Informatique et *)
(* en Automatique and the authors. All rights reserved.                     *)
(*                                                                          *)
(* This software is governed by the CeCILL-B license under French law and   *)
(* abiding by the rules of distribution of free software. You can use,      *)
(* modify and/ or redistribute the software under the terms of the CeCILL-B *)
(* license as circulated by CEA, CNRS and INRIA at the following URL        *)
(* "http://www.cecill.info". We also give a copy in LICENSE.txt.            *)
(****************************************************************************)

let mk_sym s = Constant.mk_sym s

open CBase
open MemOrder
open CType
open MemOrderOrAnnot

# 188 "lib/CParser.ml"

# 1 "lib/scopeRules.mly"
  
(****************************************************************************)
(*                           the diy toolsuite                              *)
(*                                                                          *)
(* Jade Alglave, University College London, UK.                             *)
(* Luc Maranget, INRIA Paris-Rocquencourt, France.                          *)
(*                                                                          *)
(* Copyright 2019-present Institut National de Recherche en Informatique et *)
(* en Automatique and the authors. All rights reserved.                     *)
(*                                                                          *)
(* This software is governed by the CeCILL-B license under French law and   *)
(* abiding by the rules of distribution of free software. You can use,      *)
(* modify and/ or redistribute the software under the terms of the CeCILL-B *)
(* license as circulated by CEA, CNRS and INRIA at the following URL        *)
(* "http://www.cecill.info". We also give a copy in LICENSE.txt.            *)
(****************************************************************************)

# 208 "lib/CParser.ml"

type ('s, 'r) _menhir_state = 
  | MenhirState000 : ('s, _menhir_box_deep_main) _menhir_state
    (** State 000.
        Stack shape : .
        Start symbol: deep_main. *)

  | MenhirState005 : (('s, _menhir_box_deep_main) _menhir_cell1_voidopt _menhir_cell0_PROC, _menhir_box_deep_main) _menhir_state
    (** State 005.
        Stack shape : voidopt PROC.
        Start symbol: deep_main. *)

  | MenhirState006 : (('s, 'r) _menhir_cell1_VOLATILE, 'r) _menhir_state
    (** State 006.
        Stack shape : VOLATILE.
        Start symbol: <undetermined>. *)

  | MenhirState009 : (('s, 'r) _menhir_cell1_LPAR, 'r) _menhir_state
    (** State 009.
        Stack shape : LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState011 : (('s, 'r) _menhir_cell1_LPAR, 'r) _menhir_state
    (** State 011.
        Stack shape : LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState012 : (('s, 'r) _menhir_cell1_CONST, 'r) _menhir_state
    (** State 012.
        Stack shape : CONST.
        Start symbol: <undetermined>. *)

  | MenhirState026 : (('s, 'r) _menhir_cell1_ATOMIC, 'r) _menhir_state
    (** State 026.
        Stack shape : ATOMIC.
        Start symbol: <undetermined>. *)

  | MenhirState046 : ((('s, _menhir_box_deep_main) _menhir_cell1_voidopt _menhir_cell0_PROC, _menhir_box_deep_main) _menhir_cell1_parameter_list, _menhir_box_deep_main) _menhir_state
    (** State 046.
        Stack shape : voidopt PROC parameter_list.
        Start symbol: deep_main. *)

  | MenhirState048 : (('s, 'r) _menhir_cell1_XCHG, 'r) _menhir_state
    (** State 048.
        Stack shape : XCHG.
        Start symbol: <undetermined>. *)

  | MenhirState055 : ((('s, 'r) _menhir_cell1_XCHG, 'r) _menhir_cell1_annot_list, 'r) _menhir_state
    (** State 055.
        Stack shape : XCHG annot_list.
        Start symbol: <undetermined>. *)

  | MenhirState057 : (('s, 'r) _menhir_cell1_WCAS_EXPLICIT, 'r) _menhir_state
    (** State 057.
        Stack shape : WCAS_EXPLICIT.
        Start symbol: <undetermined>. *)

  | MenhirState059 : (('s, 'r) _menhir_cell1_WCAS, 'r) _menhir_state
    (** State 059.
        Stack shape : WCAS.
        Start symbol: <undetermined>. *)

  | MenhirState061 : (('s, 'r) _menhir_cell1_UNDERATOMICOPRETURN, 'r) _menhir_state
    (** State 061.
        Stack shape : UNDERATOMICOPRETURN.
        Start symbol: <undetermined>. *)

  | MenhirState064 : ((('s, 'r) _menhir_cell1_UNDERATOMICOPRETURN, 'r) _menhir_cell1_annot_list, 'r) _menhir_state
    (** State 064.
        Stack shape : UNDERATOMICOPRETURN annot_list.
        Start symbol: <undetermined>. *)

  | MenhirState066 : (('s, 'r) _menhir_cell1_UNDERATOMICFETCHOP, 'r) _menhir_state
    (** State 066.
        Stack shape : UNDERATOMICFETCHOP.
        Start symbol: <undetermined>. *)

  | MenhirState069 : ((('s, 'r) _menhir_cell1_UNDERATOMICFETCHOP, 'r) _menhir_cell1_annot_list, 'r) _menhir_state
    (** State 069.
        Stack shape : UNDERATOMICFETCHOP annot_list.
        Start symbol: <undetermined>. *)

  | MenhirState071 : (('s, 'r) _menhir_cell1_UNDERATOMICADDUNLESS, 'r) _menhir_state
    (** State 071.
        Stack shape : UNDERATOMICADDUNLESS.
        Start symbol: <undetermined>. *)

  | MenhirState072 : (('s, 'r) _menhir_cell1_STAR, 'r) _menhir_state
    (** State 072.
        Stack shape : STAR.
        Start symbol: <undetermined>. *)

  | MenhirState074 : ((('s, 'r) _menhir_cell1_STAR, 'r) _menhir_cell1_LPAR, 'r) _menhir_state
    (** State 074.
        Stack shape : STAR LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState076 : (('s, 'r) _menhir_cell1_SRCU, 'r) _menhir_state
    (** State 076.
        Stack shape : SRCU.
        Start symbol: <undetermined>. *)

  | MenhirState079 : ((('s, 'r) _menhir_cell1_SRCU, 'r) _menhir_cell1_annot_list, 'r) _menhir_state
    (** State 079.
        Stack shape : SRCU annot_list.
        Start symbol: <undetermined>. *)

  | MenhirState081 : (('s, 'r) _menhir_cell1_SPINTRYLOCK, 'r) _menhir_state
    (** State 081.
        Stack shape : SPINTRYLOCK.
        Start symbol: <undetermined>. *)

  | MenhirState083 : (('s, 'r) _menhir_cell1_SPINISLOCKED, 'r) _menhir_state
    (** State 083.
        Stack shape : SPINISLOCKED.
        Start symbol: <undetermined>. *)

  | MenhirState085 : (('s, 'r) _menhir_cell1_SCAS_EXPLICIT, 'r) _menhir_state
    (** State 085.
        Stack shape : SCAS_EXPLICIT.
        Start symbol: <undetermined>. *)

  | MenhirState087 : (('s, 'r) _menhir_cell1_SCAS, 'r) _menhir_state
    (** State 087.
        Stack shape : SCAS.
        Start symbol: <undetermined>. *)

  | MenhirState089 : (('s, 'r) _menhir_cell1_NAME, 'r) _menhir_state
    (** State 089.
        Stack shape : NAME.
        Start symbol: <undetermined>. *)

  | MenhirState090 : (('s, 'r) _menhir_cell1_LPAR, 'r) _menhir_state
    (** State 090.
        Stack shape : LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState091 : ((('s, 'r) _menhir_cell1_LPAR, 'r) _menhir_cell1_LPAR, 'r) _menhir_state
    (** State 091.
        Stack shape : LPAR LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState093 : (('s, 'r) _menhir_cell1_LOAD, 'r) _menhir_state
    (** State 093.
        Stack shape : LOAD.
        Start symbol: <undetermined>. *)

  | MenhirState096 : ((('s, 'r) _menhir_cell1_LOAD, 'r) _menhir_cell1_annot_list, 'r) _menhir_state
    (** State 096.
        Stack shape : LOAD annot_list.
        Start symbol: <undetermined>. *)

  | MenhirState098 : (('s, 'r) _menhir_cell1_LD_EXPLICIT, 'r) _menhir_state
    (** State 098.
        Stack shape : LD_EXPLICIT.
        Start symbol: <undetermined>. *)

  | MenhirState100 : (('s, 'r) _menhir_cell1_EXC_EXPLICIT, 'r) _menhir_state
    (** State 100.
        Stack shape : EXC_EXPLICIT.
        Start symbol: <undetermined>. *)

  | MenhirState104 : (('s, 'r) _menhir_cell1_CMPXCHG, 'r) _menhir_state
    (** State 104.
        Stack shape : CMPXCHG.
        Start symbol: <undetermined>. *)

  | MenhirState107 : ((('s, 'r) _menhir_cell1_CMPXCHG, 'r) _menhir_cell1_annot_list, 'r) _menhir_state
    (** State 107.
        Stack shape : CMPXCHG annot_list.
        Start symbol: <undetermined>. *)

  | MenhirState109 : (('s, 'r) _menhir_cell1_ATOMIC_FETCH_EXPLICIT, 'r) _menhir_state
    (** State 109.
        Stack shape : ATOMIC_FETCH_EXPLICIT.
        Start symbol: <undetermined>. *)

  | MenhirState111 : (('s, 'r) _menhir_cell1_ATOMICADDUNLESS, 'r) _menhir_state
    (** State 111.
        Stack shape : ATOMICADDUNLESS.
        Start symbol: <undetermined>. *)

  | MenhirState115 : (('s, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 115.
        Stack shape : expr.
        Start symbol: <undetermined>. *)

  | MenhirState117 : (('s, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 117.
        Stack shape : expr.
        Start symbol: <undetermined>. *)

  | MenhirState119 : (('s, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 119.
        Stack shape : expr.
        Start symbol: <undetermined>. *)

  | MenhirState121 : (('s, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 121.
        Stack shape : expr.
        Start symbol: <undetermined>. *)

  | MenhirState123 : (('s, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 123.
        Stack shape : expr.
        Start symbol: <undetermined>. *)

  | MenhirState125 : (('s, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 125.
        Stack shape : expr.
        Start symbol: <undetermined>. *)

  | MenhirState127 : (('s, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 127.
        Stack shape : expr.
        Start symbol: <undetermined>. *)

  | MenhirState129 : (('s, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 129.
        Stack shape : expr.
        Start symbol: <undetermined>. *)

  | MenhirState131 : (('s, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 131.
        Stack shape : expr.
        Start symbol: <undetermined>. *)

  | MenhirState133 : (('s, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 133.
        Stack shape : expr.
        Start symbol: <undetermined>. *)

  | MenhirState135 : (('s, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 135.
        Stack shape : expr.
        Start symbol: <undetermined>. *)

  | MenhirState137 : (('s, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 137.
        Stack shape : expr.
        Start symbol: <undetermined>. *)

  | MenhirState139 : (('s, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 139.
        Stack shape : expr.
        Start symbol: <undetermined>. *)

  | MenhirState141 : ((('s, 'r) _menhir_cell1_ATOMICADDUNLESS, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 141.
        Stack shape : ATOMICADDUNLESS expr.
        Start symbol: <undetermined>. *)

  | MenhirState143 : (((('s, 'r) _menhir_cell1_ATOMICADDUNLESS, 'r) _menhir_cell1_expr, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 143.
        Stack shape : ATOMICADDUNLESS expr expr.
        Start symbol: <undetermined>. *)

  | MenhirState147 : ((('s, 'r) _menhir_cell1_ATOMIC_FETCH_EXPLICIT, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 147.
        Stack shape : ATOMIC_FETCH_EXPLICIT expr.
        Start symbol: <undetermined>. *)

  | MenhirState153 : (((('s, 'r) _menhir_cell1_CMPXCHG, 'r) _menhir_cell1_annot_list, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 153.
        Stack shape : CMPXCHG annot_list expr.
        Start symbol: <undetermined>. *)

  | MenhirState155 : ((((('s, 'r) _menhir_cell1_CMPXCHG, 'r) _menhir_cell1_annot_list, 'r) _menhir_cell1_expr, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 155.
        Stack shape : CMPXCHG annot_list expr expr.
        Start symbol: <undetermined>. *)

  | MenhirState159 : (('s, 'r) _menhir_cell1_annot_base, 'r) _menhir_state
    (** State 159.
        Stack shape : annot_base.
        Start symbol: <undetermined>. *)

  | MenhirState162 : (('s, 'r) _menhir_cell1_annot, 'r) _menhir_state
    (** State 162.
        Stack shape : annot.
        Start symbol: <undetermined>. *)

  | MenhirState165 : ((('s, 'r) _menhir_cell1_EXC_EXPLICIT, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 165.
        Stack shape : EXC_EXPLICIT expr.
        Start symbol: <undetermined>. *)

  | MenhirState177 : ((('s, 'r) _menhir_cell1_LPAR, 'r) _menhir_cell1_typ, 'r) _menhir_state
    (** State 177.
        Stack shape : LPAR typ.
        Start symbol: <undetermined>. *)

  | MenhirState182 : ((('s, 'r) _menhir_cell1_LPAR, 'r) _menhir_cell1_typ, 'r) _menhir_state
    (** State 182.
        Stack shape : LPAR typ.
        Start symbol: <undetermined>. *)

  | MenhirState184 : (('s, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 184.
        Stack shape : expr.
        Start symbol: <undetermined>. *)

  | MenhirState190 : ((('s, 'r) _menhir_cell1_SCAS, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 190.
        Stack shape : SCAS expr.
        Start symbol: <undetermined>. *)

  | MenhirState192 : (((('s, 'r) _menhir_cell1_SCAS, 'r) _menhir_cell1_expr, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 192.
        Stack shape : SCAS expr expr.
        Start symbol: <undetermined>. *)

  | MenhirState196 : ((('s, 'r) _menhir_cell1_SCAS_EXPLICIT, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 196.
        Stack shape : SCAS_EXPLICIT expr.
        Start symbol: <undetermined>. *)

  | MenhirState198 : (((('s, 'r) _menhir_cell1_SCAS_EXPLICIT, 'r) _menhir_cell1_expr, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 198.
        Stack shape : SCAS_EXPLICIT expr expr.
        Start symbol: <undetermined>. *)

  | MenhirState217 : ((('s, 'r) _menhir_cell1_UNDERATOMICADDUNLESS, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 217.
        Stack shape : UNDERATOMICADDUNLESS expr.
        Start symbol: <undetermined>. *)

  | MenhirState219 : (((('s, 'r) _menhir_cell1_UNDERATOMICADDUNLESS, 'r) _menhir_cell1_expr, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 219.
        Stack shape : UNDERATOMICADDUNLESS expr expr.
        Start symbol: <undetermined>. *)

  | MenhirState223 : (((('s, 'r) _menhir_cell1_UNDERATOMICFETCHOP, 'r) _menhir_cell1_annot_list, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 223.
        Stack shape : UNDERATOMICFETCHOP annot_list expr.
        Start symbol: <undetermined>. *)

  | MenhirState231 : ((((('s, 'r) _menhir_cell1_UNDERATOMICFETCHOP, 'r) _menhir_cell1_annot_list, 'r) _menhir_cell1_expr, 'r) _menhir_cell1_atomic_op, 'r) _menhir_state
    (** State 231.
        Stack shape : UNDERATOMICFETCHOP annot_list expr atomic_op.
        Start symbol: <undetermined>. *)

  | MenhirState235 : (((('s, 'r) _menhir_cell1_UNDERATOMICOPRETURN, 'r) _menhir_cell1_annot_list, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 235.
        Stack shape : UNDERATOMICOPRETURN annot_list expr.
        Start symbol: <undetermined>. *)

  | MenhirState237 : ((((('s, 'r) _menhir_cell1_UNDERATOMICOPRETURN, 'r) _menhir_cell1_annot_list, 'r) _menhir_cell1_expr, 'r) _menhir_cell1_atomic_op, 'r) _menhir_state
    (** State 237.
        Stack shape : UNDERATOMICOPRETURN annot_list expr atomic_op.
        Start symbol: <undetermined>. *)

  | MenhirState241 : ((('s, 'r) _menhir_cell1_WCAS, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 241.
        Stack shape : WCAS expr.
        Start symbol: <undetermined>. *)

  | MenhirState243 : (((('s, 'r) _menhir_cell1_WCAS, 'r) _menhir_cell1_expr, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 243.
        Stack shape : WCAS expr expr.
        Start symbol: <undetermined>. *)

  | MenhirState247 : ((('s, 'r) _menhir_cell1_WCAS_EXPLICIT, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 247.
        Stack shape : WCAS_EXPLICIT expr.
        Start symbol: <undetermined>. *)

  | MenhirState249 : (((('s, 'r) _menhir_cell1_WCAS_EXPLICIT, 'r) _menhir_cell1_expr, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 249.
        Stack shape : WCAS_EXPLICIT expr expr.
        Start symbol: <undetermined>. *)

  | MenhirState257 : (((('s, 'r) _menhir_cell1_XCHG, 'r) _menhir_cell1_annot_list, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 257.
        Stack shape : XCHG annot_list expr.
        Start symbol: <undetermined>. *)

  | MenhirState260 : (('s, 'r) _menhir_cell1_WHILE, 'r) _menhir_state
    (** State 260.
        Stack shape : WHILE.
        Start symbol: <undetermined>. *)

  | MenhirState261 : ((('s, 'r) _menhir_cell1_WHILE, 'r) _menhir_cell1_STAR, 'r) _menhir_state
    (** State 261.
        Stack shape : WHILE STAR.
        Start symbol: <undetermined>. *)

  | MenhirState263 : ((('s, 'r) _menhir_cell1_WHILE, 'r) _menhir_cell1_LPAR, 'r) _menhir_state
    (** State 263.
        Stack shape : WHILE LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState264 : ((('s, 'r) _menhir_cell1_WHILE, 'r) _menhir_cell1_expr0, 'r) _menhir_state
    (** State 264.
        Stack shape : WHILE expr0.
        Start symbol: <undetermined>. *)

  | MenhirState266 : (('s, 'r) _menhir_cell1_UNLOCK, 'r) _menhir_state
    (** State 266.
        Stack shape : UNLOCK.
        Start symbol: <undetermined>. *)

  | MenhirState271 : (('s, 'r) _menhir_cell1_UNDERFENCE, 'r) _menhir_state
    (** State 271.
        Stack shape : UNDERFENCE.
        Start symbol: <undetermined>. *)

  | MenhirState276 : (('s, 'r) _menhir_cell1_UNDERATOMICOP, 'r) _menhir_state
    (** State 276.
        Stack shape : UNDERATOMICOP.
        Start symbol: <undetermined>. *)

  | MenhirState278 : ((('s, 'r) _menhir_cell1_UNDERATOMICOP, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 278.
        Stack shape : UNDERATOMICOP expr.
        Start symbol: <undetermined>. *)

  | MenhirState280 : (((('s, 'r) _menhir_cell1_UNDERATOMICOP, 'r) _menhir_cell1_expr, 'r) _menhir_cell1_atomic_op, 'r) _menhir_state
    (** State 280.
        Stack shape : UNDERATOMICOP expr atomic_op.
        Start symbol: <undetermined>. *)

  | MenhirState285 : (('s, 'r) _menhir_cell1_ST_EXPLICIT, 'r) _menhir_state
    (** State 285.
        Stack shape : ST_EXPLICIT.
        Start symbol: <undetermined>. *)

  | MenhirState287 : ((('s, 'r) _menhir_cell1_ST_EXPLICIT, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 287.
        Stack shape : ST_EXPLICIT expr.
        Start symbol: <undetermined>. *)

  | MenhirState294 : (('s, 'r) _menhir_cell1_STORE, 'r) _menhir_state
    (** State 294.
        Stack shape : STORE.
        Start symbol: <undetermined>. *)

  | MenhirState297 : ((('s, 'r) _menhir_cell1_STORE, 'r) _menhir_cell1_annot_list, 'r) _menhir_state
    (** State 297.
        Stack shape : STORE annot_list.
        Start symbol: <undetermined>. *)

  | MenhirState299 : (((('s, 'r) _menhir_cell1_STORE, 'r) _menhir_cell1_annot_list, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 299.
        Stack shape : STORE annot_list expr.
        Start symbol: <undetermined>. *)

  | MenhirState303 : (('s, 'r) _menhir_cell1_STAR, 'r) _menhir_state
    (** State 303.
        Stack shape : STAR.
        Start symbol: <undetermined>. *)

  | MenhirState304 : ((('s, 'r) _menhir_cell1_STAR, 'r) _menhir_cell1_STAR, 'r) _menhir_state
    (** State 304.
        Stack shape : STAR STAR.
        Start symbol: <undetermined>. *)

  | MenhirState306 : (((('s, 'r) _menhir_cell1_STAR, 'r) _menhir_cell1_STAR, 'r) _menhir_cell1_LPAR, 'r) _menhir_state
    (** State 306.
        Stack shape : STAR STAR LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState311 : ((('s, 'r) _menhir_cell1_STAR, 'r) _menhir_cell1_LPAR, 'r) _menhir_state
    (** State 311.
        Stack shape : STAR LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState315 : ((('s, 'r) _menhir_cell1_STAR, 'r) _menhir_cell1_location, 'r) _menhir_state
    (** State 315.
        Stack shape : STAR location.
        Start symbol: <undetermined>. *)

  | MenhirState319 : (('s, 'r) _menhir_cell1_SRCU, 'r) _menhir_state
    (** State 319.
        Stack shape : SRCU.
        Start symbol: <undetermined>. *)

  | MenhirState322 : ((('s, 'r) _menhir_cell1_SRCU, 'r) _menhir_cell1_annot_list, 'r) _menhir_state
    (** State 322.
        Stack shape : SRCU annot_list.
        Start symbol: <undetermined>. *)

  | MenhirState326 : (((('s, 'r) _menhir_cell1_SRCU, 'r) _menhir_cell1_annot_list, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 326.
        Stack shape : SRCU annot_list expr.
        Start symbol: <undetermined>. *)

  | MenhirState331 : (('s, 'r) _menhir_cell1_SPINUNLOCK, 'r) _menhir_state
    (** State 331.
        Stack shape : SPINUNLOCK.
        Start symbol: <undetermined>. *)

  | MenhirState336 : (('s, 'r) _menhir_cell1_SPINLOCK, 'r) _menhir_state
    (** State 336.
        Stack shape : SPINLOCK.
        Start symbol: <undetermined>. *)

  | MenhirState341 : (('s, 'r) _menhir_cell1_NAME, 'r) _menhir_state
    (** State 341.
        Stack shape : NAME.
        Start symbol: <undetermined>. *)

  | MenhirState345 : (('s, 'r) _menhir_cell1_NAME, 'r) _menhir_state
    (** State 345.
        Stack shape : NAME.
        Start symbol: <undetermined>. *)

  | MenhirState348 : (('s, 'r) _menhir_cell1_LPAR, 'r) _menhir_state
    (** State 348.
        Stack shape : LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState350 : ((('s, 'r) _menhir_cell1_LPAR, 'r) _menhir_cell1_VOID, 'r) _menhir_state
    (** State 350.
        Stack shape : LPAR VOID.
        Start symbol: <undetermined>. *)

  | MenhirState354 : (('s, 'r) _menhir_cell1_LOCK, 'r) _menhir_state
    (** State 354.
        Stack shape : LOCK.
        Start symbol: <undetermined>. *)

  | MenhirState358 : (('s, 'r) _menhir_cell1_LBRACE, 'r) _menhir_state
    (** State 358.
        Stack shape : LBRACE.
        Start symbol: <undetermined>. *)

  | MenhirState360 : (('s, 'r) _menhir_cell1_IF, 'r) _menhir_state
    (** State 360.
        Stack shape : IF.
        Start symbol: <undetermined>. *)

  | MenhirState362 : ((('s, 'r) _menhir_cell1_IF, 'r) _menhir_cell1_expr, 'r) _menhir_state
    (** State 362.
        Stack shape : IF expr.
        Start symbol: <undetermined>. *)

  | MenhirState372 : (('s, 'r) _menhir_cell1_typ _menhir_cell0_NAME, 'r) _menhir_state
    (** State 372.
        Stack shape : typ NAME.
        Start symbol: <undetermined>. *)

  | MenhirState380 : (((('s, 'r) _menhir_cell1_IF, 'r) _menhir_cell1_expr, 'r) _menhir_cell1_block_ins, 'r) _menhir_state
    (** State 380.
        Stack shape : IF expr block_ins.
        Start symbol: <undetermined>. *)

  | MenhirState387 : (('s, 'r) _menhir_cell1_declaration, 'r) _menhir_state
    (** State 387.
        Stack shape : declaration.
        Start symbol: <undetermined>. *)

  | MenhirState389 : (('s, 'r) _menhir_cell1_block_ins, 'r) _menhir_state
    (** State 389.
        Stack shape : block_ins.
        Start symbol: <undetermined>. *)

  | MenhirState394 : (('s, 'r) _menhir_cell1_declaration, 'r) _menhir_state
    (** State 394.
        Stack shape : declaration.
        Start symbol: <undetermined>. *)

  | MenhirState396 : (('s, 'r) _menhir_cell1_block_ins, 'r) _menhir_state
    (** State 396.
        Stack shape : block_ins.
        Start symbol: <undetermined>. *)

  | MenhirState399 : (('s, 'r) _menhir_cell1_parameter_declaration, 'r) _menhir_state
    (** State 399.
        Stack shape : parameter_declaration.
        Start symbol: <undetermined>. *)

  | MenhirState401 : (('s, _menhir_box_deep_main) _menhir_cell1_trans_unit, _menhir_box_deep_main) _menhir_state
    (** State 401.
        Stack shape : trans_unit.
        Start symbol: deep_main. *)

  | MenhirState403 : (('s, 'r) _menhir_cell1_SCOPES, 'r) _menhir_state
    (** State 403.
        Stack shape : SCOPES.
        Start symbol: <undetermined>. *)

  | MenhirState405 : (('s, 'r) _menhir_cell1_LPAR _menhir_cell0_NAME, 'r) _menhir_state
    (** State 405.
        Stack shape : LPAR NAME.
        Start symbol: <undetermined>. *)

  | MenhirState410 : (('s, 'r) _menhir_cell1_scope_tree, 'r) _menhir_state
    (** State 410.
        Stack shape : scope_tree.
        Start symbol: <undetermined>. *)

  | MenhirState414 : (('s, 'r) _menhir_cell1_proc, 'r) _menhir_state
    (** State 414.
        Stack shape : proc.
        Start symbol: <undetermined>. *)

  | MenhirState419 : (('s, 'r) _menhir_cell1_REGIONS, 'r) _menhir_state
    (** State 419.
        Stack shape : REGIONS.
        Start symbol: <undetermined>. *)

  | MenhirState421 : (('s, 'r) _menhir_cell1_NAME, 'r) _menhir_state
    (** State 421.
        Stack shape : NAME.
        Start symbol: <undetermined>. *)

  | MenhirState422 : (('s, 'r) _menhir_cell1_NAME, 'r) _menhir_state
    (** State 422.
        Stack shape : NAME.
        Start symbol: <undetermined>. *)

  | MenhirState428 : (('s, 'r) _menhir_cell1_memory_map_atom, 'r) _menhir_state
    (** State 428.
        Stack shape : memory_map_atom.
        Start symbol: <undetermined>. *)

  | MenhirState432 : (('s, 'r) _menhir_cell1_LEVELS, 'r) _menhir_state
    (** State 432.
        Stack shape : LEVELS.
        Start symbol: <undetermined>. *)

  | MenhirState433 : (('s, 'r) _menhir_cell1_PROC, 'r) _menhir_state
    (** State 433.
        Stack shape : PROC.
        Start symbol: <undetermined>. *)

  | MenhirState435 : (('s, 'r) _menhir_cell1_LPAR _menhir_cell0_NAME, 'r) _menhir_state
    (** State 435.
        Stack shape : LPAR NAME.
        Start symbol: <undetermined>. *)

  | MenhirState438 : (('s, 'r) _menhir_cell1_level_tree, 'r) _menhir_state
    (** State 438.
        Stack shape : level_tree.
        Start symbol: <undetermined>. *)

  | MenhirState443 : (('s, 'r) _menhir_cell1_scopes_key, 'r) _menhir_state
    (** State 443.
        Stack shape : scopes_key.
        Start symbol: <undetermined>. *)

  | MenhirState444 : ((('s, 'r) _menhir_cell1_scopes_key, 'r) _menhir_cell1_memory_map_key, 'r) _menhir_state
    (** State 444.
        Stack shape : scopes_key memory_map_key.
        Start symbol: <undetermined>. *)

  | MenhirState446 : ((('s, 'r) _menhir_cell1_scopes_key, 'r) _menhir_cell1_levels_key, 'r) _menhir_state
    (** State 446.
        Stack shape : scopes_key levels_key.
        Start symbol: <undetermined>. *)

  | MenhirState451 : (('s, 'r) _menhir_cell1_memory_map_key, 'r) _menhir_state
    (** State 451.
        Stack shape : memory_map_key.
        Start symbol: <undetermined>. *)

  | MenhirState452 : ((('s, 'r) _menhir_cell1_memory_map_key, 'r) _menhir_cell1_scopes_key, 'r) _menhir_state
    (** State 452.
        Stack shape : memory_map_key scopes_key.
        Start symbol: <undetermined>. *)

  | MenhirState454 : ((('s, 'r) _menhir_cell1_memory_map_key, 'r) _menhir_cell1_levels_key, 'r) _menhir_state
    (** State 454.
        Stack shape : memory_map_key levels_key.
        Start symbol: <undetermined>. *)

  | MenhirState456 : (('s, 'r) _menhir_cell1_levels_key, 'r) _menhir_state
    (** State 456.
        Stack shape : levels_key.
        Start symbol: <undetermined>. *)

  | MenhirState457 : ((('s, 'r) _menhir_cell1_levels_key, 'r) _menhir_cell1_scopes_key, 'r) _menhir_state
    (** State 457.
        Stack shape : levels_key scopes_key.
        Start symbol: <undetermined>. *)

  | MenhirState459 : ((('s, 'r) _menhir_cell1_levels_key, 'r) _menhir_cell1_memory_map_key, 'r) _menhir_state
    (** State 459.
        Stack shape : levels_key memory_map_key.
        Start symbol: <undetermined>. *)

  | MenhirState464 : ('s, _menhir_box_macros) _menhir_state
    (** State 464.
        Stack shape : .
        Start symbol: macros. *)

  | MenhirState466 : (('s, _menhir_box_macros) _menhir_cell1_NAME, _menhir_box_macros) _menhir_state
    (** State 466.
        Stack shape : NAME.
        Start symbol: macros. *)

  | MenhirState468 : (('s, _menhir_box_macros) _menhir_cell1_NAME, _menhir_box_macros) _menhir_state
    (** State 468.
        Stack shape : NAME.
        Start symbol: macros. *)

  | MenhirState472 : ((('s, _menhir_box_macros) _menhir_cell1_NAME, _menhir_box_macros) _menhir_cell1_formals, _menhir_box_macros) _menhir_state
    (** State 472.
        Stack shape : NAME formals.
        Start symbol: macros. *)

  | MenhirState473 : (((('s, _menhir_box_macros) _menhir_cell1_NAME, _menhir_box_macros) _menhir_cell1_formals, _menhir_box_macros) _menhir_cell1_LBRACE, _menhir_box_macros) _menhir_state
    (** State 473.
        Stack shape : NAME formals LBRACE.
        Start symbol: macros. *)

  | MenhirState479 : (('s, _menhir_box_macros) _menhir_cell1_macro, _menhir_box_macros) _menhir_state
    (** State 479.
        Stack shape : macro.
        Start symbol: macros. *)

  | MenhirState483 : ('s, _menhir_box_pseudo_seq) _menhir_state
    (** State 483.
        Stack shape : .
        Start symbol: pseudo_seq. *)

  | MenhirState487 : ('s, _menhir_box_shallow_main) _menhir_state
    (** State 487.
        Stack shape : .
        Start symbol: shallow_main. *)

  | MenhirState488 : (('s, _menhir_box_shallow_main) _menhir_cell1_BODY, _menhir_box_shallow_main) _menhir_state
    (** State 488.
        Stack shape : BODY.
        Start symbol: shallow_main. *)

  | MenhirState491 : (('s, _menhir_box_shallow_main) _menhir_cell1_voidopt _menhir_cell0_PROC, _menhir_box_shallow_main) _menhir_state
    (** State 491.
        Stack shape : voidopt PROC.
        Start symbol: shallow_main. *)

  | MenhirState494 : ((('s, _menhir_box_shallow_main) _menhir_cell1_voidopt _menhir_cell0_PROC, _menhir_box_shallow_main) _menhir_cell1_parameter_list _menhir_cell0_BODY, _menhir_box_shallow_main) _menhir_state
    (** State 494.
        Stack shape : voidopt PROC parameter_list BODY.
        Start symbol: shallow_main. *)


and ('s, 'r) _menhir_cell1_annot = 
  | MenhirCell1_annot of 's * ('s, 'r) _menhir_state * (string)

and ('s, 'r) _menhir_cell1_annot_base = 
  | MenhirCell1_annot_base of 's * ('s, 'r) _menhir_state * (string)

and ('s, 'r) _menhir_cell1_annot_list = 
  | MenhirCell1_annot_list of 's * ('s, 'r) _menhir_state * (MemOrderOrAnnot.annot)

and ('s, 'r) _menhir_cell1_atomic_op = 
  | MenhirCell1_atomic_op of 's * ('s, 'r) _menhir_state * (CBase.op)

and ('s, 'r) _menhir_cell1_block_ins = 
  | MenhirCell1_block_ins of 's * ('s, 'r) _menhir_state * (CBase.pins)

and ('s, 'r) _menhir_cell1_declaration = 
  | MenhirCell1_declaration of 's * ('s, 'r) _menhir_state * (CBase.pins)

and ('s, 'r) _menhir_cell1_expr = 
  | MenhirCell1_expr of 's * ('s, 'r) _menhir_state * (CBase.expression)

and ('s, 'r) _menhir_cell1_expr0 = 
  | MenhirCell1_expr0 of 's * ('s, 'r) _menhir_state * (CBase.expression)

and ('s, 'r) _menhir_cell1_formals = 
  | MenhirCell1_formals of 's * ('s, 'r) _menhir_state * (string list)

and ('s, 'r) _menhir_cell1_level_tree = 
  | MenhirCell1_level_tree of 's * ('s, 'r) _menhir_state * (BellInfo.scopes)

and ('s, 'r) _menhir_cell1_levels_key = 
  | MenhirCell1_levels_key of 's * ('s, 'r) _menhir_state * (BellInfo.scopes)

and ('s, 'r) _menhir_cell1_location = 
  | MenhirCell1_location of 's * ('s, 'r) _menhir_state * (CBase.expression)

and ('s, 'r) _menhir_cell1_macro = 
  | MenhirCell1_macro of 's * ('s, 'r) _menhir_state * (CBase.macro)

and ('s, 'r) _menhir_cell1_memory_map_atom = 
  | MenhirCell1_memory_map_atom of 's * ('s, 'r) _menhir_state * (string * string list)

and ('s, 'r) _menhir_cell1_memory_map_key = 
  | MenhirCell1_memory_map_key of 's * ('s, 'r) _menhir_state * (BellInfo.mem_space_map)

and ('s, 'r) _menhir_cell1_parameter_declaration = 
  | MenhirCell1_parameter_declaration of 's * ('s, 'r) _menhir_state * (CAst.param)

and ('s, 'r) _menhir_cell1_parameter_list = 
  | MenhirCell1_parameter_list of 's * ('s, 'r) _menhir_state * (CAst.param list)

and ('s, 'r) _menhir_cell1_proc = 
  | MenhirCell1_proc of 's * ('s, 'r) _menhir_state * (int)

and ('s, 'r) _menhir_cell1_scope_tree = 
  | MenhirCell1_scope_tree of 's * ('s, 'r) _menhir_state * (BellInfo.scopes)

and ('s, 'r) _menhir_cell1_scopes_key = 
  | MenhirCell1_scopes_key of 's * ('s, 'r) _menhir_state * (BellInfo.scopes)

and ('s, 'r) _menhir_cell1_trans_unit = 
  | MenhirCell1_trans_unit of 's * ('s, 'r) _menhir_state * (CBase.pseudo list CAst.test list)

and ('s, 'r) _menhir_cell1_typ = 
  | MenhirCell1_typ of 's * ('s, 'r) _menhir_state * (CType.t)

and ('s, 'r) _menhir_cell1_voidopt = 
  | MenhirCell1_voidopt of 's * ('s, 'r) _menhir_state * (unit)

and ('s, 'r) _menhir_cell1_ATOMIC = 
  | MenhirCell1_ATOMIC of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_ATOMICADDUNLESS = 
  | MenhirCell1_ATOMICADDUNLESS of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_ATOMIC_FETCH_EXPLICIT = 
  | MenhirCell1_ATOMIC_FETCH_EXPLICIT of 's * ('s, 'r) _menhir_state * (
# 65 "lib/CParser.mly"
       (CBase.op)
# 1026 "lib/CParser.ml"
)

and ('s, 'r) _menhir_cell1_BODY = 
  | MenhirCell1_BODY of 's * ('s, 'r) _menhir_state * (
# 46 "lib/CParser.mly"
       (string)
# 1033 "lib/CParser.ml"
)

and 's _menhir_cell0_BODY = 
  | MenhirCell0_BODY of 's * (
# 46 "lib/CParser.mly"
       (string)
# 1040 "lib/CParser.ml"
)

and ('s, 'r) _menhir_cell1_CMPXCHG = 
  | MenhirCell1_CMPXCHG of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_CONST = 
  | MenhirCell1_CONST of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_EXC_EXPLICIT = 
  | MenhirCell1_EXC_EXPLICIT of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_IF = 
  | MenhirCell1_IF of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_LBRACE = 
  | MenhirCell1_LBRACE of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_LD_EXPLICIT = 
  | MenhirCell1_LD_EXPLICIT of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_LEVELS = 
  | MenhirCell1_LEVELS of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_LOAD = 
  | MenhirCell1_LOAD of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_LOCK = 
  | MenhirCell1_LOCK of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_LPAR = 
  | MenhirCell1_LPAR of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_NAME = 
  | MenhirCell1_NAME of 's * ('s, 'r) _menhir_state * (
# 27 "lib/CParser.mly"
       (string)
# 1077 "lib/CParser.ml"
)

and 's _menhir_cell0_NAME = 
  | MenhirCell0_NAME of 's * (
# 27 "lib/CParser.mly"
       (string)
# 1084 "lib/CParser.ml"
)

and ('s, 'r) _menhir_cell1_PROC = 
  | MenhirCell1_PROC of 's * ('s, 'r) _menhir_state * (
# 33 "lib/CParser.mly"
       (int)
# 1091 "lib/CParser.ml"
)

and 's _menhir_cell0_PROC = 
  | MenhirCell0_PROC of 's * (
# 33 "lib/CParser.mly"
       (int)
# 1098 "lib/CParser.ml"
)

and ('s, 'r) _menhir_cell1_REGIONS = 
  | MenhirCell1_REGIONS of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_SCAS = 
  | MenhirCell1_SCAS of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_SCAS_EXPLICIT = 
  | MenhirCell1_SCAS_EXPLICIT of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_SCOPES = 
  | MenhirCell1_SCOPES of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_SPINISLOCKED = 
  | MenhirCell1_SPINISLOCKED of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_SPINLOCK = 
  | MenhirCell1_SPINLOCK of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_SPINTRYLOCK = 
  | MenhirCell1_SPINTRYLOCK of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_SPINUNLOCK = 
  | MenhirCell1_SPINUNLOCK of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_SRCU = 
  | MenhirCell1_SRCU of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_STAR = 
  | MenhirCell1_STAR of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_STORE = 
  | MenhirCell1_STORE of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_ST_EXPLICIT = 
  | MenhirCell1_ST_EXPLICIT of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_UNDERATOMICADDUNLESS = 
  | MenhirCell1_UNDERATOMICADDUNLESS of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_UNDERATOMICFETCHOP = 
  | MenhirCell1_UNDERATOMICFETCHOP of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_UNDERATOMICOP = 
  | MenhirCell1_UNDERATOMICOP of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_UNDERATOMICOPRETURN = 
  | MenhirCell1_UNDERATOMICOPRETURN of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_UNDERFENCE = 
  | MenhirCell1_UNDERFENCE of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_UNLOCK = 
  | MenhirCell1_UNLOCK of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_VOID = 
  | MenhirCell1_VOID of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_VOLATILE = 
  | MenhirCell1_VOLATILE of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_WCAS = 
  | MenhirCell1_WCAS of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_WCAS_EXPLICIT = 
  | MenhirCell1_WCAS_EXPLICIT of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_WHILE = 
  | MenhirCell1_WHILE of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_XCHG = 
  | MenhirCell1_XCHG of 's * ('s, 'r) _menhir_state

and _menhir_box_shallow_main = 
  | MenhirBox_shallow_main of (string CAst.t list * MiscParser.extra_data) [@@unboxed]

and _menhir_box_pseudo_seq = 
  | MenhirBox_pseudo_seq of (CBase.pseudo list) [@@unboxed]

and _menhir_box_macros = 
  | MenhirBox_macros of (CBase.macro list) [@@unboxed]

and _menhir_box_deep_main = 
  | MenhirBox_deep_main of (CBase.pseudo list CAst.test list * MiscParser.extra_data) [@@unboxed]

let _menhir_action_004 =
  fun _1 ->
    (
# 169 "lib/CParser.mly"
              ( _1 )
# 1190 "lib/CParser.ml"
     : (string))

let _menhir_action_005 =
  fun _1 _3 ->
    (
# 170 "lib/CParser.mly"
                       ( _1 ^ "-" ^ _3 )
# 1198 "lib/CParser.ml"
     : (string))

let _menhir_action_006 =
  fun () ->
    (
# 173 "lib/CParser.mly"
             ( "lock" )
# 1206 "lib/CParser.ml"
     : (string))

let _menhir_action_007 =
  fun () ->
    (
# 174 "lib/CParser.mly"
             ( "unlock" )
# 1214 "lib/CParser.ml"
     : (string))

let _menhir_action_008 =
  fun () ->
    (
# 175 "lib/CParser.mly"
              ( "atomic" )
# 1222 "lib/CParser.ml"
     : (string))

let _menhir_action_009 =
  fun _1 ->
    (
# 176 "lib/CParser.mly"
       ( _1 )
# 1230 "lib/CParser.ml"
     : (string))

let _menhir_action_010 =
  fun _1 _3 ->
    (
# 182 "lib/CParser.mly"
  (_1::_3)
# 1238 "lib/CParser.ml"
     : (MemOrderOrAnnot.annot))

let _menhir_action_011 =
  fun _1 ->
    (
# 184 "lib/CParser.mly"
  ([_1])
# 1246 "lib/CParser.ml"
     : (MemOrderOrAnnot.annot))

let _menhir_action_012 =
  fun () ->
    (
# 249 "lib/CParser.mly"
  ( [] )
# 1254 "lib/CParser.ml"
     : (CBase.expression list))

let _menhir_action_013 =
  fun _1 ->
    (
# 250 "lib/CParser.mly"
          ( _1 )
# 1262 "lib/CParser.ml"
     : (CBase.expression list))

let _menhir_action_014 =
  fun _1 ->
    (
# 253 "lib/CParser.mly"
       ( [_1] )
# 1270 "lib/CParser.ml"
     : (CBase.expression list))

let _menhir_action_015 =
  fun _1 _3 ->
    (
# 254 "lib/CParser.mly"
                     ( _1 :: _3 )
# 1278 "lib/CParser.ml"
     : (CBase.expression list))

let _menhir_action_016 =
  fun () ->
    (
# 161 "lib/CParser.mly"
      ( Op.Add )
# 1286 "lib/CParser.ml"
     : (CBase.op))

let _menhir_action_017 =
  fun () ->
    (
# 162 "lib/CParser.mly"
      ( Op.Sub )
# 1294 "lib/CParser.ml"
     : (CBase.op))

let _menhir_action_018 =
  fun () ->
    (
# 163 "lib/CParser.mly"
       ( Op.And )
# 1302 "lib/CParser.ml"
     : (CBase.op))

let _menhir_action_019 =
  fun () ->
    (
# 164 "lib/CParser.mly"
      ( Op.Xor )
# 1310 "lib/CParser.ml"
     : (CBase.op))

let _menhir_action_020 =
  fun () ->
    (
# 165 "lib/CParser.mly"
       ( Op.Or )
# 1318 "lib/CParser.ml"
     : (CBase.op))

let _menhir_action_021 =
  fun () ->
    (
# 166 "lib/CParser.mly"
           ( Op.AndNot2 )
# 1326 "lib/CParser.ml"
     : (CBase.op))

let _menhir_action_022 =
  fun _1 ->
    (
# 132 "lib/CParser.mly"
        ( _1 )
# 1334 "lib/CParser.ml"
     : (CType.t))

let _menhir_action_023 =
  fun _2 ->
    (
# 133 "lib/CParser.mly"
                 ( _2 )
# 1342 "lib/CParser.ml"
     : (CType.t))

let _menhir_action_024 =
  fun _1 ->
    (
# 120 "lib/CParser.mly"
              ( Atomic (Base _1) )
# 1350 "lib/CParser.ml"
     : (CType.t))

let _menhir_action_025 =
  fun _3 ->
    (
# 121 "lib/CParser.mly"
                              ( Atomic (Base _3) )
# 1358 "lib/CParser.ml"
     : (CType.t))

let _menhir_action_026 =
  fun _1 ->
    (
# 122 "lib/CParser.mly"
            ( (Base _1) )
# 1366 "lib/CParser.ml"
     : (CType.t))

let _menhir_action_027 =
  fun _2 ->
    (
# 123 "lib/CParser.mly"
                     ( Base ("struct " ^ _2) )
# 1374 "lib/CParser.ml"
     : (CType.t))

let _menhir_action_028 =
  fun _1 ->
    (
# 124 "lib/CParser.mly"
                ( Base (_1 ^ "mutex") )
# 1382 "lib/CParser.ml"
     : (CType.t))

let _menhir_action_029 =
  fun _1 ->
    (
# 125 "lib/CParser.mly"
               ( Base (_1 ^ "char") )
# 1390 "lib/CParser.ml"
     : (CType.t))

let _menhir_action_030 =
  fun _1 ->
    (
# 126 "lib/CParser.mly"
              ( Base (_1 ^ "int") )
# 1398 "lib/CParser.ml"
     : (CType.t))

let _menhir_action_031 =
  fun _1 ->
    (
# 127 "lib/CParser.mly"
               ( Base (_1 ^ "long") )
# 1406 "lib/CParser.ml"
     : (CType.t))

let _menhir_action_032 =
  fun _1 ->
    (
# 310 "lib/CParser.mly"
              ( _1 )
# 1414 "lib/CParser.ml"
     : (CBase.pins))

let _menhir_action_033 =
  fun _2 ->
    (
# 311 "lib/CParser.mly"
                        ( Seq(_2,true) )
# 1422 "lib/CParser.ml"
     : (CBase.pins))

let _menhir_action_034 =
  fun _2 ->
    (
# 346 "lib/CParser.mly"
                        ( Seq (_2,true) )
# 1430 "lib/CParser.ml"
     : (CBase.pins))

let _menhir_action_035 =
  fun _1 _2 ->
    (
# 151 "lib/CParser.mly"
                ( DeclReg (_1,_2) )
# 1438 "lib/CParser.ml"
     : (CBase.pins))

let _menhir_action_036 =
  fun _1 _2 ->
    (
# 335 "lib/CParser.mly"
                                       ( _1, [MiscParser.BellExtra _2] )
# 1446 "lib/CParser.ml"
     : (CBase.pseudo list CAst.test list * MiscParser.extra_data))

let _menhir_action_037 =
  fun _1 ->
    (
# 314 "lib/CParser.mly"
            ( [Instruction _1] )
# 1454 "lib/CParser.ml"
     : (CBase.pseudo list))

let _menhir_action_038 =
  fun _1 _2 ->
    (
# 315 "lib/CParser.mly"
                          ( (Instruction _1)::_2 )
# 1462 "lib/CParser.ml"
     : (CBase.pseudo list))

let _menhir_action_039 =
  fun () ->
    (
# 316 "lib/CParser.mly"
              ( [] )
# 1470 "lib/CParser.ml"
     : (CBase.pseudo list))

let _menhir_action_040 =
  fun _2 ->
    (
# 317 "lib/CParser.mly"
                            ( _2 )
# 1478 "lib/CParser.ml"
     : (CBase.pseudo list))

let _menhir_action_041 =
  fun _1 ->
    (
# 187 "lib/CParser.mly"
        ( _1 )
# 1486 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_042 =
  fun _1 ->
    (
# 188 "lib/CParser.mly"
        ( _1 )
# 1494 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_043 =
  fun _1 ->
    (
# 191 "lib/CParser.mly"
           ( CBase.Const(Constant.Concrete _1) )
# 1502 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_044 =
  fun _1 ->
    (
# 192 "lib/CParser.mly"
           ( CBase.Const(mk_sym _1) )
# 1510 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_045 =
  fun _1 ->
    (
# 193 "lib/CParser.mly"
       ( CBase.LoadReg _1 )
# 1518 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_046 =
  fun _2 ->
    (
# 194 "lib/CParser.mly"
            ( CBase.LoadMem (CBase.LoadReg _2,AN []) )
# 1526 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_047 =
  fun _2 ->
    (
# 195 "lib/CParser.mly"
                 ( _2 )
# 1534 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_048 =
  fun e ->
    (
# 198 "lib/CParser.mly"
                                  ( e )
# 1542 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_049 =
  fun _5 ->
    (
# 199 "lib/CParser.mly"
                          ( LoadMem (LoadReg _5,AN []) )
# 1550 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_050 =
  fun _3 ->
    (
# 200 "lib/CParser.mly"
                      ( LoadMem (_3,AN []) )
# 1558 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_051 =
  fun _3 _6 ->
    (
# 201 "lib/CParser.mly"
                                               ( LoadMem(_6,AN _3) )
# 1566 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_052 =
  fun _3 _6 ->
    (
# 202 "lib/CParser.mly"
                                                           ( ExpSRCU(_6,_3) )
# 1574 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_053 =
  fun _3 _5 ->
    (
# 203 "lib/CParser.mly"
                                            ( LoadMem(_3,MO _5) )
# 1582 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_054 =
  fun _1 _3 ->
    (
# 204 "lib/CParser.mly"
                 ( Op(Op.Mul,_1,_3) )
# 1590 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_055 =
  fun _1 _3 ->
    (
# 205 "lib/CParser.mly"
                ( Op(Op.Add,_1,_3) )
# 1598 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_056 =
  fun _1 _3 ->
    (
# 206 "lib/CParser.mly"
                ( Op(Op.Sub,_1,_3) )
# 1606 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_057 =
  fun _1 _3 ->
    (
# 207 "lib/CParser.mly"
                ( Op(Op.Div,_1,_3) )
# 1614 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_058 =
  fun _1 _3 ->
    (
# 208 "lib/CParser.mly"
                 ( Op(Op.And,_1,_3) )
# 1622 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_059 =
  fun _1 _3 ->
    (
# 209 "lib/CParser.mly"
                 ( Op(Op.Or,_1,_3) )
# 1630 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_060 =
  fun _1 _3 ->
    (
# 210 "lib/CParser.mly"
                ( Op(Op.Xor,_1,_3) )
# 1638 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_061 =
  fun _1 _3 ->
    (
# 211 "lib/CParser.mly"
                  ( Op(Op.Eq,_1,_3) )
# 1646 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_062 =
  fun _1 _3 ->
    (
# 212 "lib/CParser.mly"
                   ( Op(Op.Ne,_1,_3) )
# 1654 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_063 =
  fun _1 _3 ->
    (
# 213 "lib/CParser.mly"
               ( Op(Op.Lt,_1,_3) )
# 1662 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_064 =
  fun _1 _3 ->
    (
# 214 "lib/CParser.mly"
               ( Op(Op.Gt,_1,_3) )
# 1670 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_065 =
  fun _1 _3 ->
    (
# 215 "lib/CParser.mly"
               ( Op(Op.Le,_1,_3) )
# 1678 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_066 =
  fun _1 _3 ->
    (
# 216 "lib/CParser.mly"
               ( Op(Op.Ge,_1,_3) )
# 1686 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_067 =
  fun _3 _5 _7 ->
    (
# 218 "lib/CParser.mly"
  ( Exchange(_3, _5, MO _7) )
# 1694 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_068 =
  fun _3 _6 _8 ->
    (
# 220 "lib/CParser.mly"
  ( Exchange(_6,_8,AN _3) )
# 1702 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_069 =
  fun _10 _3 _6 _8 ->
    (
# 222 "lib/CParser.mly"
  ( CmpExchange(_6,_8,_10,_3) )
# 1710 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_070 =
  fun _1 _3 _5 _7 ->
    (
# 224 "lib/CParser.mly"
  ( Fetch(_3, _1, _5, _7) )
# 1718 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_071 =
  fun _1 _3 ->
    (
# 226 "lib/CParser.mly"
  ( ECall (_1,_3) )
# 1726 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_072 =
  fun _3 _5 _7 ->
    (
# 228 "lib/CParser.mly"
  ( ECas (_3,_5,_7,SC,SC,false) )
# 1734 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_073 =
  fun _11 _3 _5 _7 _9 ->
    (
# 230 "lib/CParser.mly"
  ( ECas (_3,_5,_7,_9,_11,false) )
# 1742 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_074 =
  fun _3 _5 _7 ->
    (
# 232 "lib/CParser.mly"
  ( ECas (_3,_5,_7,SC,SC,true) )
# 1750 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_075 =
  fun _11 _3 _5 _7 _9 ->
    (
# 234 "lib/CParser.mly"
  ( ECas (_3,_5,_7,_9,_11,true) )
# 1758 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_076 =
  fun _3 ->
    (
# 236 "lib/CParser.mly"
  ( TryLock (_3,MutexLinux) )
# 1766 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_077 =
  fun _3 ->
    (
# 238 "lib/CParser.mly"
  ( IsLocked (_3,MutexLinux) )
# 1774 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_078 =
  fun _10 _3 _6 _8 ->
    (
# 240 "lib/CParser.mly"
  ( AtomicOpReturn(_6,_8,_10,OpReturn,_3) )
# 1782 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_079 =
  fun _10 _3 _6 _8 ->
    (
# 242 "lib/CParser.mly"
  ( AtomicOpReturn(_6,_8,_10,FetchOp,_3) )
# 1790 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_080 =
  fun _3 _5 _7 ->
    (
# 244 "lib/CParser.mly"
  ( AtomicAddUnless(_3,_5,_7,false) )
# 1798 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_081 =
  fun _3 _5 _7 ->
    (
# 246 "lib/CParser.mly"
  ( AtomicAddUnless(_3,_5,_7,true) )
# 1806 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_082 =
  fun e ->
    (
# 158 "lib/CParser.mly"
         ( StoreReg(None,None,e) )
# 1814 "lib/CParser.ml"
     : (CBase.pins))

let _menhir_action_083 =
  fun () ->
    (
# 342 "lib/CParser.mly"
  ( [] )
# 1822 "lib/CParser.ml"
     : (string list))

let _menhir_action_084 =
  fun _1 ->
    (
# 343 "lib/CParser.mly"
             ( _1 )
# 1830 "lib/CParser.ml"
     : (string list))

let _menhir_action_085 =
  fun _1 ->
    (
# 338 "lib/CParser.mly"
       ( [ _1 ] )
# 1838 "lib/CParser.ml"
     : (string list))

let _menhir_action_086 =
  fun _1 _3 ->
    (
# 339 "lib/CParser.mly"
                        ( _1 :: _3 )
# 1846 "lib/CParser.ml"
     : (string list))

let _menhir_action_087 =
  fun _2 _4 _7 ->
    (
# 324 "lib/CParser.mly"
  ( { CAst.proc = _2;
      CAst.params = _4;
      CAst.body = _7 } )
# 1856 "lib/CParser.ml"
     : (CBase.pseudo list CAst.test))

let _menhir_action_088 =
  fun _1 _2 _4 ->
    (
# 154 "lib/CParser.mly"
                   ( StoreReg (Some _1,Some _2,_4) ; )
# 1864 "lib/CParser.ml"
     : (CBase.pins))

let _menhir_action_089 =
  fun _1 ->
    (
# 155 "lib/CParser.mly"
            ( _1 )
# 1872 "lib/CParser.ml"
     : (CBase.pins))

let _menhir_action_090 =
  fun _1 ->
    (
# 304 "lib/CParser.mly"
            ( [_1] )
# 1880 "lib/CParser.ml"
     : (CBase.pins list))

let _menhir_action_091 =
  fun _1 _2 ->
    (
# 305 "lib/CParser.mly"
                    ( _1::_2 )
# 1888 "lib/CParser.ml"
     : (CBase.pins list))

let _menhir_action_092 =
  fun _1 ->
    (
# 306 "lib/CParser.mly"
              ( [_1] )
# 1896 "lib/CParser.ml"
     : (CBase.pins list))

let _menhir_action_093 =
  fun _1 _2 ->
    (
# 307 "lib/CParser.mly"
                      ( _1::_2 )
# 1904 "lib/CParser.ml"
     : (CBase.pins list))

let _menhir_action_094 =
  fun _3 _5 ->
    (
# 263 "lib/CParser.mly"
  ( If(_3,_5,None) )
# 1912 "lib/CParser.ml"
     : (CBase.pins))

let _menhir_action_095 =
  fun _3 _5 _7 ->
    (
# 265 "lib/CParser.mly"
  ( If(_3,_5,Some _7) )
# 1920 "lib/CParser.ml"
     : (CBase.pins))

let _menhir_action_096 =
  fun _2 _3 ->
    (
# 267 "lib/CParser.mly"
  ( While (_2,_3,0) )
# 1928 "lib/CParser.ml"
     : (CBase.pins))

let _menhir_action_097 =
  fun _1 ->
    (
# 269 "lib/CParser.mly"
  ( _1 )
# 1936 "lib/CParser.ml"
     : (CBase.pins))

let _menhir_action_098 =
  fun _1 _3 ->
    (
# 271 "lib/CParser.mly"
  ( StoreReg(None,Some _1,_3) )
# 1944 "lib/CParser.ml"
     : (CBase.pins))

let _menhir_action_099 =
  fun _4 ->
    (
# 273 "lib/CParser.mly"
  ( CastExpr _4 )
# 1952 "lib/CParser.ml"
     : (CBase.pins))

let _menhir_action_100 =
  fun _2 _4 ->
    (
# 275 "lib/CParser.mly"
  ( StoreMem(_2,_4,AN []) )
# 1960 "lib/CParser.ml"
     : (CBase.pins))

let _menhir_action_101 =
  fun _3 _6 _8 ->
    (
# 277 "lib/CParser.mly"
  ( StoreMem(_6,_8,AN _3) )
# 1968 "lib/CParser.ml"
     : (CBase.pins))

let _menhir_action_102 =
  fun _3 _6 ->
    (
# 279 "lib/CParser.mly"
  ( InstrSRCU(_6,_3,None) )
# 1976 "lib/CParser.ml"
     : (CBase.pins))

let _menhir_action_103 =
  fun _3 _6 _8 ->
    (
# 281 "lib/CParser.mly"
  ( InstrSRCU(_6,_3,Some _8) )
# 1984 "lib/CParser.ml"
     : (CBase.pins))

let _menhir_action_104 =
  fun _3 _5 _7 ->
    (
# 283 "lib/CParser.mly"
  ( StoreMem(_3, _5, MO _7) )
# 1992 "lib/CParser.ml"
     : (CBase.pins))

let _menhir_action_105 =
  fun _3 ->
    (
# 285 "lib/CParser.mly"
  ( Lock (_3,MutexC11) )
# 2000 "lib/CParser.ml"
     : (CBase.pins))

let _menhir_action_106 =
  fun _3 ->
    (
# 287 "lib/CParser.mly"
  ( Unlock (_3,MutexC11) )
# 2008 "lib/CParser.ml"
     : (CBase.pins))

let _menhir_action_107 =
  fun _3 ->
    (
# 289 "lib/CParser.mly"
  ( Lock (_3,MutexLinux) )
# 2016 "lib/CParser.ml"
     : (CBase.pins))

let _menhir_action_108 =
  fun _3 ->
    (
# 291 "lib/CParser.mly"
  ( Unlock (_3,MutexLinux) )
# 2024 "lib/CParser.ml"
     : (CBase.pins))

let _menhir_action_109 =
  fun _3 ->
    (
# 293 "lib/CParser.mly"
  ( Fence(AN _3) )
# 2032 "lib/CParser.ml"
     : (CBase.pins))

let _menhir_action_110 =
  fun _3 _5 _7 ->
    (
# 295 "lib/CParser.mly"
  ( AtomicOp(_3,_5,_7) )
# 2040 "lib/CParser.ml"
     : (CBase.pins))

let _menhir_action_111 =
  fun _3 ->
    (
# 297 "lib/CParser.mly"
  ( Fence(MO _3) )
# 2048 "lib/CParser.ml"
     : (CBase.pins))

let _menhir_action_112 =
  fun _1 ->
    (
# 299 "lib/CParser.mly"
  ( Symb _1 )
# 2056 "lib/CParser.ml"
     : (CBase.pins))

let _menhir_action_113 =
  fun _1 _3 ->
    (
# 301 "lib/CParser.mly"
  ( PCall (_1,_3) )
# 2064 "lib/CParser.ml"
     : (CBase.pins))

let _menhir_action_114 =
  fun _2 _3 ->
    (
# 62 "lib/scopeRules.mly"
  (
   let ps,ts = _3 in
   BellInfo.Tree (_2,ps,ts)
   )
# 2075 "lib/CParser.ml"
     : (BellInfo.scopes))

let _menhir_action_115 =
  fun _1 ->
    (
# 51 "lib/scopeRules.mly"
       ( [_1],[] )
# 2083 "lib/CParser.ml"
     : (int list * BellInfo.scopes list))

let _menhir_action_116 =
  fun _1 ->
    (
# 52 "lib/scopeRules.mly"
             (let ps =  [] in ps,[_1])
# 2091 "lib/CParser.ml"
     : (int list * BellInfo.scopes list))

let _menhir_action_117 =
  fun _1 _2 ->
    (
# 54 "lib/scopeRules.mly"
    ( let ps,ts = _2 in
      _1::ps,ts )
# 2100 "lib/CParser.ml"
     : (int list * BellInfo.scopes list))

let _menhir_action_118 =
  fun _1 _2 ->
    (
# 57 "lib/scopeRules.mly"
    (let ps,ts = _2 in
     ps,_1::ts )
# 2109 "lib/CParser.ml"
     : (int list * BellInfo.scopes list))

let _menhir_action_119 =
  fun _3 ->
    (
# 53 "lib/BellExtraRules.mly"
                              ( _3 )
# 2117 "lib/CParser.ml"
     : (BellInfo.scopes))

let _menhir_action_120 =
  fun () ->
    (
# 216 "<standard.mly>"
    ( [] )
# 2125 "lib/CParser.ml"
     : (CBase.macro list))

let _menhir_action_121 =
  fun x xs ->
    (
# 219 "<standard.mly>"
    ( x :: xs )
# 2133 "lib/CParser.ml"
     : (CBase.macro list))

let _menhir_action_122 =
  fun _1 ->
    (
# 257 "lib/CParser.mly"
       ( LoadReg(_1) )
# 2141 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_123 =
  fun _2 ->
    (
# 258 "lib/CParser.mly"
                ( LoadMem(_2,AN []) )
# 2149 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_124 =
  fun _2 ->
    (
# 259 "lib/CParser.mly"
                 ( _2 )
# 2157 "lib/CParser.ml"
     : (CBase.expression))

let _menhir_action_125 =
  fun () ->
    (
# 145 "<standard.mly>"
    ( [] )
# 2165 "lib/CParser.ml"
     : (BellInfo.mem_space_map))

let _menhir_action_126 =
  fun x ->
    (
# 148 "<standard.mly>"
    ( x )
# 2173 "lib/CParser.ml"
     : (BellInfo.mem_space_map))

let _menhir_action_127 =
  fun _1 _3 _5 ->
    (
# 349 "lib/CParser.mly"
                              ( EDef (_1,_3,_5) )
# 2181 "lib/CParser.ml"
     : (CBase.macro))

let _menhir_action_128 =
  fun _1 _3 _5 ->
    (
# 350 "lib/CParser.mly"
                              ( PDef (_1,_3,_5) )
# 2189 "lib/CParser.ml"
     : (CBase.macro))

let _menhir_action_129 =
  fun ms ->
    (
# 353 "lib/CParser.mly"
                     ( ms )
# 2197 "lib/CParser.ml"
     : (CBase.macro list))

let _menhir_action_130 =
  fun _1 _3 ->
    (
# 75 "lib/scopeRules.mly"
                                  ( (_1,_3) )
# 2205 "lib/CParser.ml"
     : (string * string list))

let _menhir_action_131 =
  fun _3 ->
    (
# 56 "lib/BellExtraRules.mly"
                               ( _3 )
# 2213 "lib/CParser.ml"
     : (BellInfo.mem_space_map))

let _menhir_action_132 =
  fun x ->
    (
# 228 "<standard.mly>"
    ( [ x ] )
# 2221 "lib/CParser.ml"
     : (string list))

let _menhir_action_133 =
  fun x xs ->
    (
# 231 "<standard.mly>"
    ( x :: xs )
# 2229 "lib/CParser.ml"
     : (string list))

let _menhir_action_134 =
  fun _1 _2 ->
    (
# 96 "lib/CParser.mly"
               ( {CAst.param_ty = _1; param_name = _2} )
# 2237 "lib/CParser.ml"
     : (CAst.param))

let _menhir_action_135 =
  fun () ->
    (
# 91 "lib/CParser.mly"
  ( [] )
# 2245 "lib/CParser.ml"
     : (CAst.param list))

let _menhir_action_136 =
  fun _1 ->
    (
# 92 "lib/CParser.mly"
                        ( [ _1 ] )
# 2253 "lib/CParser.ml"
     : (CAst.param list))

let _menhir_action_137 =
  fun _1 _3 ->
    (
# 93 "lib/CParser.mly"
                                             ( _1 :: _3 )
# 2261 "lib/CParser.ml"
     : (CAst.param list))

let _menhir_action_138 =
  fun levels regions scopes ->
    (
# 30 "lib/BellExtraRules.mly"
    ( { levels=Some levels; scopes=Some scopes; regions=Some regions; } )
# 2269 "lib/CParser.ml"
     : (BellInfo.test))

let _menhir_action_139 =
  fun levels regions scopes ->
    (
# 30 "lib/BellExtraRules.mly"
    ( { levels=Some levels; scopes=Some scopes; regions=Some regions; } )
# 2277 "lib/CParser.ml"
     : (BellInfo.test))

let _menhir_action_140 =
  fun levels regions scopes ->
    (
# 30 "lib/BellExtraRules.mly"
    ( { levels=Some levels; scopes=Some scopes; regions=Some regions; } )
# 2285 "lib/CParser.ml"
     : (BellInfo.test))

let _menhir_action_141 =
  fun levels regions scopes ->
    (
# 30 "lib/BellExtraRules.mly"
    ( { levels=Some levels; scopes=Some scopes; regions=Some regions; } )
# 2293 "lib/CParser.ml"
     : (BellInfo.test))

let _menhir_action_142 =
  fun levels regions scopes ->
    (
# 30 "lib/BellExtraRules.mly"
    ( { levels=Some levels; scopes=Some scopes; regions=Some regions; } )
# 2301 "lib/CParser.ml"
     : (BellInfo.test))

let _menhir_action_143 =
  fun levels regions scopes ->
    (
# 30 "lib/BellExtraRules.mly"
    ( { levels=Some levels; scopes=Some scopes; regions=Some regions; } )
# 2309 "lib/CParser.ml"
     : (BellInfo.test))

let _menhir_action_144 =
  fun levels scopes ->
    (
# 33 "lib/BellExtraRules.mly"
    ( { nones with  levels=Some levels; scopes=Some scopes; } )
# 2317 "lib/CParser.ml"
     : (BellInfo.test))

let _menhir_action_145 =
  fun levels scopes ->
    (
# 33 "lib/BellExtraRules.mly"
    ( { nones with  levels=Some levels; scopes=Some scopes; } )
# 2325 "lib/CParser.ml"
     : (BellInfo.test))

let _menhir_action_146 =
  fun regions scopes ->
    (
# 36 "lib/BellExtraRules.mly"
    ( { nones with scopes=Some scopes; regions=Some regions; } )
# 2333 "lib/CParser.ml"
     : (BellInfo.test))

let _menhir_action_147 =
  fun regions scopes ->
    (
# 36 "lib/BellExtraRules.mly"
    ( { nones with scopes=Some scopes; regions=Some regions; } )
# 2341 "lib/CParser.ml"
     : (BellInfo.test))

let _menhir_action_148 =
  fun levels regions ->
    (
# 39 "lib/BellExtraRules.mly"
    ( { nones with levels=Some levels; regions=Some regions; } )
# 2349 "lib/CParser.ml"
     : (BellInfo.test))

let _menhir_action_149 =
  fun levels regions ->
    (
# 39 "lib/BellExtraRules.mly"
    ( { nones with levels=Some levels; regions=Some regions; } )
# 2357 "lib/CParser.ml"
     : (BellInfo.test))

let _menhir_action_150 =
  fun scopes ->
    (
# 41 "lib/BellExtraRules.mly"
    ( { nones with scopes=Some scopes; } )
# 2365 "lib/CParser.ml"
     : (BellInfo.test))

let _menhir_action_151 =
  fun levels ->
    (
# 43 "lib/BellExtraRules.mly"
    ( { nones with levels=Some levels; } )
# 2373 "lib/CParser.ml"
     : (BellInfo.test))

let _menhir_action_152 =
  fun regions ->
    (
# 45 "lib/BellExtraRules.mly"
    ( { nones with regions=Some regions; } )
# 2381 "lib/CParser.ml"
     : (BellInfo.test))

let _menhir_action_153 =
  fun () ->
    (
# 47 "lib/BellExtraRules.mly"
    (  nones )
# 2389 "lib/CParser.ml"
     : (BellInfo.test))

let _menhir_action_154 =
  fun _1 ->
    (
# 22 "lib/scopeRules.mly"
        ( _1 )
# 2397 "lib/CParser.ml"
     : (int))

let _menhir_action_155 =
  fun _1 ->
    (
# 23 "lib/scopeRules.mly"
        ( _1 )
# 2405 "lib/CParser.ml"
     : (int))

let _menhir_action_156 =
  fun _1 _2 ->
    (
# 26 "lib/scopeRules.mly"
                    (_1::_2)
# 2413 "lib/CParser.ml"
     : (int list))

let _menhir_action_157 =
  fun () ->
    (
# 27 "lib/scopeRules.mly"
  ([])
# 2421 "lib/CParser.ml"
     : (int list))

let _menhir_action_158 =
  fun p ->
    (
# 320 "lib/CParser.mly"
                      ( p )
# 2429 "lib/CParser.ml"
     : (CBase.pseudo list))

let _menhir_action_159 =
  fun _2 _3 ->
    (
# 35 "lib/scopeRules.mly"
   (
   BellInfo.Tree(_2,[],_3)
   )
# 2439 "lib/CParser.ml"
     : (BellInfo.scopes))

let _menhir_action_160 =
  fun _2 _3 ->
    (
# 39 "lib/scopeRules.mly"
   (
   BellInfo.Tree(_2,_3,[])
   )
# 2449 "lib/CParser.ml"
     : (BellInfo.scopes))

let _menhir_action_161 =
  fun _1 ->
    (
# 30 "lib/scopeRules.mly"
             ([_1])
# 2457 "lib/CParser.ml"
     : (BellInfo.scopes list))

let _menhir_action_162 =
  fun _1 _2 ->
    (
# 31 "lib/scopeRules.mly"
                             (_1::_2)
# 2465 "lib/CParser.ml"
     : (BellInfo.scopes list))

let _menhir_action_163 =
  fun x ->
    (
# 61 "lib/BellExtraRules.mly"
                                                    ( x )
# 2473 "lib/CParser.ml"
     : (BellInfo.test))

let _menhir_action_164 =
  fun _3 ->
    (
# 50 "lib/BellExtraRules.mly"
                              ( _3 )
# 2481 "lib/CParser.ml"
     : (BellInfo.scopes))

let _menhir_action_165 =
  fun x ->
    (
# 250 "<standard.mly>"
    ( [ x ] )
# 2489 "lib/CParser.ml"
     : (BellInfo.mem_space_map))

let _menhir_action_166 =
  fun x xs ->
    (
# 253 "<standard.mly>"
    ( x :: xs )
# 2497 "lib/CParser.ml"
     : (BellInfo.mem_space_map))

let _menhir_action_167 =
  fun _1 ->
    (
# 139 "lib/CParser.mly"
                            ( [], [MiscParser.BellExtra _1] )
# 2505 "lib/CParser.ml"
     : (string CAst.t list * MiscParser.extra_data))

let _menhir_action_168 =
  fun _1 _2 ->
    (
# 140 "lib/CParser.mly"
                    ( CAst.Global _1 :: (fst _2), (snd _2) )
# 2513 "lib/CParser.ml"
     : (string CAst.t list * MiscParser.extra_data))

let _menhir_action_169 =
  fun _2 _4 _6 _7 ->
    (
# 142 "lib/CParser.mly"
    ( CAst.Test {CAst.proc = _2; params = _4; body = _6} :: (fst _7),
      (snd _7) )
# 2522 "lib/CParser.ml"
     : (string CAst.t list * MiscParser.extra_data))

let _menhir_action_170 =
  fun _1 ->
    (
# 69 "lib/scopeRules.mly"
    ( let ps,ts = _1 in
      match ps,ts with
      | [],[t] -> t
      | _ -> BellInfo.Tree ("",ps,ts) )
# 2533 "lib/CParser.ml"
     : (BellInfo.scopes))

let _menhir_action_171 =
  fun xs ->
    let atoms = 
# 241 "<standard.mly>"
    ( xs )
# 2541 "lib/CParser.ml"
     in
    (
# 78 "lib/scopeRules.mly"
                                                 ( atoms )
# 2546 "lib/CParser.ml"
     : (BellInfo.mem_space_map))

let _menhir_action_172 =
  fun _1 ->
    (
# 45 "lib/scopeRules.mly"
    ( let ts = _1 in
      match ts with
      | [t] -> t
      | _ -> BellInfo.Tree ("",[],ts) )
# 2557 "lib/CParser.ml"
     : (BellInfo.scopes))

let _menhir_action_173 =
  fun _1 ->
    (
# 330 "lib/CParser.mly"
  ( [_1] )
# 2565 "lib/CParser.ml"
     : (CBase.pseudo list CAst.test list))

let _menhir_action_174 =
  fun _1 _2 ->
    (
# 332 "lib/CParser.mly"
  ( _1 @ [_2] )
# 2573 "lib/CParser.ml"
     : (CBase.pseudo list CAst.test list))

let _menhir_action_175 =
  fun () ->
    (
# 136 "lib/CParser.mly"
  ( "" )
# 2581 "lib/CParser.ml"
     : (string))

let _menhir_action_176 =
  fun _1 ->
    (
# 111 "lib/CParser.mly"
          ( _1 )
# 2589 "lib/CParser.ml"
     : (CType.t))

let _menhir_action_177 =
  fun _1 ->
    (
# 112 "lib/CParser.mly"
                   ( Volatile _1 )
# 2597 "lib/CParser.ml"
     : (CType.t))

let _menhir_action_178 =
  fun _1 ->
    (
# 113 "lib/CParser.mly"
                ( CType.Const _1 )
# 2605 "lib/CParser.ml"
     : (CType.t))

let _menhir_action_179 =
  fun _2 ->
    (
# 114 "lib/CParser.mly"
              ( Atomic _2 )
# 2613 "lib/CParser.ml"
     : (CType.t))

let _menhir_action_180 =
  fun _2 ->
    (
# 115 "lib/CParser.mly"
                ( Volatile _2 )
# 2621 "lib/CParser.ml"
     : (CType.t))

let _menhir_action_181 =
  fun _2 ->
    (
# 116 "lib/CParser.mly"
             ( Const _2 )
# 2629 "lib/CParser.ml"
     : (CType.t))

let _menhir_action_182 =
  fun _1 ->
    (
# 117 "lib/CParser.mly"
        ( _1 )
# 2637 "lib/CParser.ml"
     : (CType.t))

let _menhir_action_183 =
  fun t ->
    (
# 107 "lib/CParser.mly"
       ( t )
# 2645 "lib/CParser.ml"
     : (CType.t))

let _menhir_action_184 =
  fun t ->
    (
# 108 "lib/CParser.mly"
                  ( t )
# 2653 "lib/CParser.ml"
     : (CType.t))

let _menhir_action_185 =
  fun _1 ->
    (
# 99 "lib/CParser.mly"
           ( Pointer _1 )
# 2661 "lib/CParser.ml"
     : (CType.t))

let _menhir_action_186 =
  fun _1 ->
    (
# 100 "lib/CParser.mly"
            ( Pointer _1 )
# 2669 "lib/CParser.ml"
     : (CType.t))

let _menhir_action_187 =
  fun () ->
    (
# 103 "lib/CParser.mly"
       ( Base "void" )
# 2677 "lib/CParser.ml"
     : (CType.t))

let _menhir_action_188 =
  fun () ->
    (
# 146 "lib/CParser.mly"
       ( () )
# 2685 "lib/CParser.ml"
     : (unit))

let _menhir_action_189 =
  fun () ->
    (
# 147 "lib/CParser.mly"
            ( () )
# 2693 "lib/CParser.ml"
     : (unit))

let _menhir_action_190 =
  fun () ->
    (
# 148 "lib/CParser.mly"
  ( () )
# 2701 "lib/CParser.ml"
     : (unit))

let _menhir_print_token : token -> string =
  fun _tok ->
    match _tok with
    | ADD ->
        "ADD"
    | ATOMIC ->
        "ATOMIC"
    | ATOMICADDUNLESS ->
        "ATOMICADDUNLESS"
    | ATOMIC_BASE ->
        "ATOMIC_BASE"
    | ATOMIC_FETCH_EXPLICIT _ ->
        "ATOMIC_FETCH_EXPLICIT"
    | ATOMIC_TYPE _ ->
        "ATOMIC_TYPE"
    | BASE_TYPE _ ->
        "BASE_TYPE"
    | BODY _ ->
        "BODY"
    | CHAR ->
        "CHAR"
    | CMPXCHG ->
        "CMPXCHG"
    | CODEVAR _ ->
        "CODEVAR"
    | COLON ->
        "COLON"
    | COMMA ->
        "COMMA"
    | CONST ->
        "CONST"
    | CONSTANT _ ->
        "CONSTANT"
    | CONSTVAR _ ->
        "CONSTVAR"
    | DIV ->
        "DIV"
    | ELSE ->
        "ELSE"
    | EOF ->
        "EOF"
    | EQ ->
        "EQ"
    | EQ_OP ->
        "EQ_OP"
    | EXC_EXPLICIT ->
        "EXC_EXPLICIT"
    | FENCE ->
        "FENCE"
    | GE ->
        "GE"
    | GT ->
        "GT"
    | IF ->
        "IF"
    | INT ->
        "INT"
    | LAND ->
        "LAND"
    | LBRACE ->
        "LBRACE"
    | LD_EXPLICIT ->
        "LD_EXPLICIT"
    | LE ->
        "LE"
    | LEVELS ->
        "LEVELS"
    | LOAD ->
        "LOAD"
    | LOCK ->
        "LOCK"
    | LONG ->
        "LONG"
    | LPAR ->
        "LPAR"
    | LT ->
        "LT"
    | MEMORDER _ ->
        "MEMORDER"
    | MUTEX ->
        "MUTEX"
    | NAME _ ->
        "NAME"
    | NEQ_OP ->
        "NEQ_OP"
    | NOT ->
        "NOT"
    | NUM _ ->
        "NUM"
    | PIPE ->
        "PIPE"
    | PROC _ ->
        "PROC"
    | RBRACE ->
        "RBRACE"
    | REGIONS ->
        "REGIONS"
    | RPAR ->
        "RPAR"
    | SCAS ->
        "SCAS"
    | SCAS_EXPLICIT ->
        "SCAS_EXPLICIT"
    | SCOPES ->
        "SCOPES"
    | SEMI ->
        "SEMI"
    | SPINISLOCKED ->
        "SPINISLOCKED"
    | SPINLOCK ->
        "SPINLOCK"
    | SPINTRYLOCK ->
        "SPINTRYLOCK"
    | SPINUNLOCK ->
        "SPINUNLOCK"
    | SRCU ->
        "SRCU"
    | STAR ->
        "STAR"
    | STORE ->
        "STORE"
    | STRUCT ->
        "STRUCT"
    | STRUCT_TYPE _ ->
        "STRUCT_TYPE"
    | ST_EXPLICIT ->
        "ST_EXPLICIT"
    | SUB ->
        "SUB"
    | UNDERATOMICADDUNLESS ->
        "UNDERATOMICADDUNLESS"
    | UNDERATOMICFETCHOP ->
        "UNDERATOMICFETCHOP"
    | UNDERATOMICOP ->
        "UNDERATOMICOP"
    | UNDERATOMICOPRETURN ->
        "UNDERATOMICOPRETURN"
    | UNDERFENCE ->
        "UNDERFENCE"
    | UNLOCK ->
        "UNLOCK"
    | VOID ->
        "VOID"
    | VOLATILE ->
        "VOLATILE"
    | WCAS ->
        "WCAS"
    | WCAS_EXPLICIT ->
        "WCAS_EXPLICIT"
    | WHILE ->
        "WHILE"
    | XCHG ->
        "XCHG"
    | XOR ->
        "XOR"

let _menhir_fail : unit -> 'a =
  fun () ->
    Printf.eprintf "Internal failure -- please contact the parser generator's developers.\n%!";
    assert false

include struct
  
  [@@@ocaml.warning "-4-37"]
  
  let _menhir_run_499 : type  ttv_stack. ttv_stack -> _ -> _menhir_box_shallow_main =
    fun _menhir_stack _v ->
      MenhirBox_shallow_main _v
  
  let rec _menhir_goto_shallow_main : type  ttv_stack. ttv_stack -> _ -> (ttv_stack, _menhir_box_shallow_main) _menhir_state -> _menhir_box_shallow_main =
    fun _menhir_stack _v _menhir_s ->
      match _menhir_s with
      | MenhirState487 ->
          _menhir_run_499 _menhir_stack _v
      | MenhirState488 ->
          _menhir_run_498 _menhir_stack _v
      | MenhirState494 ->
          _menhir_run_495 _menhir_stack _v
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_498 : type  ttv_stack. (ttv_stack, _menhir_box_shallow_main) _menhir_cell1_BODY -> _ -> _menhir_box_shallow_main =
    fun _menhir_stack _v ->
      let MenhirCell1_BODY (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      let _2 = _v in
      let _v = _menhir_action_168 _1 _2 in
      _menhir_goto_shallow_main _menhir_stack _v _menhir_s
  
  and _menhir_run_495 : type  ttv_stack. ((ttv_stack, _menhir_box_shallow_main) _menhir_cell1_voidopt _menhir_cell0_PROC, _menhir_box_shallow_main) _menhir_cell1_parameter_list _menhir_cell0_BODY -> _ -> _menhir_box_shallow_main =
    fun _menhir_stack _v ->
      let MenhirCell0_BODY (_menhir_stack, _6) = _menhir_stack in
      let MenhirCell1_parameter_list (_menhir_stack, _, _4) = _menhir_stack in
      let MenhirCell0_PROC (_menhir_stack, _2) = _menhir_stack in
      let MenhirCell1_voidopt (_menhir_stack, _menhir_s, _) = _menhir_stack in
      let _7 = _v in
      let _v = _menhir_action_169 _2 _4 _6 _7 in
      _menhir_goto_shallow_main _menhir_stack _v _menhir_s
  
  let _menhir_run_496 : type  ttv_stack. ttv_stack -> _ -> (ttv_stack, _menhir_box_shallow_main) _menhir_state -> _ -> _menhir_box_shallow_main =
    fun _menhir_stack _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | EOF ->
          let _1 = _v in
          let _v = _menhir_action_167 _1 in
          _menhir_goto_shallow_main _menhir_stack _v _menhir_s
      | _ ->
          _eRR ()
  
  let _menhir_run_448 : type  ttv_stack. (ttv_stack, _menhir_box_deep_main) _menhir_cell1_trans_unit -> _ -> _ -> _menhir_box_deep_main =
    fun _menhir_stack _v _tok ->
      match (_tok : MenhirBasics.token) with
      | EOF ->
          let MenhirCell1_trans_unit (_menhir_stack, _, _1) = _menhir_stack in
          let _2 = _v in
          let _v = _menhir_action_036 _1 _2 in
          MenhirBox_deep_main _v
      | _ ->
          _eRR ()
  
  let _menhir_goto_scopes_and_memory_map : type  ttv_stack ttv_result. ttv_stack -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState487 ->
          _menhir_run_496 _menhir_stack _v _menhir_s _tok
      | MenhirState488 ->
          _menhir_run_496 _menhir_stack _v _menhir_s _tok
      | MenhirState494 ->
          _menhir_run_496 _menhir_stack _v _menhir_s _tok
      | MenhirState401 ->
          _menhir_run_448 _menhir_stack _v _tok
      | _ ->
          _menhir_fail ()
  
  let _menhir_goto_permut_scopes_key_levels_key_memory_map_key_ : type  ttv_stack ttv_result. ttv_stack -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _v _menhir_s _tok ->
      let x = _v in
      let _v = _menhir_action_163 x in
      _menhir_goto_scopes_and_memory_map _menhir_stack _v _menhir_s _tok
  
  let _menhir_run_460 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_levels_key, ttv_result) _menhir_cell1_memory_map_key -> _ -> _ -> ttv_result =
    fun _menhir_stack _v _tok ->
      let MenhirCell1_memory_map_key (_menhir_stack, _, regions) = _menhir_stack in
      let MenhirCell1_levels_key (_menhir_stack, _menhir_s, levels) = _menhir_stack in
      let scopes = _v in
      let _v = _menhir_action_141 levels regions scopes in
      _menhir_goto_permut_scopes_key_levels_key_memory_map_key_ _menhir_stack _v _menhir_s _tok
  
  let _menhir_run_458 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_levels_key, ttv_result) _menhir_cell1_scopes_key -> _ -> _ -> ttv_result =
    fun _menhir_stack _v _tok ->
      let MenhirCell1_scopes_key (_menhir_stack, _, scopes) = _menhir_stack in
      let MenhirCell1_levels_key (_menhir_stack, _menhir_s, levels) = _menhir_stack in
      let regions = _v in
      let _v = _menhir_action_139 levels regions scopes in
      _menhir_goto_permut_scopes_key_levels_key_memory_map_key_ _menhir_stack _v _menhir_s _tok
  
  let _menhir_run_453 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_memory_map_key, ttv_result) _menhir_cell1_scopes_key -> _ -> _ -> ttv_result =
    fun _menhir_stack _v _tok ->
      let MenhirCell1_scopes_key (_menhir_stack, _, scopes) = _menhir_stack in
      let MenhirCell1_memory_map_key (_menhir_stack, _menhir_s, regions) = _menhir_stack in
      let levels = _v in
      let _v = _menhir_action_142 levels regions scopes in
      _menhir_goto_permut_scopes_key_levels_key_memory_map_key_ _menhir_stack _v _menhir_s _tok
  
  let _menhir_run_445 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_scopes_key, ttv_result) _menhir_cell1_memory_map_key -> _ -> _ -> ttv_result =
    fun _menhir_stack _v _tok ->
      let MenhirCell1_memory_map_key (_menhir_stack, _, regions) = _menhir_stack in
      let MenhirCell1_scopes_key (_menhir_stack, _menhir_s, scopes) = _menhir_stack in
      let levels = _v in
      let _v = _menhir_action_143 levels regions scopes in
      _menhir_goto_permut_scopes_key_levels_key_memory_map_key_ _menhir_stack _v _menhir_s _tok
  
  let _menhir_run_447 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_scopes_key, ttv_result) _menhir_cell1_levels_key -> _ -> _ -> ttv_result =
    fun _menhir_stack _v _tok ->
      let MenhirCell1_levels_key (_menhir_stack, _, levels) = _menhir_stack in
      let MenhirCell1_scopes_key (_menhir_stack, _menhir_s, scopes) = _menhir_stack in
      let regions = _v in
      let _v = _menhir_action_138 levels regions scopes in
      _menhir_goto_permut_scopes_key_levels_key_memory_map_key_ _menhir_stack _v _menhir_s _tok
  
  let _menhir_run_455 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_memory_map_key, ttv_result) _menhir_cell1_levels_key -> _ -> _ -> ttv_result =
    fun _menhir_stack _v _tok ->
      let MenhirCell1_levels_key (_menhir_stack, _, levels) = _menhir_stack in
      let MenhirCell1_memory_map_key (_menhir_stack, _menhir_s, regions) = _menhir_stack in
      let scopes = _v in
      let _v = _menhir_action_140 levels regions scopes in
      _menhir_goto_permut_scopes_key_levels_key_memory_map_key_ _menhir_stack _v _menhir_s _tok
  
  let rec _menhir_run_402 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_SCOPES (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | COLON ->
          let _menhir_s = MenhirState403 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | LPAR ->
              _menhir_run_404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_404 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_LPAR (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | NAME _v ->
          let _menhir_stack = MenhirCell0_NAME (_menhir_stack, _v) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | PROC _v_0 ->
              _menhir_run_406 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState405
          | NUM _v_1 ->
              _menhir_run_407 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState405
          | LPAR ->
              _menhir_run_404 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState405
          | RPAR ->
              let _v_2 = _menhir_action_157 () in
              _menhir_run_412 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_406 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      let _1 = _v in
      let _v = _menhir_action_154 _1 in
      _menhir_goto_proc _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_proc : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_proc (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | PROC _v_0 ->
          _menhir_run_406 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState414
      | NUM _v_1 ->
          _menhir_run_407 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState414
      | RPAR ->
          let _v_2 = _menhir_action_157 () in
          _menhir_run_415 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2
      | _ ->
          _eRR ()
  
  and _menhir_run_407 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      let _1 = _v in
      let _v = _menhir_action_155 _1 in
      _menhir_goto_proc _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_415 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_proc -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      let MenhirCell1_proc (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      let _2 = _v in
      let _v = _menhir_action_156 _1 _2 in
      _menhir_goto_proc_list_sc _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
  
  and _menhir_goto_proc_list_sc : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      match _menhir_s with
      | MenhirState414 ->
          _menhir_run_415 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | MenhirState405 ->
          _menhir_run_412 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_412 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_LPAR _menhir_cell0_NAME -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell0_NAME (_menhir_stack, _2) = _menhir_stack in
      let MenhirCell1_LPAR (_menhir_stack, _menhir_s) = _menhir_stack in
      let _3 = _v in
      let _v = _menhir_action_160 _2 _3 in
      _menhir_goto_scope_tree _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_scope_tree : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_stack = MenhirCell1_scope_tree (_menhir_stack, _menhir_s, _v) in
          _menhir_run_404 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState410
      | EOF | LEVELS | REGIONS | RPAR ->
          let _1 = _v in
          let _v = _menhir_action_161 _1 in
          _menhir_goto_scope_tree_list _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_goto_scope_tree_list : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState403 ->
          _menhir_run_417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState410 ->
          _menhir_run_411 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState405 ->
          _menhir_run_408 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_417 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_SCOPES -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      let _1 = _v in
      let _v = _menhir_action_172 _1 in
      let MenhirCell1_SCOPES (_menhir_stack, _menhir_s) = _menhir_stack in
      let _3 = _v in
      let _v = _menhir_action_164 _3 in
      _menhir_goto_scopes_key _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_scopes_key : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState459 ->
          _menhir_run_460 _menhir_stack _v _tok
      | MenhirState456 ->
          _menhir_run_457 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState454 ->
          _menhir_run_455 _menhir_stack _v _tok
      | MenhirState451 ->
          _menhir_run_452 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState487 ->
          _menhir_run_443 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState488 ->
          _menhir_run_443 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState494 ->
          _menhir_run_443 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState401 ->
          _menhir_run_443 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_457 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_levels_key as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | REGIONS ->
          let _menhir_stack = MenhirCell1_scopes_key (_menhir_stack, _menhir_s, _v) in
          _menhir_run_418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState457
      | EOF ->
          let MenhirCell1_levels_key (_menhir_stack, _menhir_s, levels) = _menhir_stack in
          let scopes = _v in
          let _v = _menhir_action_145 levels scopes in
          _menhir_goto_permut_scopes_key_levels_key_memory_map_key_ _menhir_stack _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_418 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_REGIONS (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | COLON ->
          let _menhir_s = MenhirState419 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | NAME _v ->
              _menhir_run_420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EOF | LEVELS | SCOPES ->
              let _v = _menhir_action_125 () in
              _menhir_goto_loption_separated_nonempty_list_COMMA_memory_map_atom__ _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_420 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      let _menhir_stack = MenhirCell1_NAME (_menhir_stack, _menhir_s, _v) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | COLON ->
          let _menhir_s = MenhirState421 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | NAME _v ->
              _menhir_run_422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_422 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | NAME _v_0 ->
          let _menhir_stack = MenhirCell1_NAME (_menhir_stack, _menhir_s, _v) in
          _menhir_run_422 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState422
      | COMMA | EOF | LEVELS | SCOPES ->
          let x = _v in
          let _v = _menhir_action_132 x in
          _menhir_goto_nonempty_list_NAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_goto_nonempty_list_NAME_ : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState421 ->
          _menhir_run_424 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState422 ->
          _menhir_run_423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_424 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_NAME -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      let MenhirCell1_NAME (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      let _3 = _v in
      let _v = _menhir_action_130 _1 _3 in
      match (_tok : MenhirBasics.token) with
      | COMMA ->
          let _menhir_stack = MenhirCell1_memory_map_atom (_menhir_stack, _menhir_s, _v) in
          let _menhir_s = MenhirState428 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | NAME _v ->
              _menhir_run_420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | _ ->
              _eRR ())
      | EOF | LEVELS | SCOPES ->
          let x = _v in
          let _v = _menhir_action_165 x in
          _menhir_goto_separated_nonempty_list_COMMA_memory_map_atom_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_goto_separated_nonempty_list_COMMA_memory_map_atom_ : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState428 ->
          _menhir_run_429 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState419 ->
          _menhir_run_426 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_429 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_memory_map_atom -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      let MenhirCell1_memory_map_atom (_menhir_stack, _menhir_s, x) = _menhir_stack in
      let xs = _v in
      let _v = _menhir_action_166 x xs in
      _menhir_goto_separated_nonempty_list_COMMA_memory_map_atom_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_426 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_REGIONS -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      let x = _v in
      let _v = _menhir_action_126 x in
      _menhir_goto_loption_separated_nonempty_list_COMMA_memory_map_atom__ _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
  
  and _menhir_goto_loption_separated_nonempty_list_COMMA_memory_map_atom__ : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_REGIONS -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      let xs = _v in
      let _v = _menhir_action_171 xs in
      let MenhirCell1_REGIONS (_menhir_stack, _menhir_s) = _menhir_stack in
      let _3 = _v in
      let _v = _menhir_action_131 _3 in
      _menhir_goto_memory_map_key _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_memory_map_key : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState456 ->
          _menhir_run_459 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState457 ->
          _menhir_run_458 _menhir_stack _v _tok
      | MenhirState487 ->
          _menhir_run_451 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState488 ->
          _menhir_run_451 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState494 ->
          _menhir_run_451 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState401 ->
          _menhir_run_451 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState446 ->
          _menhir_run_447 _menhir_stack _v _tok
      | MenhirState443 ->
          _menhir_run_444 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_459 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_levels_key as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | SCOPES ->
          let _menhir_stack = MenhirCell1_memory_map_key (_menhir_stack, _menhir_s, _v) in
          _menhir_run_402 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState459
      | EOF ->
          let MenhirCell1_levels_key (_menhir_stack, _menhir_s, levels) = _menhir_stack in
          let regions = _v in
          let _v = _menhir_action_148 levels regions in
          _menhir_goto_permut_scopes_key_levels_key_memory_map_key_ _menhir_stack _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_451 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | SCOPES ->
          let _menhir_stack = MenhirCell1_memory_map_key (_menhir_stack, _menhir_s, _v) in
          _menhir_run_402 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState451
      | LEVELS ->
          let _menhir_stack = MenhirCell1_memory_map_key (_menhir_stack, _menhir_s, _v) in
          _menhir_run_431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState451
      | EOF ->
          let regions = _v in
          let _v = _menhir_action_152 regions in
          _menhir_goto_permut_scopes_key_levels_key_memory_map_key_ _menhir_stack _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_431 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_LEVELS (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | COLON ->
          let _menhir_s = MenhirState432 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | PROC _v ->
              _menhir_run_433 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_433 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | PROC _v_0 ->
          let _menhir_stack = MenhirCell1_PROC (_menhir_stack, _menhir_s, _v) in
          _menhir_run_433 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState433
      | LPAR ->
          let _menhir_stack = MenhirCell1_PROC (_menhir_stack, _menhir_s, _v) in
          _menhir_run_434 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState433
      | EOF | REGIONS | RPAR | SCOPES ->
          let _1 = _v in
          let _v = _menhir_action_115 _1 in
          _menhir_goto_level_tree_list _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_434 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_LPAR (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | NAME _v ->
          let _menhir_stack = MenhirCell0_NAME (_menhir_stack, _v) in
          let _menhir_s = MenhirState435 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | PROC _v ->
              _menhir_run_433 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_goto_level_tree_list : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState432 ->
          _menhir_run_442 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState433 ->
          _menhir_run_440 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState438 ->
          _menhir_run_439 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState435 ->
          _menhir_run_436 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_442 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_LEVELS -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      let _1 = _v in
      let _v = _menhir_action_170 _1 in
      let MenhirCell1_LEVELS (_menhir_stack, _menhir_s) = _menhir_stack in
      let _3 = _v in
      let _v = _menhir_action_119 _3 in
      _menhir_goto_levels_key _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_levels_key : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState487 ->
          _menhir_run_456 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState488 ->
          _menhir_run_456 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState494 ->
          _menhir_run_456 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState401 ->
          _menhir_run_456 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState451 ->
          _menhir_run_454 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState452 ->
          _menhir_run_453 _menhir_stack _v _tok
      | MenhirState443 ->
          _menhir_run_446 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState444 ->
          _menhir_run_445 _menhir_stack _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_456 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | SCOPES ->
          let _menhir_stack = MenhirCell1_levels_key (_menhir_stack, _menhir_s, _v) in
          _menhir_run_402 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState456
      | REGIONS ->
          let _menhir_stack = MenhirCell1_levels_key (_menhir_stack, _menhir_s, _v) in
          _menhir_run_418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState456
      | EOF ->
          let levels = _v in
          let _v = _menhir_action_151 levels in
          _menhir_goto_permut_scopes_key_levels_key_memory_map_key_ _menhir_stack _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_454 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_memory_map_key as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | SCOPES ->
          let _menhir_stack = MenhirCell1_levels_key (_menhir_stack, _menhir_s, _v) in
          _menhir_run_402 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState454
      | EOF ->
          let MenhirCell1_memory_map_key (_menhir_stack, _menhir_s, regions) = _menhir_stack in
          let levels = _v in
          let _v = _menhir_action_149 levels regions in
          _menhir_goto_permut_scopes_key_levels_key_memory_map_key_ _menhir_stack _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_446 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_scopes_key as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | REGIONS ->
          let _menhir_stack = MenhirCell1_levels_key (_menhir_stack, _menhir_s, _v) in
          _menhir_run_418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState446
      | EOF ->
          let MenhirCell1_scopes_key (_menhir_stack, _menhir_s, scopes) = _menhir_stack in
          let levels = _v in
          let _v = _menhir_action_144 levels scopes in
          _menhir_goto_permut_scopes_key_levels_key_memory_map_key_ _menhir_stack _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_440 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_PROC -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      let MenhirCell1_PROC (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      let _2 = _v in
      let _v = _menhir_action_117 _1 _2 in
      _menhir_goto_level_tree_list _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_439 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_level_tree -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      let MenhirCell1_level_tree (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      let _2 = _v in
      let _v = _menhir_action_118 _1 _2 in
      _menhir_goto_level_tree_list _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_436 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_LPAR _menhir_cell0_NAME -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_NAME (_menhir_stack, _2) = _menhir_stack in
          let MenhirCell1_LPAR (_menhir_stack, _menhir_s) = _menhir_stack in
          let _3 = _v in
          let _v = _menhir_action_114 _2 _3 in
          (match (_tok : MenhirBasics.token) with
          | PROC _v_0 ->
              let _menhir_stack = MenhirCell1_level_tree (_menhir_stack, _menhir_s, _v) in
              _menhir_run_433 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState438
          | LPAR ->
              let _menhir_stack = MenhirCell1_level_tree (_menhir_stack, _menhir_s, _v) in
              _menhir_run_434 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState438
          | EOF | REGIONS | RPAR | SCOPES ->
              let _1 = _v in
              let _v = _menhir_action_116 _1 in
              _menhir_goto_level_tree_list _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_444 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_scopes_key as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | LEVELS ->
          let _menhir_stack = MenhirCell1_memory_map_key (_menhir_stack, _menhir_s, _v) in
          _menhir_run_431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState444
      | EOF ->
          let MenhirCell1_scopes_key (_menhir_stack, _menhir_s, scopes) = _menhir_stack in
          let regions = _v in
          let _v = _menhir_action_146 regions scopes in
          _menhir_goto_permut_scopes_key_levels_key_memory_map_key_ _menhir_stack _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_423 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_NAME -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      let MenhirCell1_NAME (_menhir_stack, _menhir_s, x) = _menhir_stack in
      let xs = _v in
      let _v = _menhir_action_133 x xs in
      _menhir_goto_nonempty_list_NAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_452 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_memory_map_key as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | LEVELS ->
          let _menhir_stack = MenhirCell1_scopes_key (_menhir_stack, _menhir_s, _v) in
          _menhir_run_431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState452
      | EOF ->
          let MenhirCell1_memory_map_key (_menhir_stack, _menhir_s, regions) = _menhir_stack in
          let scopes = _v in
          let _v = _menhir_action_147 regions scopes in
          _menhir_goto_permut_scopes_key_levels_key_memory_map_key_ _menhir_stack _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_443 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | REGIONS ->
          let _menhir_stack = MenhirCell1_scopes_key (_menhir_stack, _menhir_s, _v) in
          _menhir_run_418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState443
      | LEVELS ->
          let _menhir_stack = MenhirCell1_scopes_key (_menhir_stack, _menhir_s, _v) in
          _menhir_run_431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState443
      | EOF ->
          let scopes = _v in
          let _v = _menhir_action_150 scopes in
          _menhir_goto_permut_scopes_key_levels_key_memory_map_key_ _menhir_stack _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_411 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_scope_tree -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      let MenhirCell1_scope_tree (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      let _2 = _v in
      let _v = _menhir_action_162 _1 _2 in
      _menhir_goto_scope_tree_list _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_408 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_LPAR _menhir_cell0_NAME -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_NAME (_menhir_stack, _2) = _menhir_stack in
          let MenhirCell1_LPAR (_menhir_stack, _menhir_s) = _menhir_stack in
          let _3 = _v in
          let _v = _menhir_action_159 _2 _3 in
          _menhir_goto_scope_tree _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  let _menhir_run_485 : type  ttv_stack. ttv_stack -> _ -> _ -> _menhir_box_pseudo_seq =
    fun _menhir_stack _v _tok ->
      match (_tok : MenhirBasics.token) with
      | EOF ->
          let p = _v in
          let _v = _menhir_action_158 p in
          MenhirBox_pseudo_seq _v
      | _ ->
          _eRR ()
  
  let _menhir_run_481 : type  ttv_stack. ttv_stack -> _ -> _menhir_box_macros =
    fun _menhir_stack _v ->
      let ms = _v in
      let _v = _menhir_action_129 ms in
      MenhirBox_macros _v
  
  let rec _menhir_run_480 : type  ttv_stack. (ttv_stack, _menhir_box_macros) _menhir_cell1_macro -> _ -> _menhir_box_macros =
    fun _menhir_stack _v ->
      let MenhirCell1_macro (_menhir_stack, _menhir_s, x) = _menhir_stack in
      let xs = _v in
      let _v = _menhir_action_121 x xs in
      _menhir_goto_list_macro_ _menhir_stack _v _menhir_s
  
  and _menhir_goto_list_macro_ : type  ttv_stack. ttv_stack -> _ -> (ttv_stack, _menhir_box_macros) _menhir_state -> _menhir_box_macros =
    fun _menhir_stack _v _menhir_s ->
      match _menhir_s with
      | MenhirState464 ->
          _menhir_run_481 _menhir_stack _v
      | MenhirState479 ->
          _menhir_run_480 _menhir_stack _v
      | _ ->
          _menhir_fail ()
  
  let rec _menhir_run_001 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | STAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let _v = _menhir_action_189 () in
          _menhir_goto_voidopt _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | PROC _ ->
          let _v = _menhir_action_188 () in
          _menhir_goto_voidopt _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_goto_voidopt : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState487 ->
          _menhir_run_489 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState494 ->
          _menhir_run_489 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState488 ->
          _menhir_run_489 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState401 ->
          _menhir_run_003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState000 ->
          _menhir_run_003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_489 : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_shallow_main) _menhir_state -> _ -> _menhir_box_shallow_main =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_voidopt (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | PROC _v_0 ->
          let _menhir_stack = MenhirCell0_PROC (_menhir_stack, _v_0) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | LPAR ->
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | VOLATILE ->
                  _menhir_run_006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState491
              | VOID ->
                  _menhir_run_010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState491
              | STRUCT ->
                  _menhir_run_007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState491
              | LPAR ->
                  _menhir_run_011 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState491
              | CONST ->
                  _menhir_run_012 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState491
              | BASE_TYPE _v_1 ->
                  _menhir_run_013 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState491
              | ATOMIC_TYPE _v_2 ->
                  _menhir_run_014 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState491
              | ATOMIC_BASE ->
                  _menhir_run_015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState491
              | ATOMIC ->
                  _menhir_run_026 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState491
              | RPAR ->
                  let _v_3 = _menhir_action_135 () in
                  _menhir_run_492 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState491
              | CHAR | INT | LONG | MUTEX ->
                  let _menhir_s = MenhirState491 in
                  let _v = _menhir_action_175 () in
                  _menhir_goto_ty_attr _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
              | _ ->
                  _eRR ())
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_006 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_VOLATILE (_menhir_stack, _menhir_s) in
      let _menhir_s = MenhirState006 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | STRUCT ->
          _menhir_run_007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          _menhir_run_009 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_TYPE _v ->
          _menhir_run_013 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMIC_TYPE _v ->
          _menhir_run_014 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMIC_BASE ->
          _menhir_run_015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR | INT | LONG | MUTEX ->
          _menhir_reduce_175 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_007 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | STRUCT_TYPE _v ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let _2 = _v in
          let _v = _menhir_action_027 _2 in
          _menhir_goto_base0 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_goto_base0 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState491 ->
          _menhir_run_037 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState483 ->
          _menhir_run_037 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState473 ->
          _menhir_run_037 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState005 ->
          _menhir_run_037 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState399 ->
          _menhir_run_037 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState046 ->
          _menhir_run_037 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState394 ->
          _menhir_run_037 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState396 ->
          _menhir_run_037 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState264 ->
          _menhir_run_037 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState358 ->
          _menhir_run_037 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState387 ->
          _menhir_run_037 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState389 ->
          _menhir_run_037 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState362 ->
          _menhir_run_037 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState380 ->
          _menhir_run_037 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState348 ->
          _menhir_run_037 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState311 ->
          _menhir_run_037 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState074 ->
          _menhir_run_037 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState090 ->
          _menhir_run_037 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState091 ->
          _menhir_run_037 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState009 ->
          _menhir_run_037 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState011 ->
          _menhir_run_037 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState006 ->
          _menhir_run_024 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState026 ->
          _menhir_run_024 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState012 ->
          _menhir_run_024 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_037 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _1 = _v in
      let _v = _menhir_action_182 _1 in
      _menhir_goto_typ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_typ : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState483 ->
          _menhir_run_382 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState473 ->
          _menhir_run_382 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState396 ->
          _menhir_run_382 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState394 ->
          _menhir_run_382 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState046 ->
          _menhir_run_382 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState389 ->
          _menhir_run_382 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState387 ->
          _menhir_run_382 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState358 ->
          _menhir_run_382 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState264 ->
          _menhir_run_370 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState380 ->
          _menhir_run_370 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState362 ->
          _menhir_run_370 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState311 ->
          _menhir_run_211 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState074 ->
          _menhir_run_211 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState090 ->
          _menhir_run_181 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState348 ->
          _menhir_run_176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState091 ->
          _menhir_run_176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState491 ->
          _menhir_run_043 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState399 ->
          _menhir_run_043 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState005 ->
          _menhir_run_043 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState009 ->
          _menhir_run_038 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState011 ->
          _menhir_run_034 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_382 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | STAR ->
          let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
          _menhir_run_035 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NAME _v_0 ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | SEMI ->
              let _tok = _menhir_lexer _menhir_lexbuf in
              let (_1, _2) = (_v, _v_0) in
              let _v = _menhir_action_035 _1 _2 in
              _menhir_goto_declaration _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | EQ ->
              let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
              let _menhir_stack = MenhirCell0_NAME (_menhir_stack, _v_0) in
              _menhir_run_372 _menhir_stack _menhir_lexbuf _menhir_lexer
          | _ ->
              _eRR ())
      | CONST | VOLATILE ->
          let t = _v in
          let _v = _menhir_action_183 t in
          _menhir_goto_typ_par _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_035 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_typ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell1_typ (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      let _v = _menhir_action_185 _1 in
      _menhir_goto_typ_ptr _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_typ_ptr : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState491 ->
          _menhir_run_041 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState399 ->
          _menhir_run_041 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState005 ->
          _menhir_run_041 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState483 ->
          _menhir_run_030 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState473 ->
          _menhir_run_030 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState396 ->
          _menhir_run_030 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState394 ->
          _menhir_run_030 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState046 ->
          _menhir_run_030 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState264 ->
          _menhir_run_030 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState389 ->
          _menhir_run_030 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState387 ->
          _menhir_run_030 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState358 ->
          _menhir_run_030 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState380 ->
          _menhir_run_030 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState362 ->
          _menhir_run_030 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState348 ->
          _menhir_run_030 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState311 ->
          _menhir_run_030 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState074 ->
          _menhir_run_030 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState090 ->
          _menhir_run_030 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState091 ->
          _menhir_run_030 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState009 ->
          _menhir_run_030 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState011 ->
          _menhir_run_030 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_041 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | NAME _v_0 ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let (_1, _2) = (_v, _v_0) in
          let _v = _menhir_action_134 _1 _2 in
          (match (_tok : MenhirBasics.token) with
          | COMMA ->
              let _menhir_stack = MenhirCell1_parameter_declaration (_menhir_stack, _menhir_s, _v) in
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | VOLATILE ->
                  _menhir_run_006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState399
              | VOID ->
                  _menhir_run_010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState399
              | STRUCT ->
                  _menhir_run_007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState399
              | LPAR ->
                  _menhir_run_011 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState399
              | CONST ->
                  _menhir_run_012 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState399
              | BASE_TYPE _v_0 ->
                  _menhir_run_013 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState399
              | ATOMIC_TYPE _v_1 ->
                  _menhir_run_014 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState399
              | ATOMIC_BASE ->
                  _menhir_run_015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState399
              | ATOMIC ->
                  _menhir_run_026 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState399
              | RPAR ->
                  let _v_2 = _menhir_action_135 () in
                  _menhir_run_400 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2
              | CHAR | INT | LONG | MUTEX ->
                  let _menhir_s = MenhirState399 in
                  let _v = _menhir_action_175 () in
                  _menhir_goto_ty_attr _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
              | _ ->
                  _eRR ())
          | RPAR ->
              let _1 = _v in
              let _v = _menhir_action_136 _1 in
              _menhir_goto_parameter_list _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | _ ->
              _eRR ())
      | CONST | STAR | VOLATILE ->
          let _1 = _v in
          let _v = _menhir_action_176 _1 in
          _menhir_goto_typ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_010 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      let _v = _menhir_action_187 () in
      _menhir_goto_void _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_void : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | STAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let _1 = _v in
          let _v = _menhir_action_186 _1 in
          _menhir_goto_typ_ptr _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_011 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_LPAR (_menhir_stack, _menhir_s) in
      let _menhir_s = MenhirState011 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | VOLATILE ->
          _menhir_run_006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          _menhir_run_010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          _menhir_run_007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          _menhir_run_011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          _menhir_run_012 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_TYPE _v ->
          _menhir_run_013 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMIC_TYPE _v ->
          _menhir_run_014 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMIC_BASE ->
          _menhir_run_015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ATOMIC ->
          _menhir_run_026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR | INT | LONG | MUTEX ->
          _menhir_reduce_175 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_012 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_CONST (_menhir_stack, _menhir_s) in
      let _menhir_s = MenhirState012 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | STRUCT ->
          _menhir_run_007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          _menhir_run_009 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_TYPE _v ->
          _menhir_run_013 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMIC_TYPE _v ->
          _menhir_run_014 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMIC_BASE ->
          _menhir_run_015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR | INT | LONG | MUTEX ->
          _menhir_reduce_175 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_009 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_LPAR (_menhir_stack, _menhir_s) in
      let _menhir_s = MenhirState009 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | VOLATILE ->
          _menhir_run_006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          _menhir_run_010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          _menhir_run_007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          _menhir_run_011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          _menhir_run_012 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_TYPE _v ->
          _menhir_run_013 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMIC_TYPE _v ->
          _menhir_run_014 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMIC_BASE ->
          _menhir_run_015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ATOMIC ->
          _menhir_run_026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR | INT | LONG | MUTEX ->
          _menhir_reduce_175 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_013 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      let _1 = _v in
      let _v = _menhir_action_026 _1 in
      _menhir_goto_base0 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_014 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      let _1 = _v in
      let _v = _menhir_action_024 _1 in
      _menhir_goto_base0 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_015 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LT ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | BASE_TYPE _v ->
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | GT ->
                  let _tok = _menhir_lexer _menhir_lexbuf in
                  let _3 = _v in
                  let _v = _menhir_action_025 _3 in
                  _menhir_goto_base0 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
              | _ ->
                  _eRR ())
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_026 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_ATOMIC (_menhir_stack, _menhir_s) in
      let _menhir_s = MenhirState026 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | STRUCT ->
          _menhir_run_007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          _menhir_run_009 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_TYPE _v ->
          _menhir_run_013 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMIC_TYPE _v ->
          _menhir_run_014 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMIC_BASE ->
          _menhir_run_015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR | INT | LONG | MUTEX ->
          _menhir_reduce_175 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_reduce_175 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok ->
      let _v = _menhir_action_175 () in
      _menhir_goto_ty_attr _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_ty_attr : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | MUTEX ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let _1 = _v in
          let _v = _menhir_action_028 _1 in
          _menhir_goto_base0 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | LONG ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let _1 = _v in
          let _v = _menhir_action_031 _1 in
          _menhir_goto_base0 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | INT ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let _1 = _v in
          let _v = _menhir_action_030 _1 in
          _menhir_goto_base0 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | CHAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let _1 = _v in
          let _v = _menhir_action_029 _1 in
          _menhir_goto_base0 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_400 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_parameter_declaration -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      let MenhirCell1_parameter_declaration (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      let _3 = _v in
      let _v = _menhir_action_137 _1 _3 in
      _menhir_goto_parameter_list _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
  
  and _menhir_goto_parameter_list : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      match _menhir_s with
      | MenhirState491 ->
          _menhir_run_492 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | MenhirState399 ->
          _menhir_run_400 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | MenhirState005 ->
          _menhir_run_044 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_492 : type  ttv_stack. ((ttv_stack, _menhir_box_shallow_main) _menhir_cell1_voidopt _menhir_cell0_PROC as 'stack) -> _ -> _ -> _ -> ('stack, _menhir_box_shallow_main) _menhir_state -> _menhir_box_shallow_main =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      let _menhir_stack = MenhirCell1_parameter_list (_menhir_stack, _menhir_s, _v) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | BODY _v_0 ->
          let _menhir_stack = MenhirCell0_BODY (_menhir_stack, _v_0) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | VOID ->
              _menhir_run_001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState494
          | SCOPES ->
              _menhir_run_402 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState494
          | REGIONS ->
              _menhir_run_418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState494
          | LEVELS ->
              _menhir_run_431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState494
          | BODY _v_1 ->
              _menhir_run_488 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState494
          | EOF ->
              let _menhir_s = MenhirState494 in
              let _v = _menhir_action_153 () in
              _menhir_goto_permut_scopes_key_levels_key_memory_map_key_ _menhir_stack _v _menhir_s _tok
          | PROC _ ->
              let _v_3 = _menhir_action_190 () in
              _menhir_run_489 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState494 _tok
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_488 : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_shallow_main) _menhir_state -> _menhir_box_shallow_main =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      let _menhir_stack = MenhirCell1_BODY (_menhir_stack, _menhir_s, _v) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | VOID ->
          _menhir_run_001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState488
      | SCOPES ->
          _menhir_run_402 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState488
      | REGIONS ->
          _menhir_run_418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState488
      | LEVELS ->
          _menhir_run_431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState488
      | BODY _v_0 ->
          _menhir_run_488 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState488
      | EOF ->
          let _menhir_s = MenhirState488 in
          let _v = _menhir_action_153 () in
          _menhir_goto_permut_scopes_key_levels_key_memory_map_key_ _menhir_stack _v _menhir_s _tok
      | PROC _ ->
          let _v_2 = _menhir_action_190 () in
          _menhir_run_489 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState488 _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_044 : type  ttv_stack. ((ttv_stack, _menhir_box_deep_main) _menhir_cell1_voidopt _menhir_cell0_PROC as 'stack) -> _ -> _ -> _ -> ('stack, _menhir_box_deep_main) _menhir_state -> _menhir_box_deep_main =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      let _menhir_stack = MenhirCell1_parameter_list (_menhir_stack, _menhir_s, _v) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LBRACE ->
          let _menhir_s = MenhirState046 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WHILE ->
              _menhir_run_260 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              _menhir_run_006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              _menhir_run_010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNLOCK ->
              _menhir_run_265 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERFENCE ->
              _menhir_run_270 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOP ->
              _menhir_run_275 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ST_EXPLICIT ->
              _menhir_run_284 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              _menhir_run_007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STORE ->
              _menhir_run_293 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_303 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_318 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINUNLOCK ->
              _menhir_run_330 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINLOCK ->
              _menhir_run_335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_340 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_348 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOCK ->
              _menhir_run_353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              _menhir_run_358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              _menhir_run_359 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FENCE ->
              _menhir_run_363 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONST ->
              _menhir_run_012 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CODEVAR _v ->
              _menhir_run_368 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_TYPE _v ->
              _menhir_run_013 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMIC_TYPE _v ->
              _menhir_run_014 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMIC_BASE ->
              _menhir_run_015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC ->
              _menhir_run_026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR | INT | LONG | MUTEX ->
              _menhir_reduce_175 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_047 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_XCHG (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LBRACE ->
          let _menhir_s = MenhirState048 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | UNLOCK ->
              _menhir_run_049 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LOCK ->
              _menhir_run_051 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_BASE ->
              _menhir_run_052 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_049 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      let _v = _menhir_action_007 () in
      _menhir_goto_annot_base _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_annot_base : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | SUB ->
          let _menhir_stack = MenhirCell1_annot_base (_menhir_stack, _menhir_s, _v) in
          let _menhir_s = MenhirState159 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | UNLOCK ->
              _menhir_run_049 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LOCK ->
              _menhir_run_051 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_BASE ->
              _menhir_run_052 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | COMMA | RBRACE ->
          let _1 = _v in
          let _v = _menhir_action_004 _1 in
          _menhir_goto_annot _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_050 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      let _1 = _v in
      let _v = _menhir_action_009 _1 in
      _menhir_goto_annot_base _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_051 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      let _v = _menhir_action_006 () in
      _menhir_goto_annot_base _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_052 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      let _v = _menhir_action_008 () in
      _menhir_goto_annot_base _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_annot : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState319 ->
          _menhir_run_161 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState294 ->
          _menhir_run_161 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState271 ->
          _menhir_run_161 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState048 ->
          _menhir_run_161 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState061 ->
          _menhir_run_161 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState066 ->
          _menhir_run_161 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState076 ->
          _menhir_run_161 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState093 ->
          _menhir_run_161 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState162 ->
          _menhir_run_161 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState104 ->
          _menhir_run_161 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState159 ->
          _menhir_run_160 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_161 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | COMMA ->
          let _menhir_stack = MenhirCell1_annot (_menhir_stack, _menhir_s, _v) in
          let _menhir_s = MenhirState162 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | UNLOCK ->
              _menhir_run_049 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LOCK ->
              _menhir_run_051 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_BASE ->
              _menhir_run_052 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | RBRACE ->
          let _1 = _v in
          let _v = _menhir_action_011 _1 in
          _menhir_goto_annot_list _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | _ ->
          _menhir_fail ()
  
  and _menhir_goto_annot_list : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      match _menhir_s with
      | MenhirState319 ->
          _menhir_run_320 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | MenhirState294 ->
          _menhir_run_295 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | MenhirState271 ->
          _menhir_run_272 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | MenhirState162 ->
          _menhir_run_163 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | MenhirState104 ->
          _menhir_run_105 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | MenhirState093 ->
          _menhir_run_094 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | MenhirState076 ->
          _menhir_run_077 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | MenhirState066 ->
          _menhir_run_067 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | MenhirState061 ->
          _menhir_run_062 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | MenhirState048 ->
          _menhir_run_053 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_320 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_SRCU as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      let _menhir_stack = MenhirCell1_annot_list (_menhir_stack, _menhir_s, _v) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_s = MenhirState322 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_056 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_WCAS_EXPLICIT (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_s = MenhirState057 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_058 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_WCAS (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_s = MenhirState059 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_060 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_UNDERATOMICOPRETURN (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LBRACE ->
          let _menhir_s = MenhirState061 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | UNLOCK ->
              _menhir_run_049 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LOCK ->
              _menhir_run_051 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_BASE ->
              _menhir_run_052 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_065 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_UNDERATOMICFETCHOP (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LBRACE ->
          let _menhir_s = MenhirState066 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | UNLOCK ->
              _menhir_run_049 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LOCK ->
              _menhir_run_051 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_BASE ->
              _menhir_run_052 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_070 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_UNDERATOMICADDUNLESS (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_s = MenhirState071 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_072 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_STAR (_menhir_stack, _menhir_s) in
      let _menhir_s = MenhirState072 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | NAME _v ->
          _menhir_run_073 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | LPAR ->
          let _menhir_stack = MenhirCell1_LPAR (_menhir_stack, _menhir_s) in
          let _menhir_s = MenhirState074 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              _menhir_run_006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              _menhir_run_010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              _menhir_run_007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONST ->
              _menhir_run_012 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_TYPE _v ->
              _menhir_run_013 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMIC_TYPE _v ->
              _menhir_run_014 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMIC_BASE ->
              _menhir_run_015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC ->
              _menhir_run_026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR | INT | LONG | MUTEX ->
              _menhir_reduce_175 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_073 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_STAR -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell1_STAR (_menhir_stack, _menhir_s) = _menhir_stack in
      let _2 = _v in
      let _v = _menhir_action_046 _2 in
      _menhir_goto_expr0 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_expr0 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState260 ->
          _menhir_run_264 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState483 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState472 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState473 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState396 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState394 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState046 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState264 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState389 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState387 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState358 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState380 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState362 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState372 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState360 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState354 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState348 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState350 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState345 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState341 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState336 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState331 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState326 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState322 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState315 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState311 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState306 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState299 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState297 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState287 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState285 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState280 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState276 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState266 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState263 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState257 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState055 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState249 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState247 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState057 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState243 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState241 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState059 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState237 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState064 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState231 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState069 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState219 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState217 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState071 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState074 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState079 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState081 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState083 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState198 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState196 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState085 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState192 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState190 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState087 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState184 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState089 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState090 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState182 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState091 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState177 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState096 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState098 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState165 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState100 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState155 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState153 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState107 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState147 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState109 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState143 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState141 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState139 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState137 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState135 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState133 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState131 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState129 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState127 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState125 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState123 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState121 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState119 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState117 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState115 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState111 ->
          _menhir_run_113 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_264 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_WHILE as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_expr0 (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | XCHG ->
          _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | WHILE ->
          _menhir_run_260 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | WCAS_EXPLICIT ->
          _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | WCAS ->
          _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | VOLATILE ->
          _menhir_run_006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | VOID ->
          _menhir_run_010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | UNLOCK ->
          _menhir_run_265 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | UNDERFENCE ->
          _menhir_run_270 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | UNDERATOMICOPRETURN ->
          _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | UNDERATOMICOP ->
          _menhir_run_275 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | UNDERATOMICFETCHOP ->
          _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | UNDERATOMICADDUNLESS ->
          _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | ST_EXPLICIT ->
          _menhir_run_284 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | STRUCT ->
          _menhir_run_007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | STORE ->
          _menhir_run_293 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | STAR ->
          _menhir_run_303 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | SRCU ->
          _menhir_run_318 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | SPINUNLOCK ->
          _menhir_run_330 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | SPINTRYLOCK ->
          _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | SPINLOCK ->
          _menhir_run_335 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | SPINISLOCKED ->
          _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | SCAS_EXPLICIT ->
          _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | SCAS ->
          _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | NAME _v_0 ->
          _menhir_run_340 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState264
      | LPAR ->
          _menhir_run_348 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | LOCK ->
          _menhir_run_353 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | LOAD ->
          _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | LD_EXPLICIT ->
          _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | LBRACE ->
          _menhir_run_358 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | IF ->
          _menhir_run_359 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | FENCE ->
          _menhir_run_363 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | EXC_EXPLICIT ->
          _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | CONSTVAR _v_1 ->
          _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState264
      | CONSTANT _v_2 ->
          _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState264
      | CONST ->
          _menhir_run_012 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | CODEVAR _v_3 ->
          _menhir_run_368 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState264
      | CMPXCHG ->
          _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | BASE_TYPE _v_4 ->
          _menhir_run_013 _menhir_stack _menhir_lexbuf _menhir_lexer _v_4 MenhirState264
      | ATOMIC_TYPE _v_5 ->
          _menhir_run_014 _menhir_stack _menhir_lexbuf _menhir_lexer _v_5 MenhirState264
      | ATOMIC_FETCH_EXPLICIT _v_6 ->
          _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v_6 MenhirState264
      | ATOMIC_BASE ->
          _menhir_run_015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | ATOMICADDUNLESS ->
          _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | ATOMIC ->
          _menhir_run_026 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState264
      | CHAR | INT | LONG | MUTEX ->
          let _menhir_s = MenhirState264 in
          let _v = _menhir_action_175 () in
          _menhir_goto_ty_attr _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_260 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_WHILE (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | STAR ->
          let _menhir_stack = MenhirCell1_STAR (_menhir_stack, MenhirState260) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | NAME _v ->
              _menhir_run_073 _menhir_stack _menhir_lexbuf _menhir_lexer _v
          | _ ->
              _eRR ())
      | NAME _v ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let _v =
            let _1 = _v in
            _menhir_action_045 _1
          in
          _menhir_run_264 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState260 _tok
      | LPAR ->
          let _menhir_stack = MenhirCell1_LPAR (_menhir_stack, MenhirState260) in
          let _menhir_s = MenhirState263 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | CONSTVAR _v ->
          _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState260
      | CONSTANT _v ->
          _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState260
      | _ ->
          _eRR ()
  
  and _menhir_run_075 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_SRCU (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LBRACE ->
          let _menhir_s = MenhirState076 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | UNLOCK ->
              _menhir_run_049 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LOCK ->
              _menhir_run_051 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_BASE ->
              _menhir_run_052 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_080 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_SPINTRYLOCK (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_s = MenhirState081 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_082 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_SPINISLOCKED (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_s = MenhirState083 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_084 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_SCAS_EXPLICIT (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_s = MenhirState085 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_086 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_SCAS (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_s = MenhirState087 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_088 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_stack = MenhirCell1_NAME (_menhir_stack, _menhir_s, _v) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState089
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState089
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState089
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState089
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState089
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState089
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState089
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState089
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState089
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState089
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState089
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState089
          | NAME _v_0 ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState089
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState089
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState089
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState089
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState089
          | CONSTVAR _v_1 ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState089
          | CONSTANT _v_2 ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState089
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState089
          | ATOMIC_FETCH_EXPLICIT _v_3 ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState089
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState089
          | RPAR ->
              let _v_4 = _menhir_action_012 () in
              _menhir_run_187 _menhir_stack _menhir_lexbuf _menhir_lexer _v_4
          | _ ->
              _eRR ())
      | ADD | COMMA | DIV | EOF | EQ_OP | GE | GT | LAND | LE | LT | NAME _ | NEQ_OP | PIPE | RPAR | SEMI | STAR | SUB | XOR ->
          let _1 = _v in
          let _v = _menhir_action_045 _1 in
          _menhir_goto_expr0 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_090 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_LPAR (_menhir_stack, _menhir_s) in
      let _menhir_s = MenhirState090 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | XCHG ->
          _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS_EXPLICIT ->
          _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS ->
          _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          _menhir_run_006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          _menhir_run_010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICOPRETURN ->
          _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICFETCHOP ->
          _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICADDUNLESS ->
          _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          _menhir_run_007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SRCU ->
          _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINTRYLOCK ->
          _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINISLOCKED ->
          _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS_EXPLICIT ->
          _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS ->
          _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NAME _v ->
          _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | LPAR ->
          _menhir_run_091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOAD ->
          _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LD_EXPLICIT ->
          _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXC_EXPLICIT ->
          _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONSTVAR _v ->
          _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CONSTANT _v ->
          _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CONST ->
          _menhir_run_012 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CMPXCHG ->
          _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_TYPE _v ->
          _menhir_run_013 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMIC_TYPE _v ->
          _menhir_run_014 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMIC_FETCH_EXPLICIT _v ->
          _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMIC_BASE ->
          _menhir_run_015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ATOMICADDUNLESS ->
          _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ATOMIC ->
          _menhir_run_026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR | INT | LONG | MUTEX ->
          _menhir_reduce_175 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_091 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_LPAR as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_LPAR (_menhir_stack, _menhir_s) in
      let _menhir_s = MenhirState091 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | XCHG ->
          _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS_EXPLICIT ->
          _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS ->
          _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          _menhir_run_006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          _menhir_run_010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICOPRETURN ->
          _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICFETCHOP ->
          _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICADDUNLESS ->
          _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          _menhir_run_007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SRCU ->
          _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINTRYLOCK ->
          _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINISLOCKED ->
          _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS_EXPLICIT ->
          _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS ->
          _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NAME _v ->
          _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | LPAR ->
          _menhir_run_091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOAD ->
          _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LD_EXPLICIT ->
          _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXC_EXPLICIT ->
          _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONSTVAR _v ->
          _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CONSTANT _v ->
          _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CONST ->
          _menhir_run_012 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CMPXCHG ->
          _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_TYPE _v ->
          _menhir_run_013 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMIC_TYPE _v ->
          _menhir_run_014 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMIC_FETCH_EXPLICIT _v ->
          _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMIC_BASE ->
          _menhir_run_015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ATOMICADDUNLESS ->
          _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ATOMIC ->
          _menhir_run_026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR | INT | LONG | MUTEX ->
          _menhir_reduce_175 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_092 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_LOAD (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LBRACE ->
          let _menhir_s = MenhirState093 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | UNLOCK ->
              _menhir_run_049 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LOCK ->
              _menhir_run_051 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_BASE ->
              _menhir_run_052 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_097 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_LD_EXPLICIT (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_s = MenhirState098 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_099 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_EXC_EXPLICIT (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_s = MenhirState100 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_101 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      let _1 = _v in
      let _v = _menhir_action_044 _1 in
      _menhir_goto_expr0 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_102 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      let _1 = _v in
      let _v = _menhir_action_043 _1 in
      _menhir_goto_expr0 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_103 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_CMPXCHG (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LBRACE ->
          let _menhir_s = MenhirState104 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | UNLOCK ->
              _menhir_run_049 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LOCK ->
              _menhir_run_051 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_BASE ->
              _menhir_run_052 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_108 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      let _menhir_stack = MenhirCell1_ATOMIC_FETCH_EXPLICIT (_menhir_stack, _menhir_s, _v) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_s = MenhirState109 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_110 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_ATOMICADDUNLESS (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_s = MenhirState111 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_187 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_NAME -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell1_NAME (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      let _3 = _v in
      let _v = _menhir_action_071 _1 _3 in
      _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_expr1 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _1 = _v in
      let _v = _menhir_action_042 _1 in
      _menhir_goto_expr _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_expr : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState472 ->
          _menhir_run_476 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState483 ->
          _menhir_run_378 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState473 ->
          _menhir_run_378 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState396 ->
          _menhir_run_378 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState394 ->
          _menhir_run_378 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState046 ->
          _menhir_run_378 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState264 ->
          _menhir_run_378 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState389 ->
          _menhir_run_378 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState387 ->
          _menhir_run_378 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState358 ->
          _menhir_run_378 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState380 ->
          _menhir_run_378 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState362 ->
          _menhir_run_378 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState372 ->
          _menhir_run_373 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState360 ->
          _menhir_run_361 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState354 ->
          _menhir_run_355 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState350 ->
          _menhir_run_351 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState345 ->
          _menhir_run_346 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState336 ->
          _menhir_run_337 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState331 ->
          _menhir_run_332 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState326 ->
          _menhir_run_327 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState322 ->
          _menhir_run_323 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState315 ->
          _menhir_run_316 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState311 ->
          _menhir_run_312 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState306 ->
          _menhir_run_307 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState299 ->
          _menhir_run_300 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState297 ->
          _menhir_run_298 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState287 ->
          _menhir_run_288 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState285 ->
          _menhir_run_286 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState280 ->
          _menhir_run_281 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState276 ->
          _menhir_run_277 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState266 ->
          _menhir_run_267 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState257 ->
          _menhir_run_258 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState055 ->
          _menhir_run_256 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState249 ->
          _menhir_run_250 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState247 ->
          _menhir_run_248 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState057 ->
          _menhir_run_246 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState243 ->
          _menhir_run_244 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState241 ->
          _menhir_run_242 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState059 ->
          _menhir_run_240 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState237 ->
          _menhir_run_238 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState064 ->
          _menhir_run_234 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState231 ->
          _menhir_run_232 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState069 ->
          _menhir_run_222 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState219 ->
          _menhir_run_220 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState217 ->
          _menhir_run_218 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState071 ->
          _menhir_run_216 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState074 ->
          _menhir_run_214 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState079 ->
          _menhir_run_209 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState081 ->
          _menhir_run_207 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState083 ->
          _menhir_run_205 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState198 ->
          _menhir_run_199 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState196 ->
          _menhir_run_197 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState085 ->
          _menhir_run_195 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState192 ->
          _menhir_run_193 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState190 ->
          _menhir_run_191 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState087 ->
          _menhir_run_189 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState341 ->
          _menhir_run_183 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState184 ->
          _menhir_run_183 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState089 ->
          _menhir_run_183 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState348 ->
          _menhir_run_179 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState263 ->
          _menhir_run_179 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState090 ->
          _menhir_run_179 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState091 ->
          _menhir_run_179 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState182 ->
          _menhir_run_178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState177 ->
          _menhir_run_178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState096 ->
          _menhir_run_174 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState098 ->
          _menhir_run_170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState165 ->
          _menhir_run_166 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState100 ->
          _menhir_run_164 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState155 ->
          _menhir_run_156 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState153 ->
          _menhir_run_154 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState107 ->
          _menhir_run_152 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState147 ->
          _menhir_run_148 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState109 ->
          _menhir_run_146 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState143 ->
          _menhir_run_144 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState141 ->
          _menhir_run_142 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState139 ->
          _menhir_run_140 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState137 ->
          _menhir_run_138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState135 ->
          _menhir_run_136 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState133 ->
          _menhir_run_134 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState131 ->
          _menhir_run_132 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState129 ->
          _menhir_run_130 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState127 ->
          _menhir_run_128 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState125 ->
          _menhir_run_126 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState123 ->
          _menhir_run_124 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState121 ->
          _menhir_run_122 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState119 ->
          _menhir_run_120 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState117 ->
          _menhir_run_118 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState115 ->
          _menhir_run_116 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState111 ->
          _menhir_run_114 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_476 : type  ttv_stack. (((ttv_stack, _menhir_box_macros) _menhir_cell1_NAME, _menhir_box_macros) _menhir_cell1_formals as 'stack) -> _ -> _ -> _ -> ('stack, _menhir_box_macros) _menhir_state -> _ -> _menhir_box_macros =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EOF | NAME _ ->
          let MenhirCell1_formals (_menhir_stack, _, _3) = _menhir_stack in
          let MenhirCell1_NAME (_menhir_stack, _menhir_s, _1) = _menhir_stack in
          let _5 = _v in
          let _v = _menhir_action_127 _1 _3 _5 in
          _menhir_goto_macro _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_115 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_expr -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      let _menhir_s = MenhirState115 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | XCHG ->
          _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS_EXPLICIT ->
          _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS ->
          _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICOPRETURN ->
          _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICFETCHOP ->
          _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICADDUNLESS ->
          _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SRCU ->
          _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINTRYLOCK ->
          _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINISLOCKED ->
          _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS_EXPLICIT ->
          _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS ->
          _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NAME _v ->
          _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | LPAR ->
          _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOAD ->
          _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LD_EXPLICIT ->
          _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXC_EXPLICIT ->
          _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONSTVAR _v ->
          _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CONSTANT _v ->
          _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CMPXCHG ->
          _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ATOMIC_FETCH_EXPLICIT _v ->
          _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMICADDUNLESS ->
          _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          _eRR ()
  
  and _menhir_run_117 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_expr -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      let _menhir_s = MenhirState117 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | XCHG ->
          _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS_EXPLICIT ->
          _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS ->
          _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICOPRETURN ->
          _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICFETCHOP ->
          _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICADDUNLESS ->
          _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SRCU ->
          _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINTRYLOCK ->
          _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINISLOCKED ->
          _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS_EXPLICIT ->
          _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS ->
          _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NAME _v ->
          _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | LPAR ->
          _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOAD ->
          _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LD_EXPLICIT ->
          _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXC_EXPLICIT ->
          _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONSTVAR _v ->
          _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CONSTANT _v ->
          _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CMPXCHG ->
          _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ATOMIC_FETCH_EXPLICIT _v ->
          _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMICADDUNLESS ->
          _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          _eRR ()
  
  and _menhir_run_119 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_expr -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      let _menhir_s = MenhirState119 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | XCHG ->
          _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS_EXPLICIT ->
          _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS ->
          _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICOPRETURN ->
          _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICFETCHOP ->
          _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICADDUNLESS ->
          _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SRCU ->
          _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINTRYLOCK ->
          _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINISLOCKED ->
          _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS_EXPLICIT ->
          _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS ->
          _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NAME _v ->
          _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | LPAR ->
          _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOAD ->
          _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LD_EXPLICIT ->
          _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXC_EXPLICIT ->
          _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONSTVAR _v ->
          _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CONSTANT _v ->
          _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CMPXCHG ->
          _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ATOMIC_FETCH_EXPLICIT _v ->
          _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMICADDUNLESS ->
          _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          _eRR ()
  
  and _menhir_run_139 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_expr -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      let _menhir_s = MenhirState139 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | XCHG ->
          _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS_EXPLICIT ->
          _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS ->
          _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICOPRETURN ->
          _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICFETCHOP ->
          _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICADDUNLESS ->
          _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SRCU ->
          _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINTRYLOCK ->
          _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINISLOCKED ->
          _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS_EXPLICIT ->
          _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS ->
          _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NAME _v ->
          _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | LPAR ->
          _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOAD ->
          _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LD_EXPLICIT ->
          _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXC_EXPLICIT ->
          _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONSTVAR _v ->
          _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CONSTANT _v ->
          _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CMPXCHG ->
          _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ATOMIC_FETCH_EXPLICIT _v ->
          _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMICADDUNLESS ->
          _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          _eRR ()
  
  and _menhir_run_123 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_expr -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      let _menhir_s = MenhirState123 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | XCHG ->
          _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS_EXPLICIT ->
          _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS ->
          _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICOPRETURN ->
          _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICFETCHOP ->
          _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICADDUNLESS ->
          _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SRCU ->
          _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINTRYLOCK ->
          _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINISLOCKED ->
          _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS_EXPLICIT ->
          _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS ->
          _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NAME _v ->
          _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | LPAR ->
          _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOAD ->
          _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LD_EXPLICIT ->
          _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXC_EXPLICIT ->
          _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONSTVAR _v ->
          _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CONSTANT _v ->
          _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CMPXCHG ->
          _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ATOMIC_FETCH_EXPLICIT _v ->
          _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMICADDUNLESS ->
          _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          _eRR ()
  
  and _menhir_run_127 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_expr -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      let _menhir_s = MenhirState127 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | XCHG ->
          _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS_EXPLICIT ->
          _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS ->
          _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICOPRETURN ->
          _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICFETCHOP ->
          _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICADDUNLESS ->
          _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SRCU ->
          _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINTRYLOCK ->
          _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINISLOCKED ->
          _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS_EXPLICIT ->
          _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS ->
          _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NAME _v ->
          _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | LPAR ->
          _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOAD ->
          _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LD_EXPLICIT ->
          _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXC_EXPLICIT ->
          _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONSTVAR _v ->
          _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CONSTANT _v ->
          _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CMPXCHG ->
          _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ATOMIC_FETCH_EXPLICIT _v ->
          _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMICADDUNLESS ->
          _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          _eRR ()
  
  and _menhir_run_129 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_expr -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      let _menhir_s = MenhirState129 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | XCHG ->
          _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS_EXPLICIT ->
          _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS ->
          _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICOPRETURN ->
          _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICFETCHOP ->
          _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICADDUNLESS ->
          _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SRCU ->
          _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINTRYLOCK ->
          _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINISLOCKED ->
          _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS_EXPLICIT ->
          _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS ->
          _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NAME _v ->
          _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | LPAR ->
          _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOAD ->
          _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LD_EXPLICIT ->
          _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXC_EXPLICIT ->
          _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONSTVAR _v ->
          _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CONSTANT _v ->
          _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CMPXCHG ->
          _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ATOMIC_FETCH_EXPLICIT _v ->
          _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMICADDUNLESS ->
          _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          _eRR ()
  
  and _menhir_run_131 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_expr -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      let _menhir_s = MenhirState131 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | XCHG ->
          _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS_EXPLICIT ->
          _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS ->
          _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICOPRETURN ->
          _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICFETCHOP ->
          _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICADDUNLESS ->
          _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SRCU ->
          _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINTRYLOCK ->
          _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINISLOCKED ->
          _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS_EXPLICIT ->
          _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS ->
          _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NAME _v ->
          _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | LPAR ->
          _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOAD ->
          _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LD_EXPLICIT ->
          _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXC_EXPLICIT ->
          _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONSTVAR _v ->
          _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CONSTANT _v ->
          _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CMPXCHG ->
          _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ATOMIC_FETCH_EXPLICIT _v ->
          _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMICADDUNLESS ->
          _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          _eRR ()
  
  and _menhir_run_133 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_expr -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      let _menhir_s = MenhirState133 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | XCHG ->
          _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS_EXPLICIT ->
          _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS ->
          _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICOPRETURN ->
          _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICFETCHOP ->
          _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICADDUNLESS ->
          _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SRCU ->
          _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINTRYLOCK ->
          _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINISLOCKED ->
          _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS_EXPLICIT ->
          _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS ->
          _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NAME _v ->
          _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | LPAR ->
          _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOAD ->
          _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LD_EXPLICIT ->
          _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXC_EXPLICIT ->
          _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONSTVAR _v ->
          _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CONSTANT _v ->
          _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CMPXCHG ->
          _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ATOMIC_FETCH_EXPLICIT _v ->
          _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMICADDUNLESS ->
          _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          _eRR ()
  
  and _menhir_run_135 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_expr -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      let _menhir_s = MenhirState135 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | XCHG ->
          _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS_EXPLICIT ->
          _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS ->
          _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICOPRETURN ->
          _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICFETCHOP ->
          _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICADDUNLESS ->
          _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SRCU ->
          _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINTRYLOCK ->
          _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINISLOCKED ->
          _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS_EXPLICIT ->
          _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS ->
          _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NAME _v ->
          _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | LPAR ->
          _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOAD ->
          _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LD_EXPLICIT ->
          _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXC_EXPLICIT ->
          _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONSTVAR _v ->
          _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CONSTANT _v ->
          _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CMPXCHG ->
          _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ATOMIC_FETCH_EXPLICIT _v ->
          _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMICADDUNLESS ->
          _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          _eRR ()
  
  and _menhir_run_137 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_expr -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      let _menhir_s = MenhirState137 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | XCHG ->
          _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS_EXPLICIT ->
          _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS ->
          _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICOPRETURN ->
          _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICFETCHOP ->
          _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICADDUNLESS ->
          _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SRCU ->
          _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINTRYLOCK ->
          _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINISLOCKED ->
          _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS_EXPLICIT ->
          _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS ->
          _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NAME _v ->
          _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | LPAR ->
          _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOAD ->
          _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LD_EXPLICIT ->
          _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXC_EXPLICIT ->
          _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONSTVAR _v ->
          _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CONSTANT _v ->
          _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CMPXCHG ->
          _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ATOMIC_FETCH_EXPLICIT _v ->
          _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMICADDUNLESS ->
          _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          _eRR ()
  
  and _menhir_run_121 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_expr -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      let _menhir_s = MenhirState121 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | XCHG ->
          _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS_EXPLICIT ->
          _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS ->
          _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICOPRETURN ->
          _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICFETCHOP ->
          _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICADDUNLESS ->
          _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SRCU ->
          _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINTRYLOCK ->
          _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINISLOCKED ->
          _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS_EXPLICIT ->
          _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS ->
          _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NAME _v ->
          _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | LPAR ->
          _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOAD ->
          _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LD_EXPLICIT ->
          _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXC_EXPLICIT ->
          _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONSTVAR _v ->
          _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CONSTANT _v ->
          _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CMPXCHG ->
          _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ATOMIC_FETCH_EXPLICIT _v ->
          _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMICADDUNLESS ->
          _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          _eRR ()
  
  and _menhir_run_125 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_expr -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      let _menhir_s = MenhirState125 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | XCHG ->
          _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS_EXPLICIT ->
          _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS ->
          _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICOPRETURN ->
          _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICFETCHOP ->
          _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICADDUNLESS ->
          _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SRCU ->
          _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINTRYLOCK ->
          _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINISLOCKED ->
          _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS_EXPLICIT ->
          _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS ->
          _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NAME _v ->
          _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | LPAR ->
          _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOAD ->
          _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LD_EXPLICIT ->
          _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXC_EXPLICIT ->
          _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONSTVAR _v ->
          _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CONSTANT _v ->
          _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CMPXCHG ->
          _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ATOMIC_FETCH_EXPLICIT _v ->
          _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMICADDUNLESS ->
          _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          _eRR ()
  
  and _menhir_goto_macro : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_macros) _menhir_state -> _ -> _menhir_box_macros =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_macro (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | NAME _v_0 ->
          _menhir_run_465 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState479
      | EOF ->
          let _v_1 = _menhir_action_120 () in
          _menhir_run_480 _menhir_stack _v_1
      | _ ->
          _eRR ()
  
  and _menhir_run_465 : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_macros) _menhir_state -> _menhir_box_macros =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      let _menhir_stack = MenhirCell1_NAME (_menhir_stack, _menhir_s, _v) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_s = MenhirState466 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | NAME _v ->
              _menhir_run_467 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | RPAR ->
              let _v = _menhir_action_083 () in
              _menhir_goto_formals _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_467 : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_macros) _menhir_state -> _menhir_box_macros =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | COMMA ->
          let _menhir_stack = MenhirCell1_NAME (_menhir_stack, _menhir_s, _v) in
          let _menhir_s = MenhirState468 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | NAME _v ->
              _menhir_run_467 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | _ ->
              _eRR ())
      | RPAR ->
          let _1 = _v in
          let _v = _menhir_action_085 _1 in
          _menhir_goto_formals_ne _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | _ ->
          _eRR ()
  
  and _menhir_goto_formals_ne : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_macros) _menhir_state -> _menhir_box_macros =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      match _menhir_s with
      | MenhirState466 ->
          _menhir_run_470 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | MenhirState468 ->
          _menhir_run_469 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_470 : type  ttv_stack. ((ttv_stack, _menhir_box_macros) _menhir_cell1_NAME as 'stack) -> _ -> _ -> _ -> ('stack, _menhir_box_macros) _menhir_state -> _menhir_box_macros =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      let _1 = _v in
      let _v = _menhir_action_084 _1 in
      _menhir_goto_formals _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
  
  and _menhir_goto_formals : type  ttv_stack. ((ttv_stack, _menhir_box_macros) _menhir_cell1_NAME as 'stack) -> _ -> _ -> _ -> ('stack, _menhir_box_macros) _menhir_state -> _menhir_box_macros =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      let _menhir_stack = MenhirCell1_formals (_menhir_stack, _menhir_s, _v) in
      let _menhir_s = MenhirState472 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | XCHG ->
          _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS_EXPLICIT ->
          _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS ->
          _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICOPRETURN ->
          _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICFETCHOP ->
          _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICADDUNLESS ->
          _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SRCU ->
          _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINTRYLOCK ->
          _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINISLOCKED ->
          _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS_EXPLICIT ->
          _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS ->
          _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NAME _v ->
          _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | LPAR ->
          _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOAD ->
          _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LD_EXPLICIT ->
          _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          let _menhir_stack = MenhirCell1_LBRACE (_menhir_stack, _menhir_s) in
          let _menhir_s = MenhirState473 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WHILE ->
              _menhir_run_260 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              _menhir_run_006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              _menhir_run_010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNLOCK ->
              _menhir_run_265 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERFENCE ->
              _menhir_run_270 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOP ->
              _menhir_run_275 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ST_EXPLICIT ->
              _menhir_run_284 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              _menhir_run_007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STORE ->
              _menhir_run_293 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_303 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_318 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINUNLOCK ->
              _menhir_run_330 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINLOCK ->
              _menhir_run_335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_340 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_348 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOCK ->
              _menhir_run_353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              _menhir_run_358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              _menhir_run_359 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FENCE ->
              _menhir_run_363 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONST ->
              _menhir_run_012 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CODEVAR _v ->
              _menhir_run_368 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_TYPE _v ->
              _menhir_run_013 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMIC_TYPE _v ->
              _menhir_run_014 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMIC_BASE ->
              _menhir_run_015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC ->
              _menhir_run_026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR | INT | LONG | MUTEX ->
              _menhir_reduce_175 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
          | _ ->
              _eRR ())
      | EXC_EXPLICIT ->
          _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONSTVAR _v ->
          _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CONSTANT _v ->
          _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CMPXCHG ->
          _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ATOMIC_FETCH_EXPLICIT _v ->
          _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMICADDUNLESS ->
          _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          _eRR ()
  
  and _menhir_run_265 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_UNLOCK (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_s = MenhirState266 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_270 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_UNDERFENCE (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LBRACE ->
          let _menhir_s = MenhirState271 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | UNLOCK ->
              _menhir_run_049 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LOCK ->
              _menhir_run_051 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_BASE ->
              _menhir_run_052 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_275 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_UNDERATOMICOP (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_s = MenhirState276 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_284 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_ST_EXPLICIT (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_s = MenhirState285 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_293 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_STORE (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LBRACE ->
          let _menhir_s = MenhirState294 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | UNLOCK ->
              _menhir_run_049 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LOCK ->
              _menhir_run_051 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_BASE ->
              _menhir_run_052 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_303 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | STAR ->
          let _menhir_stack = MenhirCell1_STAR (_menhir_stack, _menhir_s) in
          _menhir_run_304 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState303
      | NAME _v ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | ADD | DIV | EQ_OP | GE | GT | LAND | LE | LT | NEQ_OP | PIPE | SEMI | STAR | SUB | XOR ->
              let _2 = _v in
              let _v = _menhir_action_046 _2 in
              _menhir_goto_expr0 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | EQ ->
              let _menhir_stack = MenhirCell1_STAR (_menhir_stack, _menhir_s) in
              let _v =
                let _1 = _v in
                _menhir_action_122 _1
              in
              _menhir_run_314 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState303 _tok
          | _ ->
              _eRR ())
      | LPAR ->
          let _menhir_stack = MenhirCell1_STAR (_menhir_stack, _menhir_s) in
          let _menhir_stack = MenhirCell1_LPAR (_menhir_stack, MenhirState303) in
          let _menhir_s = MenhirState311 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              _menhir_run_006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              _menhir_run_010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              _menhir_run_007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONST ->
              _menhir_run_012 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_TYPE _v ->
              _menhir_run_013 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMIC_TYPE _v ->
              _menhir_run_014 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMIC_BASE ->
              _menhir_run_015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC ->
              _menhir_run_026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR | INT | LONG | MUTEX ->
              _menhir_reduce_175 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_304 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_STAR as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_STAR (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | STAR ->
          _menhir_run_304 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState304
      | NAME _v ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let _v =
            let _1 = _v in
            _menhir_action_122 _1
          in
          _menhir_run_309 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | LPAR ->
          let _menhir_stack = MenhirCell1_LPAR (_menhir_stack, MenhirState304) in
          let _menhir_s = MenhirState306 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_309 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_STAR, ttv_result) _menhir_cell1_STAR -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      let MenhirCell1_STAR (_menhir_stack, _menhir_s) = _menhir_stack in
      let _2 = _v in
      let _v = _menhir_action_123 _2 in
      _menhir_goto_location _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_location : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_STAR as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState303 ->
          _menhir_run_314 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState304 ->
          _menhir_run_309 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_314 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_STAR as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_location (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | EQ ->
          let _menhir_s = MenhirState315 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_318 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_SRCU (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LBRACE ->
          let _menhir_s = MenhirState319 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | UNLOCK ->
              _menhir_run_049 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LOCK ->
              _menhir_run_051 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_BASE ->
              _menhir_run_052 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_330 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_SPINUNLOCK (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_s = MenhirState331 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_335 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_SPINLOCK (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_s = MenhirState336 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_340 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_stack = MenhirCell1_NAME (_menhir_stack, _menhir_s, _v) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState341
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState341
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState341
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState341
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState341
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState341
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState341
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState341
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState341
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState341
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState341
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState341
          | NAME _v_0 ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState341
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState341
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState341
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState341
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState341
          | CONSTVAR _v_1 ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState341
          | CONSTANT _v_2 ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState341
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState341
          | ATOMIC_FETCH_EXPLICIT _v_3 ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState341
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState341
          | RPAR ->
              let _v_4 = _menhir_action_012 () in
              _menhir_run_342 _menhir_stack _menhir_lexbuf _menhir_lexer _v_4
          | _ ->
              _eRR ())
      | EQ ->
          let _menhir_stack = MenhirCell1_NAME (_menhir_stack, _menhir_s, _v) in
          let _menhir_s = MenhirState345 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | ADD | DIV | EQ_OP | GE | GT | LAND | LE | LT | NEQ_OP | PIPE | SEMI | STAR | SUB | XOR ->
          let _1 = _v in
          let _v = _menhir_action_045 _1 in
          _menhir_goto_expr0 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_342 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_NAME -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | SEMI ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_NAME (_menhir_stack, _menhir_s, _1) = _menhir_stack in
          let _3 = _v in
          let _v = _menhir_action_113 _1 _3 in
          _menhir_goto_instruction _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | ADD | DIV | EQ_OP | GE | GT | LAND | LE | LT | NEQ_OP | PIPE | STAR | SUB | XOR ->
          let MenhirCell1_NAME (_menhir_stack, _menhir_s, _1) = _menhir_stack in
          let _3 = _v in
          let _v = _menhir_action_071 _1 _3 in
          _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_goto_instruction : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _1 = _v in
      let _v = _menhir_action_032 _1 in
      _menhir_goto_block_ins _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_block_ins : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState483 ->
          _menhir_run_396 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState046 ->
          _menhir_run_396 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState396 ->
          _menhir_run_396 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState394 ->
          _menhir_run_396 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState264 ->
          _menhir_run_391 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState473 ->
          _menhir_run_389 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState358 ->
          _menhir_run_389 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState389 ->
          _menhir_run_389 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState387 ->
          _menhir_run_389 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState380 ->
          _menhir_run_381 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState362 ->
          _menhir_run_379 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_396 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XCHG ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | WHILE ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_260 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | WCAS_EXPLICIT ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | WCAS ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | VOLATILE ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | VOID ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | UNLOCK ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_265 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | UNDERFENCE ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_270 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | UNDERATOMICOPRETURN ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | UNDERATOMICOP ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_275 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | UNDERATOMICFETCHOP ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | UNDERATOMICADDUNLESS ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | ST_EXPLICIT ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_284 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | STRUCT ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | STORE ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_293 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | STAR ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_303 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | SRCU ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_318 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | SPINUNLOCK ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_330 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | SPINTRYLOCK ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | SPINLOCK ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_335 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | SPINISLOCKED ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | SCAS_EXPLICIT ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | SCAS ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | NAME _v_0 ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_340 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState396
      | LPAR ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_348 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | LOCK ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_353 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | LOAD ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | LD_EXPLICIT ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | LBRACE ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_358 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | IF ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_359 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | FENCE ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_363 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | EXC_EXPLICIT ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | CONSTVAR _v_1 ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState396
      | CONSTANT _v_2 ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState396
      | CONST ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_012 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | CODEVAR _v_3 ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_368 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState396
      | CMPXCHG ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | BASE_TYPE _v_4 ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_013 _menhir_stack _menhir_lexbuf _menhir_lexer _v_4 MenhirState396
      | ATOMIC_TYPE _v_5 ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_014 _menhir_stack _menhir_lexbuf _menhir_lexer _v_5 MenhirState396
      | ATOMIC_FETCH_EXPLICIT _v_6 ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v_6 MenhirState396
      | ATOMIC_BASE ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | ATOMICADDUNLESS ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | ATOMIC ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_026 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState396
      | EOF | RBRACE ->
          let _1 = _v in
          let _v = _menhir_action_037 _1 in
          _menhir_goto_do_pseudo_seq _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | CHAR | INT | LONG | MUTEX ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          let _menhir_s = MenhirState396 in
          let _v = _menhir_action_175 () in
          _menhir_goto_ty_attr _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_348 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_LPAR (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | XCHG ->
          _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState348
      | WCAS_EXPLICIT ->
          _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState348
      | WCAS ->
          _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState348
      | VOLATILE ->
          _menhir_run_006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState348
      | VOID ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | RPAR ->
              let _menhir_stack = MenhirCell1_VOID (_menhir_stack, MenhirState348) in
              let _menhir_s = MenhirState350 in
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | XCHG ->
                  _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | WCAS_EXPLICIT ->
                  _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | WCAS ->
                  _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | UNDERATOMICOPRETURN ->
                  _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | UNDERATOMICFETCHOP ->
                  _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | UNDERATOMICADDUNLESS ->
                  _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | STAR ->
                  _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | SRCU ->
                  _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | SPINTRYLOCK ->
                  _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | SPINISLOCKED ->
                  _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | SCAS_EXPLICIT ->
                  _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | SCAS ->
                  _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | NAME _v ->
                  _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
              | LPAR ->
                  _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | LOAD ->
                  _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | LD_EXPLICIT ->
                  _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | EXC_EXPLICIT ->
                  _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | CONSTVAR _v ->
                  _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
              | CONSTANT _v ->
                  _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
              | CMPXCHG ->
                  _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | ATOMIC_FETCH_EXPLICIT _v ->
                  _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
              | ATOMICADDUNLESS ->
                  _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | _ ->
                  _eRR ())
          | STAR ->
              let _menhir_s = MenhirState348 in
              let _v = _menhir_action_187 () in
              _menhir_goto_void _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | _ ->
              _eRR ())
      | UNDERATOMICOPRETURN ->
          _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState348
      | UNDERATOMICFETCHOP ->
          _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState348
      | UNDERATOMICADDUNLESS ->
          _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState348
      | STRUCT ->
          _menhir_run_007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState348
      | STAR ->
          _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState348
      | SRCU ->
          _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState348
      | SPINTRYLOCK ->
          _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState348
      | SPINISLOCKED ->
          _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState348
      | SCAS_EXPLICIT ->
          _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState348
      | SCAS ->
          _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState348
      | NAME _v ->
          _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState348
      | LPAR ->
          _menhir_run_091 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState348
      | LOAD ->
          _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState348
      | LD_EXPLICIT ->
          _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState348
      | EXC_EXPLICIT ->
          _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState348
      | CONSTVAR _v ->
          _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState348
      | CONSTANT _v ->
          _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState348
      | CONST ->
          _menhir_run_012 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState348
      | CMPXCHG ->
          _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState348
      | BASE_TYPE _v ->
          _menhir_run_013 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState348
      | ATOMIC_TYPE _v ->
          _menhir_run_014 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState348
      | ATOMIC_FETCH_EXPLICIT _v ->
          _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState348
      | ATOMIC_BASE ->
          _menhir_run_015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState348
      | ATOMICADDUNLESS ->
          _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState348
      | ATOMIC ->
          _menhir_run_026 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState348
      | CHAR | INT | LONG | MUTEX ->
          let _menhir_s = MenhirState348 in
          let _v = _menhir_action_175 () in
          _menhir_goto_ty_attr _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_353 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_LOCK (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_s = MenhirState354 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_358 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_LBRACE (_menhir_stack, _menhir_s) in
      let _menhir_s = MenhirState358 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | XCHG ->
          _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WHILE ->
          _menhir_run_260 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS_EXPLICIT ->
          _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS ->
          _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          _menhir_run_006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          _menhir_run_010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNLOCK ->
          _menhir_run_265 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERFENCE ->
          _menhir_run_270 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICOPRETURN ->
          _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICOP ->
          _menhir_run_275 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICFETCHOP ->
          _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICADDUNLESS ->
          _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ST_EXPLICIT ->
          _menhir_run_284 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          _menhir_run_007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STORE ->
          _menhir_run_293 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          _menhir_run_303 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SRCU ->
          _menhir_run_318 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINUNLOCK ->
          _menhir_run_330 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINTRYLOCK ->
          _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINLOCK ->
          _menhir_run_335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINISLOCKED ->
          _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS_EXPLICIT ->
          _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS ->
          _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NAME _v ->
          _menhir_run_340 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | LPAR ->
          _menhir_run_348 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOCK ->
          _menhir_run_353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOAD ->
          _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LD_EXPLICIT ->
          _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          _menhir_run_358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          _menhir_run_359 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FENCE ->
          _menhir_run_363 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXC_EXPLICIT ->
          _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONSTVAR _v ->
          _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CONSTANT _v ->
          _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CONST ->
          _menhir_run_012 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CODEVAR _v ->
          _menhir_run_368 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CMPXCHG ->
          _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_TYPE _v ->
          _menhir_run_013 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMIC_TYPE _v ->
          _menhir_run_014 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMIC_FETCH_EXPLICIT _v ->
          _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMIC_BASE ->
          _menhir_run_015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ATOMICADDUNLESS ->
          _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ATOMIC ->
          _menhir_run_026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR | INT | LONG | MUTEX ->
          _menhir_reduce_175 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_359 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _menhir_stack = MenhirCell1_IF (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_s = MenhirState360 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_363 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | MEMORDER _v ->
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | RPAR ->
                  let _tok = _menhir_lexer _menhir_lexbuf in
                  (match (_tok : MenhirBasics.token) with
                  | SEMI ->
                      let _tok = _menhir_lexer _menhir_lexbuf in
                      let _3 = _v in
                      let _v = _menhir_action_111 _3 in
                      _menhir_goto_instruction _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
                  | _ ->
                      _eRR ())
              | _ ->
                  _eRR ())
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_368 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | SEMI ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let _1 = _v in
          let _v = _menhir_action_112 _1 in
          _menhir_goto_instruction _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_goto_do_pseudo_seq : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState483 ->
          _menhir_run_485 _menhir_stack _v _tok
      | MenhirState396 ->
          _menhir_run_397 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState394 ->
          _menhir_run_395 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState046 ->
          _menhir_run_392 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_397 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_block_ins -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      let MenhirCell1_block_ins (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      let _2 = _v in
      let _v = _menhir_action_038 _1 _2 in
      _menhir_goto_do_pseudo_seq _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_395 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_declaration -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      let MenhirCell1_declaration (_menhir_stack, _menhir_s, _) = _menhir_stack in
      let _2 = _v in
      let _v = _menhir_action_040 _2 in
      _menhir_goto_do_pseudo_seq _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_392 : type  ttv_stack. ((ttv_stack, _menhir_box_deep_main) _menhir_cell1_voidopt _menhir_cell0_PROC, _menhir_box_deep_main) _menhir_cell1_parameter_list -> _ -> _ -> _ -> _ -> _menhir_box_deep_main =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      match (_tok : MenhirBasics.token) with
      | RBRACE ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_parameter_list (_menhir_stack, _, _4) = _menhir_stack in
          let MenhirCell0_PROC (_menhir_stack, _2) = _menhir_stack in
          let MenhirCell1_voidopt (_menhir_stack, _menhir_s, _) = _menhir_stack in
          let _7 = _v in
          let _v = _menhir_action_087 _2 _4 _7 in
          _menhir_goto_function_def _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_goto_function_def : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_deep_main) _menhir_state -> _ -> _menhir_box_deep_main =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState000 ->
          _menhir_run_462 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState401 ->
          _menhir_run_461 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_462 : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_deep_main) _menhir_state -> _ -> _menhir_box_deep_main =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _1 = _v in
      let _v = _menhir_action_173 _1 in
      _menhir_goto_trans_unit _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_trans_unit : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_deep_main) _menhir_state -> _ -> _menhir_box_deep_main =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_trans_unit (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | VOID ->
          _menhir_run_001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState401
      | SCOPES ->
          _menhir_run_402 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState401
      | REGIONS ->
          _menhir_run_418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState401
      | LEVELS ->
          _menhir_run_431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState401
      | EOF ->
          let _menhir_s = MenhirState401 in
          let _v = _menhir_action_153 () in
          _menhir_goto_permut_scopes_key_levels_key_memory_map_key_ _menhir_stack _v _menhir_s _tok
      | PROC _ ->
          let _v_1 = _menhir_action_190 () in
          _menhir_run_003 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState401 _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_003 : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_deep_main) _menhir_state -> _ -> _menhir_box_deep_main =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_voidopt (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | PROC _v_0 ->
          let _menhir_stack = MenhirCell0_PROC (_menhir_stack, _v_0) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | LPAR ->
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | VOLATILE ->
                  _menhir_run_006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState005
              | VOID ->
                  _menhir_run_010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState005
              | STRUCT ->
                  _menhir_run_007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState005
              | LPAR ->
                  _menhir_run_011 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState005
              | CONST ->
                  _menhir_run_012 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState005
              | BASE_TYPE _v_1 ->
                  _menhir_run_013 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState005
              | ATOMIC_TYPE _v_2 ->
                  _menhir_run_014 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState005
              | ATOMIC_BASE ->
                  _menhir_run_015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState005
              | ATOMIC ->
                  _menhir_run_026 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState005
              | RPAR ->
                  let _v_3 = _menhir_action_135 () in
                  _menhir_run_044 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState005
              | CHAR | INT | LONG | MUTEX ->
                  let _menhir_s = MenhirState005 in
                  let _v = _menhir_action_175 () in
                  _menhir_goto_ty_attr _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
              | _ ->
                  _eRR ())
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_461 : type  ttv_stack. (ttv_stack, _menhir_box_deep_main) _menhir_cell1_trans_unit -> _ -> _ -> _ -> _ -> _menhir_box_deep_main =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      let MenhirCell1_trans_unit (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      let _2 = _v in
      let _v = _menhir_action_174 _1 _2 in
      _menhir_goto_trans_unit _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_391 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_WHILE, ttv_result) _menhir_cell1_expr0 -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      let MenhirCell1_expr0 (_menhir_stack, _, _2) = _menhir_stack in
      let MenhirCell1_WHILE (_menhir_stack, _menhir_s) = _menhir_stack in
      let _3 = _v in
      let _v = _menhir_action_096 _2 _3 in
      _menhir_goto_instruction _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_389 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XCHG ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | WHILE ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_260 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | WCAS_EXPLICIT ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | WCAS ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | VOLATILE ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | VOID ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | UNLOCK ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_265 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | UNDERFENCE ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_270 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | UNDERATOMICOPRETURN ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | UNDERATOMICOP ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_275 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | UNDERATOMICFETCHOP ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | UNDERATOMICADDUNLESS ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | ST_EXPLICIT ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_284 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | STRUCT ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | STORE ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_293 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | STAR ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_303 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | SRCU ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_318 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | SPINUNLOCK ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_330 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | SPINTRYLOCK ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | SPINLOCK ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_335 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | SPINISLOCKED ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | SCAS_EXPLICIT ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | SCAS ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | NAME _v_0 ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_340 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState389
      | LPAR ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_348 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | LOCK ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_353 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | LOAD ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | LD_EXPLICIT ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | LBRACE ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_358 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | IF ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_359 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | FENCE ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_363 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | EXC_EXPLICIT ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | CONSTVAR _v_1 ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState389
      | CONSTANT _v_2 ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState389
      | CONST ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_012 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | CODEVAR _v_3 ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_368 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState389
      | CMPXCHG ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | BASE_TYPE _v_4 ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_013 _menhir_stack _menhir_lexbuf _menhir_lexer _v_4 MenhirState389
      | ATOMIC_TYPE _v_5 ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_014 _menhir_stack _menhir_lexbuf _menhir_lexer _v_5 MenhirState389
      | ATOMIC_FETCH_EXPLICIT _v_6 ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v_6 MenhirState389
      | ATOMIC_BASE ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | ATOMICADDUNLESS ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | ATOMIC ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          _menhir_run_026 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState389
      | RBRACE ->
          let _1 = _v in
          let _v = _menhir_action_090 _1 in
          _menhir_goto_ins_seq _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CHAR | INT | LONG | MUTEX ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          let _menhir_s = MenhirState389 in
          let _v = _menhir_action_175 () in
          _menhir_goto_ty_attr _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_goto_ins_seq : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      match _menhir_s with
      | MenhirState473 ->
          _menhir_run_474 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | MenhirState389 ->
          _menhir_run_390 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | MenhirState387 ->
          _menhir_run_388 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | MenhirState358 ->
          _menhir_run_385 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_474 : type  ttv_stack. (((ttv_stack, _menhir_box_macros) _menhir_cell1_NAME, _menhir_box_macros) _menhir_cell1_formals, _menhir_box_macros) _menhir_cell1_LBRACE -> _ -> _ -> _ -> _menhir_box_macros =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell1_LBRACE (_menhir_stack, _) = _menhir_stack in
      let _2 = _v in
      let _v = _menhir_action_034 _2 in
      let MenhirCell1_formals (_menhir_stack, _, _3) = _menhir_stack in
      let MenhirCell1_NAME (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      let _5 = _v in
      let _v = _menhir_action_128 _1 _3 _5 in
      _menhir_goto_macro _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_390 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_block_ins -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      let MenhirCell1_block_ins (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      let _2 = _v in
      let _v = _menhir_action_091 _1 _2 in
      _menhir_goto_ins_seq _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
  
  and _menhir_run_388 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_declaration -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      let MenhirCell1_declaration (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      let _2 = _v in
      let _v = _menhir_action_093 _1 _2 in
      _menhir_goto_ins_seq _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
  
  and _menhir_run_385 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_LBRACE -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell1_LBRACE (_menhir_stack, _menhir_s) = _menhir_stack in
      let _2 = _v in
      let _v = _menhir_action_033 _2 in
      _menhir_goto_block_ins _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_381 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_IF, ttv_result) _menhir_cell1_expr, ttv_result) _menhir_cell1_block_ins -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      let MenhirCell1_block_ins (_menhir_stack, _, _5) = _menhir_stack in
      let MenhirCell1_expr (_menhir_stack, _, _3) = _menhir_stack in
      let MenhirCell1_IF (_menhir_stack, _menhir_s) = _menhir_stack in
      let _7 = _v in
      let _v = _menhir_action_095 _3 _5 _7 in
      _menhir_goto_instruction _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_379 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_IF, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | ELSE ->
          let _menhir_stack = MenhirCell1_block_ins (_menhir_stack, _menhir_s, _v) in
          let _menhir_s = MenhirState380 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WHILE ->
              _menhir_run_260 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              _menhir_run_006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              _menhir_run_010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNLOCK ->
              _menhir_run_265 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERFENCE ->
              _menhir_run_270 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOP ->
              _menhir_run_275 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ST_EXPLICIT ->
              _menhir_run_284 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              _menhir_run_007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STORE ->
              _menhir_run_293 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_303 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_318 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINUNLOCK ->
              _menhir_run_330 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINLOCK ->
              _menhir_run_335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_340 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_348 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOCK ->
              _menhir_run_353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              _menhir_run_358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              _menhir_run_359 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FENCE ->
              _menhir_run_363 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONST ->
              _menhir_run_012 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CODEVAR _v ->
              _menhir_run_368 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_TYPE _v ->
              _menhir_run_013 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMIC_TYPE _v ->
              _menhir_run_014 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMIC_BASE ->
              _menhir_run_015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC ->
              _menhir_run_026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR | INT | LONG | MUTEX ->
              _menhir_reduce_175 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
          | _ ->
              _eRR ())
      | ATOMIC | ATOMICADDUNLESS | ATOMIC_BASE | ATOMIC_FETCH_EXPLICIT _ | ATOMIC_TYPE _ | BASE_TYPE _ | CHAR | CMPXCHG | CODEVAR _ | CONST | CONSTANT _ | CONSTVAR _ | EOF | EXC_EXPLICIT | FENCE | IF | INT | LBRACE | LD_EXPLICIT | LOAD | LOCK | LONG | LPAR | MUTEX | NAME _ | RBRACE | SCAS | SCAS_EXPLICIT | SPINISLOCKED | SPINLOCK | SPINTRYLOCK | SPINUNLOCK | SRCU | STAR | STORE | STRUCT | ST_EXPLICIT | UNDERATOMICADDUNLESS | UNDERATOMICFETCHOP | UNDERATOMICOP | UNDERATOMICOPRETURN | UNDERFENCE | UNLOCK | VOID | VOLATILE | WCAS | WCAS_EXPLICIT | WHILE | XCHG ->
          let MenhirCell1_expr (_menhir_stack, _, _3) = _menhir_stack in
          let MenhirCell1_IF (_menhir_stack, _menhir_s) = _menhir_stack in
          let _5 = _v in
          let _v = _menhir_action_094 _3 _5 in
          _menhir_goto_instruction _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_469 : type  ttv_stack. (ttv_stack, _menhir_box_macros) _menhir_cell1_NAME -> _ -> _ -> _ -> _menhir_box_macros =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      let MenhirCell1_NAME (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      let _3 = _v in
      let _v = _menhir_action_086 _1 _3 in
      _menhir_goto_formals_ne _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
  
  and _menhir_run_378 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SEMI ->
          let e = _v in
          let _v = _menhir_action_082 e in
          let _1 = _v in
          let _v = _menhir_action_089 _1 in
          _menhir_goto_initialisation _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | _ ->
          _eRR ()
  
  and _menhir_goto_initialisation : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      let _1 = _v in
      let _v = _menhir_action_097 _1 in
      _menhir_goto_instruction _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_373 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_typ _menhir_cell0_NAME as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SEMI ->
          let MenhirCell0_NAME (_menhir_stack, _2) = _menhir_stack in
          let MenhirCell1_typ (_menhir_stack, _menhir_s, _1) = _menhir_stack in
          let _4 = _v in
          let _v = _menhir_action_088 _1 _2 _4 in
          _menhir_goto_initialisation _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | _ ->
          _eRR ()
  
  and _menhir_run_361 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_IF as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | XOR ->
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          let _menhir_s = MenhirState362 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WHILE ->
              _menhir_run_260 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              _menhir_run_006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              _menhir_run_010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNLOCK ->
              _menhir_run_265 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERFENCE ->
              _menhir_run_270 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOP ->
              _menhir_run_275 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ST_EXPLICIT ->
              _menhir_run_284 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              _menhir_run_007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STORE ->
              _menhir_run_293 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_303 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_318 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINUNLOCK ->
              _menhir_run_330 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINLOCK ->
              _menhir_run_335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_340 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_348 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOCK ->
              _menhir_run_353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              _menhir_run_358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              _menhir_run_359 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FENCE ->
              _menhir_run_363 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONST ->
              _menhir_run_012 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CODEVAR _v ->
              _menhir_run_368 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_TYPE _v ->
              _menhir_run_013 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMIC_TYPE _v ->
              _menhir_run_014 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMIC_BASE ->
              _menhir_run_015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC ->
              _menhir_run_026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR | INT | LONG | MUTEX ->
              _menhir_reduce_175 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
          | _ ->
              _eRR ())
      | PIPE ->
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_355 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_LOCK as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | SEMI ->
              let _tok = _menhir_lexer _menhir_lexbuf in
              let MenhirCell1_LOCK (_menhir_stack, _menhir_s) = _menhir_stack in
              let _3 = _v in
              let _v = _menhir_action_105 _3 in
              _menhir_goto_instruction _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | _ ->
              _eRR ())
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_351 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_LPAR, ttv_result) _menhir_cell1_VOID as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SEMI ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_VOID (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_LPAR (_menhir_stack, _menhir_s) = _menhir_stack in
          let _4 = _v in
          let _v = _menhir_action_099 _4 in
          _menhir_goto_instruction _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_346 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_NAME as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SEMI ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_NAME (_menhir_stack, _menhir_s, _1) = _menhir_stack in
          let _3 = _v in
          let _v = _menhir_action_098 _1 _3 in
          _menhir_goto_instruction _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_337 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_SPINLOCK as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | SEMI ->
              let _tok = _menhir_lexer _menhir_lexbuf in
              let MenhirCell1_SPINLOCK (_menhir_stack, _menhir_s) = _menhir_stack in
              let _3 = _v in
              let _v = _menhir_action_107 _3 in
              _menhir_goto_instruction _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | _ ->
              _eRR ())
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_332 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_SPINUNLOCK as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | SEMI ->
              let _tok = _menhir_lexer _menhir_lexbuf in
              let MenhirCell1_SPINUNLOCK (_menhir_stack, _menhir_s) = _menhir_stack in
              let _3 = _v in
              let _v = _menhir_action_108 _3 in
              _menhir_goto_instruction _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | _ ->
              _eRR ())
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_327 : type  ttv_stack ttv_result. ((((ttv_stack, ttv_result) _menhir_cell1_SRCU, ttv_result) _menhir_cell1_annot_list, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | SEMI ->
              let _tok = _menhir_lexer _menhir_lexbuf in
              let MenhirCell1_expr (_menhir_stack, _, _6) = _menhir_stack in
              let MenhirCell1_annot_list (_menhir_stack, _, _3) = _menhir_stack in
              let MenhirCell1_SRCU (_menhir_stack, _menhir_s) = _menhir_stack in
              let _8 = _v in
              let _v = _menhir_action_103 _3 _6 _8 in
              _menhir_goto_instruction _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | _ ->
              _eRR ())
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_323 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_SRCU, ttv_result) _menhir_cell1_annot_list as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | SEMI ->
              let _tok = _menhir_lexer _menhir_lexbuf in
              let MenhirCell1_annot_list (_menhir_stack, _, _3) = _menhir_stack in
              let MenhirCell1_SRCU (_menhir_stack, _menhir_s) = _menhir_stack in
              let _6 = _v in
              let _v = _menhir_action_102 _3 _6 in
              _menhir_goto_instruction _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | ADD | DIV | EQ_OP | GE | GT | LAND | LE | LT | NEQ_OP | PIPE | STAR | SUB | XOR ->
              let MenhirCell1_annot_list (_menhir_stack, _, _3) = _menhir_stack in
              let MenhirCell1_SRCU (_menhir_stack, _menhir_s) = _menhir_stack in
              let _6 = _v in
              let _v = _menhir_action_052 _3 _6 in
              _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | _ ->
              _eRR ())
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          let _menhir_s = MenhirState326 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_316 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_STAR, ttv_result) _menhir_cell1_location as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SEMI ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_location (_menhir_stack, _, _2) = _menhir_stack in
          let MenhirCell1_STAR (_menhir_stack, _menhir_s) = _menhir_stack in
          let _4 = _v in
          let _v = _menhir_action_100 _2 _4 in
          _menhir_goto_instruction _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_312 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_STAR, ttv_result) _menhir_cell1_LPAR as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | ADD | DIV | EQ_OP | GE | GT | LAND | LE | LT | NEQ_OP | PIPE | SEMI | STAR | SUB | XOR ->
              let MenhirCell1_LPAR (_menhir_stack, _) = _menhir_stack in
              let MenhirCell1_STAR (_menhir_stack, _menhir_s) = _menhir_stack in
              let _3 = _v in
              let _v = _menhir_action_050 _3 in
              _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | EQ ->
              let MenhirCell1_LPAR (_menhir_stack, _menhir_s) = _menhir_stack in
              let _2 = _v in
              let _v = _menhir_action_124 _2 in
              _menhir_goto_location _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | _ ->
              _eRR ())
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_307 : type  ttv_stack ttv_result. ((((ttv_stack, ttv_result) _menhir_cell1_STAR, ttv_result) _menhir_cell1_STAR, ttv_result) _menhir_cell1_LPAR as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_LPAR (_menhir_stack, _menhir_s) = _menhir_stack in
          let _2 = _v in
          let _v = _menhir_action_124 _2 in
          _menhir_goto_location _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_300 : type  ttv_stack ttv_result. ((((ttv_stack, ttv_result) _menhir_cell1_STORE, ttv_result) _menhir_cell1_annot_list, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | SEMI ->
              let _tok = _menhir_lexer _menhir_lexbuf in
              let MenhirCell1_expr (_menhir_stack, _, _6) = _menhir_stack in
              let MenhirCell1_annot_list (_menhir_stack, _, _3) = _menhir_stack in
              let MenhirCell1_STORE (_menhir_stack, _menhir_s) = _menhir_stack in
              let _8 = _v in
              let _v = _menhir_action_101 _3 _6 _8 in
              _menhir_goto_instruction _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | _ ->
              _eRR ())
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_298 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_STORE, ttv_result) _menhir_cell1_annot_list as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | XOR ->
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA ->
          let _menhir_s = MenhirState299 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | ADD ->
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_288 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_ST_EXPLICIT, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | MEMORDER _v_0 ->
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | RPAR ->
                  let _tok = _menhir_lexer _menhir_lexbuf in
                  (match (_tok : MenhirBasics.token) with
                  | SEMI ->
                      let _tok = _menhir_lexer _menhir_lexbuf in
                      let MenhirCell1_expr (_menhir_stack, _, _3) = _menhir_stack in
                      let MenhirCell1_ST_EXPLICIT (_menhir_stack, _menhir_s) = _menhir_stack in
                      let (_5, _7) = (_v, _v_0) in
                      let _v = _menhir_action_104 _3 _5 _7 in
                      _menhir_goto_instruction _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
                  | _ ->
                      _eRR ())
              | _ ->
                  _eRR ())
          | _ ->
              _eRR ())
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_286 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_ST_EXPLICIT as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | XOR ->
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA ->
          let _menhir_s = MenhirState287 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | ADD ->
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_281 : type  ttv_stack ttv_result. ((((ttv_stack, ttv_result) _menhir_cell1_UNDERATOMICOP, ttv_result) _menhir_cell1_expr, ttv_result) _menhir_cell1_atomic_op as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | SEMI ->
              let _tok = _menhir_lexer _menhir_lexbuf in
              let MenhirCell1_atomic_op (_menhir_stack, _, _5) = _menhir_stack in
              let MenhirCell1_expr (_menhir_stack, _, _3) = _menhir_stack in
              let MenhirCell1_UNDERATOMICOP (_menhir_stack, _menhir_s) = _menhir_stack in
              let _7 = _v in
              let _v = _menhir_action_110 _3 _5 _7 in
              _menhir_goto_instruction _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | _ ->
              _eRR ())
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_277 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_UNDERATOMICOP as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | XOR ->
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA ->
          let _menhir_s = MenhirState278 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XOR ->
              _menhir_run_224 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SUB ->
              _menhir_run_225 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PIPE ->
              _menhir_run_226 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAND ->
              _menhir_run_227 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADD ->
              _menhir_run_229 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | ADD ->
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_224 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      let _v = _menhir_action_019 () in
      _menhir_goto_atomic_op _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_atomic_op : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState278 ->
          _menhir_run_279 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState235 ->
          _menhir_run_236 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState223 ->
          _menhir_run_230 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_279 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_UNDERATOMICOP, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_atomic_op (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | COMMA ->
          let _menhir_s = MenhirState280 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_236 : type  ttv_stack ttv_result. ((((ttv_stack, ttv_result) _menhir_cell1_UNDERATOMICOPRETURN, ttv_result) _menhir_cell1_annot_list, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_atomic_op (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | COMMA ->
          let _menhir_s = MenhirState237 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_230 : type  ttv_stack ttv_result. ((((ttv_stack, ttv_result) _menhir_cell1_UNDERATOMICFETCHOP, ttv_result) _menhir_cell1_annot_list, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_atomic_op (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | COMMA ->
          let _menhir_s = MenhirState231 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_225 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      let _v = _menhir_action_017 () in
      _menhir_goto_atomic_op _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_226 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      let _v = _menhir_action_020 () in
      _menhir_goto_atomic_op _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_227 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | NOT ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let _v = _menhir_action_021 () in
          _menhir_goto_atomic_op _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | COMMA ->
          let _v = _menhir_action_018 () in
          _menhir_goto_atomic_op _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_229 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      let _v = _menhir_action_016 () in
      _menhir_goto_atomic_op _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_267 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_UNLOCK as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | SEMI ->
              let _tok = _menhir_lexer _menhir_lexbuf in
              let MenhirCell1_UNLOCK (_menhir_stack, _menhir_s) = _menhir_stack in
              let _3 = _v in
              let _v = _menhir_action_106 _3 in
              _menhir_goto_instruction _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | _ ->
              _eRR ())
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_258 : type  ttv_stack ttv_result. ((((ttv_stack, ttv_result) _menhir_cell1_XCHG, ttv_result) _menhir_cell1_annot_list, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_expr (_menhir_stack, _, _6) = _menhir_stack in
          let MenhirCell1_annot_list (_menhir_stack, _, _3) = _menhir_stack in
          let MenhirCell1_XCHG (_menhir_stack, _menhir_s) = _menhir_stack in
          let _8 = _v in
          let _v = _menhir_action_068 _3 _6 _8 in
          _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_256 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_XCHG, ttv_result) _menhir_cell1_annot_list as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | XOR ->
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA ->
          let _menhir_s = MenhirState257 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | ADD ->
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_250 : type  ttv_stack ttv_result. ((((ttv_stack, ttv_result) _menhir_cell1_WCAS_EXPLICIT, ttv_result) _menhir_cell1_expr, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | MEMORDER _v_0 ->
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | COMMA ->
                  let _tok = _menhir_lexer _menhir_lexbuf in
                  (match (_tok : MenhirBasics.token) with
                  | MEMORDER _v_1 ->
                      let _tok = _menhir_lexer _menhir_lexbuf in
                      (match (_tok : MenhirBasics.token) with
                      | RPAR ->
                          let _tok = _menhir_lexer _menhir_lexbuf in
                          let MenhirCell1_expr (_menhir_stack, _, _5) = _menhir_stack in
                          let MenhirCell1_expr (_menhir_stack, _, _3) = _menhir_stack in
                          let MenhirCell1_WCAS_EXPLICIT (_menhir_stack, _menhir_s) = _menhir_stack in
                          let (_7, _9, _11) = (_v, _v_0, _v_1) in
                          let _v = _menhir_action_073 _11 _3 _5 _7 _9 in
                          _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
                      | _ ->
                          _eRR ())
                  | _ ->
                      _eRR ())
              | _ ->
                  _eRR ())
          | _ ->
              _eRR ())
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_248 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_WCAS_EXPLICIT, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | XOR ->
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA ->
          let _menhir_s = MenhirState249 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | ADD ->
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_246 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_WCAS_EXPLICIT as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | XOR ->
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA ->
          let _menhir_s = MenhirState247 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | ADD ->
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_244 : type  ttv_stack ttv_result. ((((ttv_stack, ttv_result) _menhir_cell1_WCAS, ttv_result) _menhir_cell1_expr, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_expr (_menhir_stack, _, _5) = _menhir_stack in
          let MenhirCell1_expr (_menhir_stack, _, _3) = _menhir_stack in
          let MenhirCell1_WCAS (_menhir_stack, _menhir_s) = _menhir_stack in
          let _7 = _v in
          let _v = _menhir_action_072 _3 _5 _7 in
          _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_242 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_WCAS, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | XOR ->
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA ->
          let _menhir_s = MenhirState243 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | ADD ->
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_240 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_WCAS as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | XOR ->
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA ->
          let _menhir_s = MenhirState241 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | ADD ->
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_238 : type  ttv_stack ttv_result. (((((ttv_stack, ttv_result) _menhir_cell1_UNDERATOMICOPRETURN, ttv_result) _menhir_cell1_annot_list, ttv_result) _menhir_cell1_expr, ttv_result) _menhir_cell1_atomic_op as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_atomic_op (_menhir_stack, _, _8) = _menhir_stack in
          let MenhirCell1_expr (_menhir_stack, _, _6) = _menhir_stack in
          let MenhirCell1_annot_list (_menhir_stack, _, _3) = _menhir_stack in
          let MenhirCell1_UNDERATOMICOPRETURN (_menhir_stack, _menhir_s) = _menhir_stack in
          let _10 = _v in
          let _v = _menhir_action_078 _10 _3 _6 _8 in
          _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_234 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_UNDERATOMICOPRETURN, ttv_result) _menhir_cell1_annot_list as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | XOR ->
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA ->
          let _menhir_s = MenhirState235 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XOR ->
              _menhir_run_224 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SUB ->
              _menhir_run_225 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PIPE ->
              _menhir_run_226 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAND ->
              _menhir_run_227 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADD ->
              _menhir_run_229 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | ADD ->
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_232 : type  ttv_stack ttv_result. (((((ttv_stack, ttv_result) _menhir_cell1_UNDERATOMICFETCHOP, ttv_result) _menhir_cell1_annot_list, ttv_result) _menhir_cell1_expr, ttv_result) _menhir_cell1_atomic_op as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_atomic_op (_menhir_stack, _, _8) = _menhir_stack in
          let MenhirCell1_expr (_menhir_stack, _, _6) = _menhir_stack in
          let MenhirCell1_annot_list (_menhir_stack, _, _3) = _menhir_stack in
          let MenhirCell1_UNDERATOMICFETCHOP (_menhir_stack, _menhir_s) = _menhir_stack in
          let _10 = _v in
          let _v = _menhir_action_079 _10 _3 _6 _8 in
          _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_222 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_UNDERATOMICFETCHOP, ttv_result) _menhir_cell1_annot_list as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | XOR ->
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA ->
          let _menhir_s = MenhirState223 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XOR ->
              _menhir_run_224 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SUB ->
              _menhir_run_225 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PIPE ->
              _menhir_run_226 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAND ->
              _menhir_run_227 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADD ->
              _menhir_run_229 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | ADD ->
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_220 : type  ttv_stack ttv_result. ((((ttv_stack, ttv_result) _menhir_cell1_UNDERATOMICADDUNLESS, ttv_result) _menhir_cell1_expr, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_expr (_menhir_stack, _, _5) = _menhir_stack in
          let MenhirCell1_expr (_menhir_stack, _, _3) = _menhir_stack in
          let MenhirCell1_UNDERATOMICADDUNLESS (_menhir_stack, _menhir_s) = _menhir_stack in
          let _7 = _v in
          let _v = _menhir_action_080 _3 _5 _7 in
          _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_218 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_UNDERATOMICADDUNLESS, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | XOR ->
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA ->
          let _menhir_s = MenhirState219 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | ADD ->
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_216 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_UNDERATOMICADDUNLESS as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | XOR ->
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA ->
          let _menhir_s = MenhirState217 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | ADD ->
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_214 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_STAR, ttv_result) _menhir_cell1_LPAR as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_LPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_STAR (_menhir_stack, _menhir_s) = _menhir_stack in
          let _3 = _v in
          let _v = _menhir_action_050 _3 in
          _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_209 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_SRCU, ttv_result) _menhir_cell1_annot_list as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_annot_list (_menhir_stack, _, _3) = _menhir_stack in
          let MenhirCell1_SRCU (_menhir_stack, _menhir_s) = _menhir_stack in
          let _6 = _v in
          let _v = _menhir_action_052 _3 _6 in
          _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_207 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_SPINTRYLOCK as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_SPINTRYLOCK (_menhir_stack, _menhir_s) = _menhir_stack in
          let _3 = _v in
          let _v = _menhir_action_076 _3 in
          _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_205 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_SPINISLOCKED as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_SPINISLOCKED (_menhir_stack, _menhir_s) = _menhir_stack in
          let _3 = _v in
          let _v = _menhir_action_077 _3 in
          _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_199 : type  ttv_stack ttv_result. ((((ttv_stack, ttv_result) _menhir_cell1_SCAS_EXPLICIT, ttv_result) _menhir_cell1_expr, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | MEMORDER _v_0 ->
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | COMMA ->
                  let _tok = _menhir_lexer _menhir_lexbuf in
                  (match (_tok : MenhirBasics.token) with
                  | MEMORDER _v_1 ->
                      let _tok = _menhir_lexer _menhir_lexbuf in
                      (match (_tok : MenhirBasics.token) with
                      | RPAR ->
                          let _tok = _menhir_lexer _menhir_lexbuf in
                          let MenhirCell1_expr (_menhir_stack, _, _5) = _menhir_stack in
                          let MenhirCell1_expr (_menhir_stack, _, _3) = _menhir_stack in
                          let MenhirCell1_SCAS_EXPLICIT (_menhir_stack, _menhir_s) = _menhir_stack in
                          let (_7, _9, _11) = (_v, _v_0, _v_1) in
                          let _v = _menhir_action_075 _11 _3 _5 _7 _9 in
                          _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
                      | _ ->
                          _eRR ())
                  | _ ->
                      _eRR ())
              | _ ->
                  _eRR ())
          | _ ->
              _eRR ())
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_197 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_SCAS_EXPLICIT, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | XOR ->
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA ->
          let _menhir_s = MenhirState198 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | ADD ->
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_195 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_SCAS_EXPLICIT as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | XOR ->
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA ->
          let _menhir_s = MenhirState196 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | ADD ->
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_193 : type  ttv_stack ttv_result. ((((ttv_stack, ttv_result) _menhir_cell1_SCAS, ttv_result) _menhir_cell1_expr, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_expr (_menhir_stack, _, _5) = _menhir_stack in
          let MenhirCell1_expr (_menhir_stack, _, _3) = _menhir_stack in
          let MenhirCell1_SCAS (_menhir_stack, _menhir_s) = _menhir_stack in
          let _7 = _v in
          let _v = _menhir_action_074 _3 _5 _7 in
          _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_191 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_SCAS, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | XOR ->
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA ->
          let _menhir_s = MenhirState192 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | ADD ->
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_189 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_SCAS as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | XOR ->
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA ->
          let _menhir_s = MenhirState190 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | ADD ->
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_183 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          let _menhir_s = MenhirState184 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          let _1 = _v in
          let _v = _menhir_action_014 _1 in
          _menhir_goto_args_ne _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | _ ->
          _eRR ()
  
  and _menhir_goto_args_ne : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      match _menhir_s with
      | MenhirState341 ->
          _menhir_run_186 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | MenhirState089 ->
          _menhir_run_186 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | MenhirState184 ->
          _menhir_run_185 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_186 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_NAME as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      let _1 = _v in
      let _v = _menhir_action_013 _1 in
      _menhir_goto_args _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
  
  and _menhir_goto_args : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_NAME as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      match _menhir_s with
      | MenhirState341 ->
          _menhir_run_342 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | MenhirState089 ->
          _menhir_run_187 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_185 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_expr -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      let MenhirCell1_expr (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      let _3 = _v in
      let _v = _menhir_action_015 _1 _3 in
      _menhir_goto_args_ne _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
  
  and _menhir_run_179 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_LPAR as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_LPAR (_menhir_stack, _menhir_s) = _menhir_stack in
          let _2 = _v in
          let _v = _menhir_action_047 _2 in
          _menhir_goto_expr0 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_178 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_LPAR, ttv_result) _menhir_cell1_typ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      let MenhirCell1_typ (_menhir_stack, _, _) = _menhir_stack in
      let MenhirCell1_LPAR (_menhir_stack, _menhir_s) = _menhir_stack in
      let e = _v in
      let _v = _menhir_action_048 e in
      _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_174 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_LOAD, ttv_result) _menhir_cell1_annot_list as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_annot_list (_menhir_stack, _, _3) = _menhir_stack in
          let MenhirCell1_LOAD (_menhir_stack, _menhir_s) = _menhir_stack in
          let _6 = _v in
          let _v = _menhir_action_051 _3 _6 in
          _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_170 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_LD_EXPLICIT as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | MEMORDER _v_0 ->
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | RPAR ->
                  let _tok = _menhir_lexer _menhir_lexbuf in
                  let MenhirCell1_LD_EXPLICIT (_menhir_stack, _menhir_s) = _menhir_stack in
                  let (_3, _5) = (_v, _v_0) in
                  let _v = _menhir_action_053 _3 _5 in
                  _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
              | _ ->
                  _eRR ())
          | _ ->
              _eRR ())
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_166 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_EXC_EXPLICIT, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | MEMORDER _v_0 ->
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | RPAR ->
                  let _tok = _menhir_lexer _menhir_lexbuf in
                  let MenhirCell1_expr (_menhir_stack, _, _3) = _menhir_stack in
                  let MenhirCell1_EXC_EXPLICIT (_menhir_stack, _menhir_s) = _menhir_stack in
                  let (_5, _7) = (_v, _v_0) in
                  let _v = _menhir_action_067 _3 _5 _7 in
                  _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
              | _ ->
                  _eRR ())
          | _ ->
              _eRR ())
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_164 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_EXC_EXPLICIT as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | XOR ->
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA ->
          let _menhir_s = MenhirState165 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | ADD ->
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_156 : type  ttv_stack ttv_result. (((((ttv_stack, ttv_result) _menhir_cell1_CMPXCHG, ttv_result) _menhir_cell1_annot_list, ttv_result) _menhir_cell1_expr, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_expr (_menhir_stack, _, _8) = _menhir_stack in
          let MenhirCell1_expr (_menhir_stack, _, _6) = _menhir_stack in
          let MenhirCell1_annot_list (_menhir_stack, _, _3) = _menhir_stack in
          let MenhirCell1_CMPXCHG (_menhir_stack, _menhir_s) = _menhir_stack in
          let _10 = _v in
          let _v = _menhir_action_069 _10 _3 _6 _8 in
          _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_154 : type  ttv_stack ttv_result. ((((ttv_stack, ttv_result) _menhir_cell1_CMPXCHG, ttv_result) _menhir_cell1_annot_list, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | XOR ->
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA ->
          let _menhir_s = MenhirState155 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | ADD ->
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_152 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_CMPXCHG, ttv_result) _menhir_cell1_annot_list as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | XOR ->
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA ->
          let _menhir_s = MenhirState153 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | ADD ->
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_148 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_ATOMIC_FETCH_EXPLICIT, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | MEMORDER _v_0 ->
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | RPAR ->
                  let _tok = _menhir_lexer _menhir_lexbuf in
                  let MenhirCell1_expr (_menhir_stack, _, _3) = _menhir_stack in
                  let MenhirCell1_ATOMIC_FETCH_EXPLICIT (_menhir_stack, _menhir_s, _1) = _menhir_stack in
                  let (_5, _7) = (_v, _v_0) in
                  let _v = _menhir_action_070 _1 _3 _5 _7 in
                  _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
              | _ ->
                  _eRR ())
          | _ ->
              _eRR ())
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_146 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_ATOMIC_FETCH_EXPLICIT as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | XOR ->
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA ->
          let _menhir_s = MenhirState147 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | ADD ->
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_144 : type  ttv_stack ttv_result. ((((ttv_stack, ttv_result) _menhir_cell1_ATOMICADDUNLESS, ttv_result) _menhir_cell1_expr, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_expr (_menhir_stack, _, _5) = _menhir_stack in
          let MenhirCell1_expr (_menhir_stack, _, _3) = _menhir_stack in
          let MenhirCell1_ATOMICADDUNLESS (_menhir_stack, _menhir_s) = _menhir_stack in
          let _7 = _v in
          let _v = _menhir_action_081 _3 _5 _7 in
          _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | PIPE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_142 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_ATOMICADDUNLESS, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | XOR ->
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA ->
          let _menhir_s = MenhirState143 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | ADD ->
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_140 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XOR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA | EOF | NAME _ | PIPE | RPAR | SEMI ->
          let MenhirCell1_expr (_menhir_stack, _menhir_s, _1) = _menhir_stack in
          let _3 = _v in
          let _v = _menhir_action_059 _1 _3 in
          _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_138 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA | EOF | LAND | NAME _ | PIPE | RPAR | SEMI | XOR ->
          let MenhirCell1_expr (_menhir_stack, _menhir_s, _1) = _menhir_stack in
          let _3 = _v in
          let _v = _menhir_action_061 _1 _3 in
          _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_136 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA | EOF | LAND | NAME _ | PIPE | RPAR | SEMI | XOR ->
          let MenhirCell1_expr (_menhir_stack, _menhir_s, _1) = _menhir_stack in
          let _3 = _v in
          let _v = _menhir_action_066 _1 _3 in
          _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_134 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA | EOF | LAND | NAME _ | PIPE | RPAR | SEMI | XOR ->
          let MenhirCell1_expr (_menhir_stack, _menhir_s, _1) = _menhir_stack in
          let _3 = _v in
          let _v = _menhir_action_064 _1 _3 in
          _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_132 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA | EOF | LAND | NAME _ | PIPE | RPAR | SEMI | XOR ->
          let MenhirCell1_expr (_menhir_stack, _menhir_s, _1) = _menhir_stack in
          let _3 = _v in
          let _v = _menhir_action_058 _1 _3 in
          _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_130 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA | EOF | LAND | NAME _ | PIPE | RPAR | SEMI | XOR ->
          let MenhirCell1_expr (_menhir_stack, _menhir_s, _1) = _menhir_stack in
          let _3 = _v in
          let _v = _menhir_action_065 _1 _3 in
          _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_128 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA | EOF | LAND | NAME _ | PIPE | RPAR | SEMI | XOR ->
          let MenhirCell1_expr (_menhir_stack, _menhir_s, _1) = _menhir_stack in
          let _3 = _v in
          let _v = _menhir_action_063 _1 _3 in
          _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_126 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD | COMMA | EOF | EQ_OP | GE | GT | LAND | LE | LT | NAME _ | NEQ_OP | PIPE | RPAR | SEMI | SUB | XOR ->
          let MenhirCell1_expr (_menhir_stack, _menhir_s, _1) = _menhir_stack in
          let _3 = _v in
          let _v = _menhir_action_055 _1 _3 in
          _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_124 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA | EOF | LAND | NAME _ | PIPE | RPAR | SEMI | XOR ->
          let MenhirCell1_expr (_menhir_stack, _menhir_s, _1) = _menhir_stack in
          let _3 = _v in
          let _v = _menhir_action_062 _1 _3 in
          _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_122 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_expr -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      let MenhirCell1_expr (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      let _3 = _v in
      let _v = _menhir_action_057 _1 _3 in
      _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_120 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_expr -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      let MenhirCell1_expr (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      let _3 = _v in
      let _v = _menhir_action_054 _1 _3 in
      _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_118 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD | COMMA | EOF | EQ_OP | GE | GT | LAND | LE | LT | NAME _ | NEQ_OP | PIPE | RPAR | SEMI | SUB | XOR ->
          let MenhirCell1_expr (_menhir_stack, _menhir_s, _1) = _menhir_stack in
          let _3 = _v in
          let _v = _menhir_action_056 _1 _3 in
          _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_116 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_expr as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | SUB ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADD ->
          let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA | EOF | NAME _ | PIPE | RPAR | SEMI | XOR ->
          let MenhirCell1_expr (_menhir_stack, _menhir_s, _1) = _menhir_stack in
          let _3 = _v in
          let _v = _menhir_action_060 _1 _3 in
          _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_114 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_ATOMICADDUNLESS as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _menhir_stack = MenhirCell1_expr (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | XOR ->
          _menhir_run_115 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SUB ->
          _menhir_run_117 _menhir_stack _menhir_lexbuf _menhir_lexer
      | STAR ->
          _menhir_run_119 _menhir_stack _menhir_lexbuf _menhir_lexer
      | PIPE ->
          _menhir_run_139 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NEQ_OP ->
          _menhir_run_123 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LT ->
          _menhir_run_127 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LE ->
          _menhir_run_129 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LAND ->
          _menhir_run_131 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GT ->
          _menhir_run_133 _menhir_stack _menhir_lexbuf _menhir_lexer
      | GE ->
          _menhir_run_135 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQ_OP ->
          _menhir_run_137 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DIV ->
          _menhir_run_121 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA ->
          let _menhir_s = MenhirState141 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | ADD ->
          _menhir_run_125 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          _eRR ()
  
  and _menhir_run_113 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _1 = _v in
      let _v = _menhir_action_041 _1 in
      _menhir_goto_expr _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_295 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_STORE as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      let _menhir_stack = MenhirCell1_annot_list (_menhir_stack, _menhir_s, _v) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_s = MenhirState297 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_272 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_UNDERFENCE -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | SEMI ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_UNDERFENCE (_menhir_stack, _menhir_s) = _menhir_stack in
          let _3 = _v in
          let _v = _menhir_action_109 _3 in
          _menhir_goto_instruction _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_163 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_annot -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      let MenhirCell1_annot (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      let _3 = _v in
      let _v = _menhir_action_010 _1 _3 in
      _menhir_goto_annot_list _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
  
  and _menhir_run_105 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_CMPXCHG as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      let _menhir_stack = MenhirCell1_annot_list (_menhir_stack, _menhir_s, _v) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_s = MenhirState107 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_094 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_LOAD as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      let _menhir_stack = MenhirCell1_annot_list (_menhir_stack, _menhir_s, _v) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_s = MenhirState096 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_077 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_SRCU as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      let _menhir_stack = MenhirCell1_annot_list (_menhir_stack, _menhir_s, _v) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_s = MenhirState079 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_067 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_UNDERATOMICFETCHOP as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      let _menhir_stack = MenhirCell1_annot_list (_menhir_stack, _menhir_s, _v) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_s = MenhirState069 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_062 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_UNDERATOMICOPRETURN as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      let _menhir_stack = MenhirCell1_annot_list (_menhir_stack, _menhir_s, _v) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_s = MenhirState064 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_053 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_XCHG as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      let _menhir_stack = MenhirCell1_annot_list (_menhir_stack, _menhir_s, _v) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_s = MenhirState055 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | _ ->
          _eRR ()
  
  and _menhir_run_160 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_annot_base -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      let MenhirCell1_annot_base (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      let _3 = _v in
      let _v = _menhir_action_005 _1 _3 in
      _menhir_goto_annot _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_030 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _1 = _v in
      let _v = _menhir_action_176 _1 in
      _menhir_goto_typ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_declaration : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState483 ->
          _menhir_run_394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState396 ->
          _menhir_run_394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState394 ->
          _menhir_run_394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState046 ->
          _menhir_run_394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState473 ->
          _menhir_run_387 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState389 ->
          _menhir_run_387 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState387 ->
          _menhir_run_387 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState358 ->
          _menhir_run_387 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_394 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XCHG ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | WHILE ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_260 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | WCAS_EXPLICIT ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | WCAS ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | VOLATILE ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | VOID ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | UNLOCK ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_265 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | UNDERFENCE ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_270 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | UNDERATOMICOPRETURN ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | UNDERATOMICOP ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_275 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | UNDERATOMICFETCHOP ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | UNDERATOMICADDUNLESS ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | ST_EXPLICIT ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_284 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | STRUCT ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | STORE ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_293 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | STAR ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_303 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | SRCU ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_318 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | SPINUNLOCK ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_330 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | SPINTRYLOCK ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | SPINLOCK ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_335 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | SPINISLOCKED ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | SCAS_EXPLICIT ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | SCAS ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | NAME _v_0 ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_340 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState394
      | LPAR ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_348 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | LOCK ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_353 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | LOAD ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | LD_EXPLICIT ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | LBRACE ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_358 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | IF ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_359 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | FENCE ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_363 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | EXC_EXPLICIT ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | CONSTVAR _v_1 ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState394
      | CONSTANT _v_2 ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState394
      | CONST ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_012 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | CODEVAR _v_3 ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_368 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState394
      | CMPXCHG ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | BASE_TYPE _v_4 ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_013 _menhir_stack _menhir_lexbuf _menhir_lexer _v_4 MenhirState394
      | ATOMIC_TYPE _v_5 ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_014 _menhir_stack _menhir_lexbuf _menhir_lexer _v_5 MenhirState394
      | ATOMIC_FETCH_EXPLICIT _v_6 ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v_6 MenhirState394
      | ATOMIC_BASE ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | ATOMICADDUNLESS ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | ATOMIC ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_026 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState394
      | EOF | RBRACE ->
          let _v = _menhir_action_039 () in
          _menhir_goto_do_pseudo_seq _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | CHAR | INT | LONG | MUTEX ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          let _menhir_s = MenhirState394 in
          let _v = _menhir_action_175 () in
          _menhir_goto_ty_attr _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_387 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | XCHG ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | WHILE ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_260 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | WCAS_EXPLICIT ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | WCAS ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | VOLATILE ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | VOID ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | UNLOCK ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_265 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | UNDERFENCE ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_270 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | UNDERATOMICOPRETURN ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | UNDERATOMICOP ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_275 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | UNDERATOMICFETCHOP ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | UNDERATOMICADDUNLESS ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | ST_EXPLICIT ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_284 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | STRUCT ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | STORE ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_293 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | STAR ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_303 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | SRCU ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_318 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | SPINUNLOCK ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_330 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | SPINTRYLOCK ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | SPINLOCK ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_335 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | SPINISLOCKED ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | SCAS_EXPLICIT ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | SCAS ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | NAME _v_0 ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_340 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState387
      | LPAR ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_348 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | LOCK ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_353 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | LOAD ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | LD_EXPLICIT ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | LBRACE ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_358 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | IF ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_359 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | FENCE ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_363 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | EXC_EXPLICIT ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | CONSTVAR _v_1 ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState387
      | CONSTANT _v_2 ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState387
      | CONST ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_012 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | CODEVAR _v_3 ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_368 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState387
      | CMPXCHG ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | BASE_TYPE _v_4 ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_013 _menhir_stack _menhir_lexbuf _menhir_lexer _v_4 MenhirState387
      | ATOMIC_TYPE _v_5 ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_014 _menhir_stack _menhir_lexbuf _menhir_lexer _v_5 MenhirState387
      | ATOMIC_FETCH_EXPLICIT _v_6 ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v_6 MenhirState387
      | ATOMIC_BASE ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | ATOMICADDUNLESS ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | ATOMIC ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          _menhir_run_026 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState387
      | RBRACE ->
          let _1 = _v in
          let _v = _menhir_action_092 _1 in
          _menhir_goto_ins_seq _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CHAR | INT | LONG | MUTEX ->
          let _menhir_stack = MenhirCell1_declaration (_menhir_stack, _menhir_s, _v) in
          let _menhir_s = MenhirState387 in
          let _v = _menhir_action_175 () in
          _menhir_goto_ty_attr _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_372 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_typ _menhir_cell0_NAME -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      let _menhir_s = MenhirState372 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | XCHG ->
          _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS_EXPLICIT ->
          _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS ->
          _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICOPRETURN ->
          _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICFETCHOP ->
          _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICADDUNLESS ->
          _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SRCU ->
          _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINTRYLOCK ->
          _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINISLOCKED ->
          _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS_EXPLICIT ->
          _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS ->
          _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NAME _v ->
          _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | LPAR ->
          _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOAD ->
          _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LD_EXPLICIT ->
          _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXC_EXPLICIT ->
          _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONSTVAR _v ->
          _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CONSTANT _v ->
          _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CMPXCHG ->
          _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ATOMIC_FETCH_EXPLICIT _v ->
          _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMICADDUNLESS ->
          _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          _eRR ()
  
  and _menhir_goto_typ_par : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | VOLATILE ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let _1 = _v in
          let _v = _menhir_action_177 _1 in
          _menhir_goto_typ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | CONST ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let _1 = _v in
          let _v = _menhir_action_178 _1 in
          _menhir_goto_typ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_370 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | STAR ->
          let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
          _menhir_run_035 _menhir_stack _menhir_lexbuf _menhir_lexer
      | NAME _v_0 ->
          let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
          let _menhir_stack = MenhirCell0_NAME (_menhir_stack, _v_0) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | EQ ->
              _menhir_run_372 _menhir_stack _menhir_lexbuf _menhir_lexer
          | _ ->
              _eRR ())
      | CONST | VOLATILE ->
          let t = _v in
          let _v = _menhir_action_183 t in
          _menhir_goto_typ_par _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_211 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_STAR, ttv_result) _menhir_cell1_LPAR as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | STAR ->
          let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
          _menhir_run_035 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | NAME _v_0 ->
              let _tok = _menhir_lexer _menhir_lexbuf in
              let MenhirCell1_LPAR (_menhir_stack, _) = _menhir_stack in
              let MenhirCell1_STAR (_menhir_stack, _menhir_s) = _menhir_stack in
              let _5 = _v_0 in
              let _v = _menhir_action_049 _5 in
              _menhir_goto_expr1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | _ ->
              _eRR ())
      | CONST | VOLATILE ->
          let t = _v in
          let _v = _menhir_action_183 t in
          _menhir_goto_typ_par _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_181 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_LPAR as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | STAR ->
          let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
          _menhir_run_035 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
          let _menhir_s = MenhirState182 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS_EXPLICIT ->
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | WCAS ->
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICOPRETURN ->
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICFETCHOP ->
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNDERATOMICADDUNLESS ->
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SRCU ->
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINTRYLOCK ->
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SPINISLOCKED ->
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS_EXPLICIT ->
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SCAS ->
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NAME _v ->
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | LPAR ->
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOAD ->
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LD_EXPLICIT ->
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXC_EXPLICIT ->
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONSTVAR _v ->
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CONSTANT _v ->
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | CMPXCHG ->
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ATOMIC_FETCH_EXPLICIT _v ->
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | ATOMICADDUNLESS ->
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              _eRR ())
      | CONST | VOLATILE ->
          let t = _v in
          let _v = _menhir_action_183 t in
          _menhir_goto_typ_par _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_176 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_LPAR as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | STAR ->
          let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
          _menhir_run_035 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | XCHG ->
              let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
              _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState177
          | WCAS_EXPLICIT ->
              let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
              _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState177
          | WCAS ->
              let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
              _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState177
          | UNDERATOMICOPRETURN ->
              let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
              _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState177
          | UNDERATOMICFETCHOP ->
              let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
              _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState177
          | UNDERATOMICADDUNLESS ->
              let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
              _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState177
          | STAR ->
              let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
              _menhir_run_072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState177
          | SRCU ->
              let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
              _menhir_run_075 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState177
          | SPINTRYLOCK ->
              let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
              _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState177
          | SPINISLOCKED ->
              let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
              _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState177
          | SCAS_EXPLICIT ->
              let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
              _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState177
          | SCAS ->
              let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
              _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState177
          | NAME _v_0 ->
              let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
              _menhir_run_088 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState177
          | LPAR ->
              let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
              _menhir_run_090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState177
          | LOAD ->
              let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
              _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState177
          | LD_EXPLICIT ->
              let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
              _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState177
          | EXC_EXPLICIT ->
              let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
              _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState177
          | CONSTVAR _v_1 ->
              let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
              _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState177
          | CONSTANT _v_2 ->
              let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
              _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState177
          | CMPXCHG ->
              let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
              _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState177
          | ATOMIC_FETCH_EXPLICIT _v_3 ->
              let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
              _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState177
          | ATOMICADDUNLESS ->
              let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
              _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState177
          | CONST | VOLATILE ->
              let MenhirCell1_LPAR (_menhir_stack, _menhir_s) = _menhir_stack in
              let t = _v in
              let _v = _menhir_action_184 t in
              _menhir_goto_typ_par _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | _ ->
              _eRR ())
      | CONST | VOLATILE ->
          let t = _v in
          let _v = _menhir_action_183 t in
          _menhir_goto_typ_par _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_043 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | STAR ->
          let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
          _menhir_run_035 _menhir_stack _menhir_lexbuf _menhir_lexer
      | CONST | VOLATILE ->
          let t = _v in
          let _v = _menhir_action_183 t in
          _menhir_goto_typ_par _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_038 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_LPAR as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | STAR ->
          let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
          _menhir_run_035 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_LPAR (_menhir_stack, _menhir_s) = _menhir_stack in
          let _2 = _v in
          let _v = _menhir_action_023 _2 in
          _menhir_goto_base _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | CONST | VOLATILE ->
          let t = _v in
          let _v = _menhir_action_183 t in
          _menhir_goto_typ_par _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_goto_base : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState006 ->
          _menhir_run_040 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState026 ->
          _menhir_run_027 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState012 ->
          _menhir_run_025 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_040 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_VOLATILE -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      let MenhirCell1_VOLATILE (_menhir_stack, _menhir_s) = _menhir_stack in
      let _2 = _v in
      let _v = _menhir_action_180 _2 in
      _menhir_goto_typ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_027 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_ATOMIC -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      let MenhirCell1_ATOMIC (_menhir_stack, _menhir_s) = _menhir_stack in
      let _2 = _v in
      let _v = _menhir_action_179 _2 in
      _menhir_goto_typ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_025 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_CONST -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      let MenhirCell1_CONST (_menhir_stack, _menhir_s) = _menhir_stack in
      let _2 = _v in
      let _v = _menhir_action_181 _2 in
      _menhir_goto_typ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_034 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_LPAR as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match (_tok : MenhirBasics.token) with
      | STAR ->
          let _menhir_stack = MenhirCell1_typ (_menhir_stack, _menhir_s, _v) in
          _menhir_run_035 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_LPAR (_menhir_stack, _menhir_s) = _menhir_stack in
          let t = _v in
          let _v = _menhir_action_184 t in
          _menhir_goto_typ_par _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | CONST | VOLATILE ->
          let t = _v in
          let _v = _menhir_action_183 t in
          _menhir_goto_typ_par _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _eRR ()
  
  and _menhir_run_024 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      let _1 = _v in
      let _v = _menhir_action_022 _1 in
      _menhir_goto_base _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  let _menhir_run_000 : type  ttv_stack. ttv_stack -> _ -> _ -> _menhir_box_deep_main =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | VOID ->
          _menhir_run_001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState000
      | PROC _ ->
          let _v = _menhir_action_190 () in
          _menhir_run_003 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState000 _tok
      | _ ->
          _eRR ()
  
  let _menhir_run_464 : type  ttv_stack. ttv_stack -> _ -> _ -> _menhir_box_macros =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | NAME _v ->
          _menhir_run_465 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState464
      | EOF ->
          let _v = _menhir_action_120 () in
          _menhir_run_481 _menhir_stack _v
      | _ ->
          _eRR ()
  
  let _menhir_run_483 : type  ttv_stack. ttv_stack -> _ -> _ -> _menhir_box_pseudo_seq =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      let _menhir_s = MenhirState483 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | XCHG ->
          _menhir_run_047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WHILE ->
          _menhir_run_260 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS_EXPLICIT ->
          _menhir_run_056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | WCAS ->
          _menhir_run_058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          _menhir_run_006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          _menhir_run_010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNLOCK ->
          _menhir_run_265 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERFENCE ->
          _menhir_run_270 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICOPRETURN ->
          _menhir_run_060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICOP ->
          _menhir_run_275 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICFETCHOP ->
          _menhir_run_065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNDERATOMICADDUNLESS ->
          _menhir_run_070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ST_EXPLICIT ->
          _menhir_run_284 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          _menhir_run_007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STORE ->
          _menhir_run_293 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          _menhir_run_303 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SRCU ->
          _menhir_run_318 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINUNLOCK ->
          _menhir_run_330 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINTRYLOCK ->
          _menhir_run_080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINLOCK ->
          _menhir_run_335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SPINISLOCKED ->
          _menhir_run_082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS_EXPLICIT ->
          _menhir_run_084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SCAS ->
          _menhir_run_086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NAME _v ->
          _menhir_run_340 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | LPAR ->
          _menhir_run_348 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOCK ->
          _menhir_run_353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOAD ->
          _menhir_run_092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LD_EXPLICIT ->
          _menhir_run_097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          _menhir_run_358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          _menhir_run_359 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FENCE ->
          _menhir_run_363 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXC_EXPLICIT ->
          _menhir_run_099 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONSTVAR _v ->
          _menhir_run_101 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CONSTANT _v ->
          _menhir_run_102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CONST ->
          _menhir_run_012 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CODEVAR _v ->
          _menhir_run_368 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | CMPXCHG ->
          _menhir_run_103 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_TYPE _v ->
          _menhir_run_013 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMIC_TYPE _v ->
          _menhir_run_014 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMIC_FETCH_EXPLICIT _v ->
          _menhir_run_108 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | ATOMIC_BASE ->
          _menhir_run_015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ATOMICADDUNLESS ->
          _menhir_run_110 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ATOMIC ->
          _menhir_run_026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR | INT | LONG | MUTEX ->
          _menhir_reduce_175 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
      | _ ->
          _eRR ()
  
  let _menhir_run_487 : type  ttv_stack. ttv_stack -> _ -> _ -> _menhir_box_shallow_main =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | VOID ->
          _menhir_run_001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState487
      | SCOPES ->
          _menhir_run_402 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState487
      | REGIONS ->
          _menhir_run_418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState487
      | LEVELS ->
          _menhir_run_431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState487
      | BODY _v ->
          _menhir_run_488 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState487
      | EOF ->
          let _menhir_s = MenhirState487 in
          let _v = _menhir_action_153 () in
          _menhir_goto_permut_scopes_key_levels_key_memory_map_key_ _menhir_stack _v _menhir_s _tok
      | PROC _ ->
          let _v = _menhir_action_190 () in
          _menhir_run_489 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState487 _tok
      | _ ->
          _eRR ()
  
end

let shallow_main =
  fun _menhir_lexer _menhir_lexbuf ->
    let _menhir_stack = () in
    let MenhirBox_shallow_main v = _menhir_run_487 _menhir_stack _menhir_lexbuf _menhir_lexer in
    v

let pseudo_seq =
  fun _menhir_lexer _menhir_lexbuf ->
    let _menhir_stack = () in
    let MenhirBox_pseudo_seq v = _menhir_run_483 _menhir_stack _menhir_lexbuf _menhir_lexer in
    v

let macros =
  fun _menhir_lexer _menhir_lexbuf ->
    let _menhir_stack = () in
    let MenhirBox_macros v = _menhir_run_464 _menhir_stack _menhir_lexbuf _menhir_lexer in
    v

let deep_main =
  fun _menhir_lexer _menhir_lexbuf ->
    let _menhir_stack = () in
    let MenhirBox_deep_main v = _menhir_run_000 _menhir_stack _menhir_lexbuf _menhir_lexer in
    v
